<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

function eme_new_event() {
   global $eme_timezone;
   $eme_date_obj=new ExpressiveDate(null,$eme_timezone);
   $today = $eme_date_obj->format('Y-m-d');
   $event = array (
      "event_name" => '',
      "event_status" => get_option('eme_event_initial_state'),
      "event_start_date" => $today,
      "event_start_time" => '',
      "event_end_date" => $today,
      "event_end_time" => '',
      "event_notes" => '',
      "event_rsvp" => get_option('eme_rsvp_reg_for_new_events')? 1:0,
      "use_paypal" => get_option('eme_paypal_clientid')? 1:0,
      "use_2co" => get_option('eme_2co_business')? 1:0,
      "use_webmoney" => get_option('eme_webmoney_purse')? 1:0,
      "use_fdgg" => get_option('eme_fdgg_store_name')? 1:0,
      "use_mollie" => get_option('eme_mollie_api_key')? 1:0,
      "use_sagepay" => get_option('eme_sagepay_vendor_name')? 1:0,
      "price" => get_option('eme_default_price'),
      "currency" => get_option('eme_default_currency'),
      "rsvp_number_days" => get_option('eme_rsvp_number_days'),
      "rsvp_number_hours" => get_option('eme_rsvp_number_hours'),
      "registration_requires_approval" => get_option('eme_rsvp_require_approval')? 1:0,
      "registration_wp_users_only" => get_option('eme_rsvp_registered_users_only')? 1:0,
      "event_seats" => get_option('eme_rsvp_default_number_spaces') ? intval(get_option('eme_rsvp_default_number_spaces')):0,
      "location_id" => 0,
      "event_author" => 0,
      "event_contactperson_id" => get_option('eme_default_contact_person'),
      "event_category_ids" => '',
      "event_attributes" => array(),
      "event_properties" => array(),
      "event_page_title_format" => '',
      "event_single_event_format" => '',
      "event_contactperson_email_body" => '',
      "event_respondent_email_body" => '',
      "event_registration_pending_email_body" => '',
      "event_registration_updated_email_body" => '',
      "event_registration_cancelled_email_body" => '',
      "event_registration_paid_email_body" => '',
      "event_registration_denied_email_body" => '',
      "event_registration_form_format" => '',
      "event_cancel_form_format" => '',
      "event_registration_recorded_ok_html" => '',
      "event_slug" => '',
      "event_image_url" => '',
      "event_image_id" => 0,
      "event_external_ref" => '',
      "event_url" => '',
      "recurrence_id" => 0
   );
   // while in EME itself event_image_url can't be set when defining an event, it can be set in the frontend submit or a sync plugin
   $event['event_properties'] = eme_init_event_props($event['event_properties']);
   return $event;
}

function eme_init_event_props($props) {
   if (!isset($props['create_wp_user']))
      $props['create_wp_user']=0;
   if (!isset($props['auto_approve']))
      $props['auto_approve']=0;
   if (!isset($props['ignore_pending']))
      $props['ignore_pending']=0;
   if (!isset($props['email_only_once']))
      $props['email_only_once']=0;
   if (!isset($props['person_only_once']))
      $props['person_only_once']=0;
   if (!isset($props['invite_only']))
      $props['invite_only']=0;
   if (!isset($props['all_day']))
      $props['all_day']=0;
   if (!isset($props['take_attendance']))
      $props['take_attendance']=0;
   if (!isset($props['rsvp_link']))
      $props['rsvp_link']='';
   if (!isset($props['min_allowed']))
      $props['min_allowed']=get_option('eme_rsvp_addbooking_min_spaces');
   if (!isset($props['max_allowed']))
      $props['max_allowed']=get_option('eme_rsvp_addbooking_max_spaces');
   if (!isset($props['rsvp_start_number_days']))
      $props['rsvp_start_number_days']='';
   if (!isset($props['rsvp_start_number_hours']))
      $props['rsvp_start_number_hours']='';
   if (!isset($props['rsvp_start_target']))
      $props['rsvp_start_target']='';
   if (!isset($props['rsvp_end_target']))
      $props['rsvp_end_target']=get_option('eme_rsvp_end_target');
   if (!isset($props['rsvp_discount']))
      $props['rsvp_discount']='';
   if (!isset($props['waitinglist_seats']))
      $props['waitinglist_seats']=0;
   if (!isset($props['rsvp_discountgroup']))
      $props['rsvp_discountgroup']='';
   if (!isset($props['rsvp_addpersontogroup']))
      $props['rsvp_addpersontogroup']=0;
   if (!isset($props['rsvp_password']))
      $props['rsvp_password']='';
   if (!isset($props['use_worldpay']))
      $props['use_worldpay']=get_option('eme_worldpay_instid')? 1:0;
   if (!isset($props['use_legacypaypal']))
      $props['use_legacypaypal']=get_option('eme_legacypaypal_business')? 1:0;
   if (!isset($props['use_stripe']))
      $props['use_stripe']=0;
   if (!isset($props['use_braintree']))
      $props['use_braintree']=0;
   if (!isset($props['use_paymill']))
      $props['use_paymill']=0;
   if (!isset($props['use_instamojo']))
      $props['use_instamojo']=0;
   if (!isset($props['use_offline']))
      $props['use_offline']=get_option('eme_offline_payment')? 1:0;
   if (!isset($props['cancel_rsvp_days']))
      $props['cancel_rsvp_days']=get_option('eme_cancel_rsvp_days');
   if (!isset($props['cancel_rsvp_age']))
      $props['cancel_rsvp_age']=get_option('eme_cancel_rsvp_age');
   if (!isset($props['attendance_begin']))
      $props['attendance_begin']=5;
   if (!isset($props['attendance_end']))
      $props['attendance_end']=0;
   if (!isset($props['ticket_template_id']))
      $props['ticket_template_id']=0;
   if (!isset($props['ticket_mail']))
      $props['ticket_mail']='approval';
   if (!isset($props['wp_page_template']))
      $props['wp_page_template']=0;
   if (!isset($props['use_captcha']))
      $props['use_captcha']=get_option('eme_captcha_for_booking')? 1:0;

   $template_override=array('event_page_title_format_tpl','event_single_event_format_tpl','event_contactperson_email_body_tpl','event_registration_recorded_ok_html_tpl','event_respondent_email_body_tpl','event_registration_pending_email_body_tpl','event_registration_updated_email_body_tpl','event_registration_cancelled_email_body_tpl','event_registration_denied_email_body_tpl','event_registration_form_format_tpl','event_cancel_form_format_tpl','event_registration_paid_email_body_tpl','event_contactperson_email_subject_tpl','event_respondent_email_subject_tpl','event_registration_pending_email_subject_tpl','event_registration_updated_email_subject_tpl','event_registration_cancelled_email_subject_tpl','event_registration_denied_email_subject_tpl','event_registration_paid_email_subject_tpl','contactperson_registration_pending_email_subject_tpl','contactperson_registration_pending_email_body_tpl','contactperson_registration_cancelled_email_subject_tpl','contactperson_registration_cancelled_email_body_tpl','contactperson_registration_ipn_email_subject_tpl','contactperson_registration_ipn_email_body_tpl','contactperson_registration_paid_email_subject_tpl','contactperson_registration_paid_email_body_tpl');
   foreach ($template_override as $line) {
      if (!isset($props[$line]))
         $props[$line]=0;
   }
   $text_override=array('event_contactperson_email_subject', 'event_respondent_email_subject', 'event_registration_pending_email_subject', 'event_registration_updated_email_subject', 'event_registration_cancelled_email_subject', 'event_registration_paid_email_subject', 'event_registration_denied_email_subject','contactperson_registration_pending_email_body','contactperson_registration_cancelled_email_body','contactperson_registration_ipn_email_body', 'contactperson_registration_pending_email_subject','contactperson_registration_cancelled_email_subject','contactperson_registration_ipn_email_subject','contactperson_registration_paid_email_subject','contactperson_registration_paid_email_body');
   foreach ($text_override as $line) {
      if (!isset($props[$line]))
         $props[$line]='';
   }

   return $props;
}

function eme_events_page() {
   global $wpdb, $eme_timezone;

   $press_back = __('Press the back-button in your browser to return to the previous screen and correct your errors','events-made-easy');
   $extra_conditions = array();
   if (isset($_POST['eme_admin_action'])) {
	   $action = $_POST['eme_admin_action'];
	   $event_ID = isset($_POST['event_id']) ? eme_sanitize_request($_POST['event_id']) : 0;
	   $recurrence_ID = isset($_POST['recurrence_id']) ? intval($_POST['recurrence_id']) : 0;
   } elseif (isset($_GET['eme_admin_action'])) {
	   $action = $_GET['eme_admin_action'];
	   $event_ID = isset($_GET['event_id']) ? eme_sanitize_request($_GET['event_id']) : 0;
	   $recurrence_ID = isset($_GET['recurrence_id']) ? intval($_GET['recurrence_id']) : 0;
   } else {
	   $action = '';
	   $event_ID = 0;
	   $recurrence_ID = 0;
   }

   $current_userid=get_current_user_id();

   if ($action == 'import_events' && isset($_FILES['eme_csv']) && current_user_can(get_option('eme_cap_cleanup')) ) {
      // eme_cap_cleanup is used for cleanup, cron and imports (should more be something like 'eme_cap_actions')
      check_admin_referer('eme_admin','eme_admin_nonce');
      $message = eme_import_csv_events();
      eme_events_table($message);
   }

   // DELETE action (when the delete button is pushed while editing an event)
   if (isset($_POST['event_delete_button'])) {
      check_admin_referer('eme_admin','eme_admin_nonce');
      $tmp_event=eme_get_event($event_ID);
      if (current_user_can( get_option('eme_cap_edit_events')) ||
          (current_user_can( get_option('eme_cap_author_event')) && ($tmp_event['event_author']==$current_userid || $tmp_event['event_contactperson_id']==$current_userid))) {
         $ids_arr=array($event_ID);
         $res=eme_delete_events($ids_arr);
         if ($res==0) {
            $feedback_message = __ ( 'Event(s) deleted!', 'events-made-easy');
         } else {
            $feedback_message = __ ( 'Error deleting events!', 'events-made-easy');
         }
      } else {
         $feedback_message = __ ( 'You have no right to delete events!', 'events-made-easy');
      }
      eme_events_table ($feedback_message);
      return;
   }

   // DELETE action (when the delete button is pushed while editing a recurrence)
   if (isset($_POST['event_deleteRecurrence_button'])) {
      check_admin_referer('eme_admin','eme_admin_nonce');
      $tmp_rec=eme_get_event($recurrence_ID);
      if (current_user_can( get_option('eme_cap_edit_events')) ||
          (current_user_can( get_option('eme_cap_author_event')) && ($tmp_rec['event_author']==$current_userid || $tmp_rec['event_contactperson_id']==$current_userid))) {
         $res=eme_db_delete_recurrence($recurrence_ID);
         if ($res==0) {
            $feedback_message = __ ( 'Recurrence deleted!', 'events-made-easy');
         } else {
            $feedback_message = __ ( 'Error deleting the recurrence!', 'events-made-easy');
         }
      } else {
         $feedback_message = __ ( 'You have no right to delete events!', 'events-made-easy');
      }
      eme_events_table ($feedback_message);
      return;
   }

   // UPDATE or CREATE action
   if ($action == 'insert_event' || $action == 'update_event' || $action == 'update_recurrence') {
      check_admin_referer('eme_admin','eme_admin_nonce');
      // if not the result of a POST, then just show the list
      if ($_SERVER['REQUEST_METHOD'] != 'POST') {
         eme_events_table ();
         return;
      }
      if ( ! (current_user_can( get_option('eme_cap_add_event')) || current_user_can( get_option('eme_cap_edit_events'))) ) {
         $feedback_message = __('You have no right to insert or update events','events-made-easy');
         eme_events_table ($feedback_message);
         return;
      }

      if ($action == 'insert_event') {
         $event=eme_new_event();
         $location = eme_new_location();
      } elseif ($action == 'update_event' && $event_ID) {
         $event = eme_get_event($event_ID);
         $location = eme_get_location($event['location_id']);
      } elseif ($action == 'update_recurrence' && $recurrence_ID) {
         $event = eme_get_event(eme_get_recurrence_first_eventid($recurrence_ID));
         $location = eme_get_location($event['location_id']);
      }
      $orig_event = $event;
      $post_vars=array('event_name','event_start_date','event_end_date','event_seats','price','rsvp_number_days','rsvp_number_hours','currency','event_contactperson_id','event_url','event_image_url','event_image_id','event_slug','event_page_title_format','event_single_event_format','event_contactperson_email_body','event_registration_recorded_ok_html','event_respondent_email_body','event_registration_pending_email_body','event_registration_updated_email_body','event_registration_cancelled_email_body','event_registration_denied_email_body','event_registration_form_format','event_cancel_form_format','event_registration_paid_email_body');
      foreach ($post_vars as $post_var) {
         if (isset($_POST[$post_var])) $event[$post_var]=eme_kses($_POST[$post_var]);
      }
      // now for the select boxes, we need to set to 0 if not in the _POST
      $select_post_vars=array('use_paypal','use_2co','use_webmoney','use_fdgg','use_mollie','use_sagepay','event_rsvp','registration_requires_approval','registration_wp_users_only');
      foreach ($select_post_vars as $post_var) {
         // sanitizing comes later
         if (isset($_POST[$post_var])) $event[$post_var]=intval($_POST[$post_var]);
         else $event[$post_var]=0;
      }
      // WP TinyMCE field
      $event['event_notes'] = isset($_POST['content']) ? eme_kses($_POST['content']) : '';
      
      if (!current_user_can( get_option('eme_cap_publish_event')) ) {
         $event['event_status']=STATUS_DRAFT;
      } else {
	 $event_status_array = eme_status_array ();
	 $event['event_status'] = intval($_POST['event_status']);
      }

      $eme_date_obj = new ExpressiveDate(null,$eme_timezone);
      if (!empty($_POST['event_start_time'])) {
         $event['event_start_time'] = $eme_date_obj->setTimestampFromString(eme_sanitize_request($_POST['event_start_time'])." ".$eme_timezone)->format("H:i:00");
      }
      if (!empty($_POST['event_end_time'])) {
         $event['event_end_time'] = $eme_date_obj->setTimestampFromString(eme_sanitize_request($_POST['event_end_time'])." ".$eme_timezone)->format("H:i:00");
      }
      $recurrence['recurrence_freq'] = isset($_POST['recurrence_freq']) ? eme_sanitize_request($_POST['recurrence_freq']) : '';
      if ($recurrence['recurrence_freq'] == 'specific') {
         $recurrence['recurrence_specific_days'] = isset($_POST['recurrence_start_date']) ? eme_sanitize_request($_POST['recurrence_start_date']) : $event['event_start_date'];
         $recurrence['recurrence_start_date'] = "";
         $recurrence['recurrence_end_date'] = "";
      } else {
         $recurrence['recurrence_specific_days'] = "";
         $recurrence['recurrence_start_date'] = isset($_POST['recurrence_start_date']) ? eme_sanitize_request($_POST['recurrence_start_date']) : $event['event_start_date'];
         $recurrence['recurrence_end_date'] = isset($_POST['recurrence_end_date']) ? eme_sanitize_request($_POST['recurrence_end_date']) : $event['event_end_date'];
      }
      if (!eme_is_date_valid($recurrence['recurrence_start_date']))
          $recurrence['recurrence_start_date'] = "";
      if (!eme_is_date_valid($recurrence['recurrence_end_date']))
          $recurrence['recurrence_end_date'] = $recurrence['recurrence_start_date'];
      if (!eme_are_dates_valid($recurrence['recurrence_specific_days']))
          $recurrence['recurrence_specific_days'] = "";
      if ($recurrence['recurrence_freq'] == 'weekly') {
         if (isset($_POST['recurrence_bydays'])) {
            $recurrence['recurrence_byday'] = implode ( ",", eme_sanitize_request($_POST['recurrence_bydays']));
         } else {
            $recurrence['recurrence_byday'] = '';
         }
      } else {
         if (isset($_POST['recurrence_byday'])) {
            $recurrence['recurrence_byday'] = eme_sanitize_request($_POST['recurrence_byday']);
         } else {
            $recurrence['recurrence_byday'] = '';
         }
      }
      $recurrence['recurrence_interval'] = isset($_POST['recurrence_interval']) ? eme_sanitize_request($_POST['recurrence_interval']) : 1;
      if ($recurrence['recurrence_interval'] ==0)
         $recurrence['recurrence_interval']=1;
      $recurrence['recurrence_byweekno'] = isset($_POST['recurrence_byweekno']) ? eme_sanitize_request($_POST['recurrence_byweekno']) : '';
      $recurrence['holidays_id'] = isset($_POST['holidays_id']) ? intval($_POST['holidays_id']) : 0;
      
      $post_vars=array('location_name','location_address1','location_address2','location_city','location_state','location_zip','location_country','location_latitude','location_longitude');
      foreach ($post_vars as $post_var) {
         // sanitizing comes later
         if (isset($_POST[$post_var])) $location[$post_var]=eme_sanitize_request($_POST[$post_var]);
      }
      $location['location_description'] = "";

      if (isset ($_POST['event_category_ids']) && eme_array_integers($_POST['event_category_ids'])) {
         $event['event_category_ids']= join(',',$_POST['event_category_ids']);
      } else {
         $event['event_category_ids']="";
      }

      $event_attributes = array();
      for($i=1 ; isset($_POST["eme_attr_{$i}_ref"]) && trim($_POST["eme_attr_{$i}_ref"])!='' ; $i++ ) {
         if(trim($_POST["eme_attr_{$i}_name"]) != '') {
            $event_attributes[$_POST["eme_attr_{$i}_ref"]] = eme_kses($_POST["eme_attr_{$i}_name"]);
         }
      }
      $event['event_attributes'] = serialize($event_attributes);

      $event_properties = array();
      $event_properties = eme_init_event_props($event_properties);
      // now for the select boxes, we need to set to 0 if not in the _POST
      //    $eme_prop_all_day_checked = ($event['event_properties']['all_day']) ? "checked='checked'" : "";
      $select_post_vars=array('use_offline','use_captcha','use_worldpay','use_legacypaypal','use_stripe','use_braintree','use_paymill','use_instamojo');
      foreach ($select_post_vars as $post_var) {
         if (!isset($_POST['eme_prop_'.$post_var])) $event_properties[$post_var]=0;
      }
      if ($event_properties['use_captcha'] && !function_exists('imagecreatetruecolor')) {
	      $event_properties['use_captcha']=0;
      }

      foreach($_POST as $key=>$value) {
         if (preg_match('/eme_prop_(.+)/', eme_sanitize_request($key), $matches)) {
            $event_properties[$matches[1]] = eme_kses($value);
         }
      }
      $event_rsvp_dyndata = eme_handle_dyndata_post_adminform();
      if (!empty($event_rsvp_dyndata))
	      $event_properties['rsvp_dyndata'] = $event_rsvp_dyndata;
      $event['event_properties'] = serialize($event_properties);
      
      $event = eme_sanitize_event($event);
      $location = eme_sanitize_location($location);
      $validation_result = eme_validate_event($event);
      if ($validation_result != "OK") {
         // validation unsuccessful       
         echo "<div id='message' class='error '>
                  <p>$validation_result</p>
                  <p>$press_back</p>
              </div>";
         return;
      }

      // validation successful
      if(isset($_POST['location-select-id']) && $_POST['location-select-id'] != "") {
         $event['location_id'] = $_POST['location-select-id'];
      } else {
	 if (isset($_POST['location_id']) && intval($_POST['location_id'])>0) {
	    $event['location_id'] = intval($_POST['location_id']);
	 } elseif (empty($location['location_name']) && empty($location['location_address1']) && empty($location['location_city'])) {
            $event['location_id'] = 0;
         } else {
            $related_location_id = eme_get_identical_location_id($location);
            if ($related_location_id) {
               $event['location_id'] = $related_location_id;
            } else {
	       $validation_result = eme_validate_location($location);
	       if ($validation_result != "OK") {
		       echo "<div id='message' class='error '>
			     <p>$validation_result</p>
			     <p>$press_back</p>
			     </div>";
		       return;
               } else {
                  $new_location_id = eme_insert_location($location);
		  eme_location_store_cf_answers($new_location_id);
                  if (!$new_location_id) {
                     echo "<div id='message' class='error '>
                        <p>" . __ ( "Could not create the new location for this event: either you don't have the right to insert locations or there's a DB problem.", "eme" , 'events-made-easy') . "</p>
			<p>$press_back</p>
                        </div>";
                     return;
                  }
                  $event['location_id'] = $new_location_id;
               }
            }
         }
      }

      $stay_on_edit_page = get_option('eme_stay_on_edit_page');
      if (! $event_ID && ! $recurrence_ID) {
         // new event or new recurrence
         if (isset($_POST['repeated_event']) && $_POST['repeated_event']) {
            //insert new recurrence
            $recurrence_id = eme_db_insert_recurrence ( $recurrence, $event );
            if (!$recurrence_id) {
	       $feedback_message = __ ( 'No recurrence created!', 'events-made-easy');
            } else {
	       $count = eme_recurrence_count($recurrence_id);
               $feedback_message = sprintf(__ ( 'New recurrence inserted containing %d events', 'events-made-easy'),$count);
	       if ($stay_on_edit_page) {
		       $info = array('title' => __("Edit Recurrence",'events-made-easy'));
		       $info['feedback']=$feedback_message;
		       $event=eme_get_event(eme_get_recurrence_first_eventid($recurrence_id));
		       eme_event_form ( $event, $info, 1 );
		       return;
	       }
            }
         } else {
            // INSERT new event 
            $event_id=eme_db_insert_event($event);
            if (!$event_id) {
               $feedback_message = __ ( 'Database insert failed!', 'events-made-easy');
            } else {
	       eme_event_store_cf_answers($event_id);
               $feedback_message = __ ( 'New event successfully inserted!', 'events-made-easy');
	       if ($stay_on_edit_page) {
		       $info = array('title' => sprintf(__("Edit Event '%s'",'events-made-easy'),$event['event_name']));
		       $info['feedback']=$feedback_message;
		       $event=eme_get_event($event_id);
		       eme_event_form ( $event, $info );
		       return;
	       }
            }
         }
      } else {
         // something exists
         if ($recurrence_ID) {
            $tmp_recurrence = eme_get_recurrence ( $recurrence_ID );
            if (current_user_can( get_option('eme_cap_edit_events')) ||
                (current_user_can( get_option('eme_cap_author_event')) && ($tmp_recurrence['event_author']==$current_userid || $tmp_recurrence['event_contactperson_id']==$current_userid))) {
               // UPDATE old recurrence
               $recurrence['recurrence_id'] = $recurrence_ID;
               $count=eme_db_update_recurrence ($recurrence,$event);
               if ($count) {
                  $feedback_message = sprintf(__ ( 'Recurrence updated, contains %d events', 'events-made-easy'),$count);
		  if ($stay_on_edit_page) {
			  $info = array('title' => __("Edit Recurrence",'events-made-easy'));
			  $info['feedback']=$feedback_message;
			  $event=eme_get_event(eme_get_recurrence_first_eventid($recurrence_ID));
			  eme_event_form($event, $info,1);
			  return;
		  }
               } else {
                  $feedback_message = __ ('Recurrence no longer contains events, so it has been removed', 'events-made-easy');
               }
            } else {
               $feedback_message = sprintf(__("You have no right to update '%s'",'events-made-easy'),$orig_event['event_name']);
            }
         } else {
            if (current_user_can( get_option('eme_cap_edit_events')) ||
                (current_user_can( get_option('eme_cap_author_event')) && ($orig_event['event_author']==$current_userid || $orig_event['event_contactperson_id']==$current_userid))) {
               if (isset($_POST['repeated_event']) && $_POST['repeated_event']) {
                  // we go from single event to recurrence: create the recurrence and delete the single event
		  $recurrence_id = eme_db_insert_recurrence ( $recurrence, $event );
		  if (!$recurrence_id) {
	             $feedback_message = __ ('No recurrent event created!', 'events-made-easy');
		  } else {
		     eme_db_delete_event ( $orig_event );
		     $count = eme_recurrence_count($recurrence_id);
                     $feedback_message = sprintf(__ ( 'New recurrent event inserted containing %d events', 'events-made-easy'),$count);
		     if ($stay_on_edit_page) {
			     $info = array('title' => __("Edit Recurrence",'events-made-easy'));
			     $info['feedback']=$feedback_message;
			     $event=eme_get_event(eme_get_recurrence_first_eventid($recurrence_id));
			     eme_event_form($event, $info, 1);
			     return;
		     }
		  }
               } else {
                  // UPDATE old event
                  // unlink from recurrence in case it was generated by one
                  $event['recurrence_id'] = 0;
                  if (eme_db_update_event ($event,$event_ID)) {
                     eme_event_store_cf_answers($event_ID);
                     $feedback_message = sprintf(__("Updated '%s'",'events-made-easy'),$event['event_name']);
		     if ($stay_on_edit_page) {
			     $info = array('title' => sprintf(__("Edit Event '%s'",'events-made-easy'),$event['event_name']));
			     $info['feedback']=$feedback_message;
			     $event=eme_get_event($event_ID);
			     eme_event_form($event, $info);
			     return;
		     }
                  } else {
                     $feedback_message = sprintf(__("Failed to update '%s'",'events-made-easy'),$event['event_name']);
                  }
               }
            } else {
               $feedback_message = sprintf(__("You have no right to update '%s'",'events-made-easy'),$orig_event['event_name']);
            }
         }
      }
         
      // this gets reached in case event updates fails
      // or the option to stay on the edit page is not set
      eme_events_table ($feedback_message);
      return;
   }

   if ($action == 'add_new_event') {
         if (current_user_can( get_option('eme_cap_add_event'))) {
	    $event=eme_new_event();
            $info = array('title' => __ ( "Insert New Event", 'events-made-easy'));
            eme_event_form ( $event, $info );
         } else {
            $feedback_message = __('You have no right to add events!','events-made-easy');
            eme_events_table ($feedback_message);
         }
	 return;
   }

   if ($action == 'edit_event') {
         check_admin_referer('eme_admin','eme_admin_nonce');
	 $event = eme_get_event ( $event_ID );
         if (current_user_can( get_option('eme_cap_edit_events')) ||
             (current_user_can( get_option('eme_cap_author_event')) && ($event['event_author']==$current_userid || $event['event_contactperson_id']==$current_userid))) {
            // UPDATE event
            $info = array('title' => sprintf(__("Edit Event '%s'",'events-made-easy'),$event['event_name']));
            eme_event_form ( $event, $info );
         } else {
            $feedback_message = sprintf(__("You have no right to update '%s'",'events-made-easy'),$event['event_name']);
            eme_events_table ($feedback_message);
         }
	 return;
   }

   //Add duplicate event if requested
   if ($action == 'duplicate_event') {
      check_admin_referer('eme_admin','eme_admin_nonce');
      $event = eme_get_event ( $event_ID );
      // make it look like a new event
      unset($event['event_id']);
      unset($event['recurrence_id']);
      $event['event_name'].= __(" (Copy)",'events-made-easy');

      if (current_user_can( get_option('eme_cap_edit_events')) ||
          (current_user_can( get_option('eme_cap_author_event')) && ($event['event_author']==$current_userid || $event['event_contactperson_id']==$current_userid))) {
         $info = array('title' => sprintf(__("Edit event copy '%s'",'events-made-easy'),$event['event_name']));
         eme_event_form ($event, $info);
      } else {
         $feedback_message = sprintf(__("You have no right to copy '%s'",'events-made-easy'),$event['event_name']);
         eme_events_table ($feedback_message);
      }
      return;
   }

   if ($action == 'edit_recurrence') {
      check_admin_referer('eme_admin','eme_admin_nonce');
      $event=eme_get_event(eme_get_recurrence_first_eventid($recurrence_ID));
      if (current_user_can( get_option('eme_cap_edit_events')) ||
          (current_user_can( get_option('eme_cap_author_event')) && ($event['event_author']==$current_userid || $event['event_contactperson_id']==$current_userid))) {
         $info = array('title' => __ ( "Edit Recurrence", 'events-made-easy') . " '" . $event['event_name'] . "'");
         eme_event_form ($event, $info, 1);
      } else {
         $feedback_message = __('You have no right to update','events-made-easy'). " '" . $event['event_name'] . "' !";
         eme_events_table ($feedback_message);
      }
      return;
   }
   
   if ($action == "-1" || $action == "") {
      // No action, only showing the events list
      eme_events_table();
      return;
   }
}

// array of all pages, bypasses the filter I set up :)
function eme_get_all_pages() {
   global $wpdb;
   $query = "SELECT id, post_title FROM " . $wpdb->prefix . "posts WHERE post_type = 'page' AND post_status='publish'";
   $pages = $wpdb->get_results ( $query, ARRAY_A );
   // get_pages() is better, but uses way more memory and it might be filtered by eme_filter_get_pages()
   //$pages = get_pages();
   $output = array ();
   $output[] = __( 'Please select a page','events-made-easy');
   foreach ( $pages as $page ) {
      $output[$page['id']] = $page['post_title'];
   // $output[$page->ID] = $page->post_title;
   }
   return $output;
}

//This is the content of the event page
function eme_events_page_content($orig_content) {
   global $eme_timezone;

   $page_body="";
   if (isset($_GET['eme_cancel_payment'])) {
      $payment_randomid=eme_sanitize_request($_REQUEST['eme_cancel_payment']);
      return eme_cancel_payment_form($payment_randomid);

   } elseif (isset($_GET['eme_unsub'])) {
      // lets act as if the unsub shortcode is on the page
      $atts=array();
      return eme_unsubform_shortcode($atts);

   } elseif (isset($_GET['eme_sub_confirm']) && isset($_GET['eme_sub_nonce'])) {
      $eme_email=sanitize_email($_GET['eme_sub_confirm']);
      if (!empty($_GET['g'])) {
              $eme_email_groups=eme_sanitize_request($_GET['g']);
              $eme_email_groups_arr=explode(',',$eme_email_groups);
              if (!eme_array_integers($eme_email_groups_arr))
                      $eme_email_groups_arr=array();
      } else {
              $eme_email_groups='';
              $eme_email_groups_arr=array();
      }
      if (wp_verify_nonce($_GET['eme_sub_nonce'],"sub $eme_email$eme_email_groups")) {
              eme_sub_do($eme_email,$eme_email_groups_arr);
              return "<div class='eme-subscribe-message-success'>".__("You have been subscribed.",'events-made-easy')."</div>";
      } else {
              return "<div class='eme-subscribe-message-error'>".__("This link is not (or no longer) valid.",'events-made-easy')."</div>";
      }

   } elseif (isset($_GET['eme_unsub_confirm']) && isset($_GET['eme_unsub_nonce'])) {
      $eme_email=sanitize_email($_GET['eme_unsub_confirm']);
      if (!empty($_GET['g'])) {
              $eme_email_groups=eme_sanitize_request($_GET['g']);
              $eme_email_groups_arr=explode(',',$eme_email_groups);
              if (!eme_array_integers($eme_email_groups_arr))
                      $eme_email_groups_arr=array();
      } else {
              $eme_email_groups='';
              $eme_email_groups_arr=array();
      }
      if (wp_verify_nonce($_GET['eme_unsub_nonce'],"unsub $eme_email$eme_email_groups")) {
              eme_unsub_do($eme_email,$eme_email_groups_arr);
              return "<div class='eme-unsubscribe-message-success'>".__("You have been unsubscribed.",'events-made-easy')."</div>";
      } else {
              return "<div class='eme-unsubscribe-message-error'>".__("This link is not (or no longer) valid.",'events-made-easy')."</div>";
      }

   } elseif (isset($_GET['eme_gdpr_approve']) && isset($_GET['eme_gdpr_nonce'])) {
      $eme_email=sanitize_email($_GET['eme_gdpr_approve']);
      if (wp_verify_nonce($_GET['eme_gdpr_nonce'],"gdpr $eme_email")) {
	      eme_update_person_gdpr($eme_email);
	      return eme_gdpr_approve_show();
      } else {
	      return "<div class='eme-rsvp-message-error'>".__("GDPR link is no longer valid, please request a new link.",'events-made-easy')."</div>";
      }

   } elseif (isset($_GET['eme_gdpr']) && isset($_GET['eme_gdpr_nonce'])) {
      $eme_email=sanitize_email($_GET['eme_gdpr']);
      if (wp_verify_nonce($_GET['eme_gdpr_nonce'],"gdpr $eme_email")) {
	      return eme_gdpr_show($eme_email);
      } else {
	      return "<div class='eme-rsvp-message-error'>".__("GDPR link is no longer valid, please request a new link.",'events-made-easy')."</div>";
      }

   } elseif (get_query_var('eme_check_attendance') && get_query_var('eme_pmt_rndid')) {
      if (!currenct_user_can(get_option('eme_cap_attendancecheck')) && !current_user_can(get_option('eme_cap_approve')) && !current_user_can(get_option('eme_cap_registrations'))) {
	      return "<div class='eme-rsvp-message-error'>".__("Only WP people with the correct rights can use this link.",'events-made-easy')."</div>";
      }
      $payment_randomid=eme_sanitize_request(get_query_var('eme_pmt_rndid'));
      $payment = eme_get_payment(0,$payment_randomid);
      if ($payment['member_id']>0) {
	      return "<div class='eme-rsvp-message-error'>".__('Attendance check only valid for events and bookings, not members','events-made-easy')."</div>";
      }
      $payment_paid= eme_get_payment_paid($payment);
      if ($payment_paid) {
	      $format = get_option('eme_payment_succes_format');
	      if (empty($format)) $format = "<div class='eme-rsvp-message-success'>".__('Attendance check: payment ok','events-made-easy')."</div>";
      } else {
	      $format = get_option('eme_payment_fail_format');
	      if (empty($format)) $format = "<div class='eme-rsvp-message-error'>".__('Attendance check: payment not ok','events-made-easy')."</div>";
      }
      $seats_booked= eme_get_payment_seats($payment);
      if ($seats_booked) {
	      $booking_ids = eme_get_randompayment_booking_ids($payment_randomid);
	      // since each booking is for a different event, we can't know which one to show
	      // so we show only the first one
	      $booking = eme_get_booking($booking_ids[0]);
	      $event = eme_get_event($booking['event_id']);
	      $eme_date_obj_now=new ExpressiveDate(null,$eme_timezone);
	      $eme_start_date_obj = new ExpressiveDate($event['event_start_date']." ".$event['event_start_time'],$eme_timezone);
	      $eme_end_date_obj = new ExpressiveDate($event['event_end_date']." ".$event['event_end_time'],$eme_timezone);
	      $begin_difference = round($eme_date_obj_now->getDifferenceInHours($eme_start_date_obj));
	      $end_difference = round($eme_end_date_obj->getDifferenceInHours($eme_date_obj_now));
	      if ($begin_difference>intval($event['event_properties']['attendance_begin'])) {
		      $format = "<div class='eme-rsvp-message-error'>".__('No entry allowed yet','events-made-easy')."</div>";
	      } elseif ($end_difference>intval($event['event_properties']['attendance_end'])) {
		      $format = "<div class='eme-rsvp-message-error'>".__('No entry allowed anymore','events-made-easy')."</div>";
	      } else {
		      eme_update_attendance_count($payment['id']);
		      $attendance_count = eme_get_attendance_count($payment['id']);
		      if ($attendance_count>$seats_booked) {
			      $format .= "<div class='eme-rsvp-message-error'>".sprintf(__('Access denied: attendance count=%d, max count=%d','events-made-easy'),$attendance_count,$seats_booked)."</div>";
		      } else {
			      $format .= "<div class='eme-rsvp-message-success'>".sprintf(__('Access granted: attendance count=%d, max count=%d','events-made-easy'),$attendance_count,$seats_booked)."</div>";
		      }
	      }
	      return eme_replace_booking_placeholders($format,$event,$booking);
      } else {
	      $format = "<div class='eme-rsvp-message-error'>".__('No bookings linked to this payment id','events-made-easy')."</div>";
	      return $format;
      }

   } elseif (get_query_var('eme_check_member')) {
      if (!current_user_can( get_option('eme_cap_membercheck')) && !current_user_can( get_option('eme_cap_members')) ) {
	      $img="<img src='".EME_PLUGIN_URL."images/denied-48.png'>";
	      return "<div class='eme-rsvp-message-error'>$img ".__("Access denied!",'events-made-easy')."</div>";
      }
      if (!eme_check_member_url()) {
	      $img="<img src='".EME_PLUGIN_URL."images/error-48.png'>";
	      $format = "<div class='eme-rsvp-message-error'>$img ".__('NOK: member is not active!','events-made-easy')."</div>";
      } else {
	      $img="<img src='".EME_PLUGIN_URL."images/good-48.png'>";
	      $member_id=intval($_GET['member_id']);
	      $member=eme_get_member($member_id);
	      $person=eme_get_person($member['person_id']);
	      $format = "<div class='eme-rsvp-message-success'>$img ".sprintf(__('OK: member %d (%s) is active','events-made-easy'),$member_id,$person['firstname'].' '.$person['lastname'])."</div>";
      }
      return $format;
   } elseif (get_query_var('eme_pmt_result') && get_query_var('eme_pmt_rndid')) {
      $payment_randomid=eme_sanitize_request(get_query_var('eme_pmt_rndid'));
      $payment = eme_get_payment(0,$payment_randomid);
      $pg_pid = $payment['pg_pids'];
      $result=get_query_var('eme_pmt_result');
      // mollie updates the state of the payment before returning to the success/failure url, but it doesn't make a distinction for success/failure url, so we check it here
      if ($result == 'mollie') {
	      // we can get to the returnurl (this section) faster than the webhook, so we check if it is paid here too
	      if (!eme_get_payment_paid($payment) && !empty($pg_pid))
		      eme_mollie_notification($pg_pid);
	      // the state can change after the last function call, so check it
	      if (eme_get_payment_paid($payment)) {
		      $result='success';
	      } else {
		      $result='fail';
	      }
      }
      if ($result == 'paypal') {
	      if (!eme_get_payment_paid($payment) && !empty($pg_pid))
		      eme_complete_paypal_transaction($payment,$pg_pid);
	      // the state can change after the last function call, so check it
	      if (eme_get_payment_paid($payment)) {
		      $result='success';
	      } else {
		      $result='fail';
	      }
      }
      if ($result == 'stripe') {
	      if (!eme_get_payment_paid($payment) && !empty($pg_pid))
		      eme_complete_stripe_transaction($payment,$pg_pid);
	      // the state can change after the last function call, so check it
	      if (eme_get_payment_paid($payment)) {
		      $result='success';
	      } else {
		      $result='fail';
	      }
      }
      if ($result == 'instamojo') {
	      if (!eme_get_payment_paid($payment) && !empty($pg_pid))
		      eme_complete_instamojo_transaction($payment,$pg_pid);
	      // the state can change after the last function call, so check it
	      if (eme_get_payment_paid($payment)) {
		      $result='success';
	      } else {
		      $result='fail';
	      }
      }
      if ($payment['member_id']>0) {
	 $member = eme_get_member($payment['member_id']);
         $membership = eme_get_membership($member['membership_id']);
	 if ($result == 'success') {
		 if (!empty($membership['properties']['payment_success_tpl']))
			 $format = eme_get_template_format($membership['properties']['payment_success_tpl']);
		 else
			 $format = get_option('eme_payment_member_succes_format');
		 if (empty($format)) $format = "<div class='eme-member-message-success'>".__('Payment success for your membership signup for #_MEMBERSHIPNAME','events-made-easy')."</div>";
	 } else {
		 $format = get_option('eme_payment_member_fail_format');
		 if (empty($format)) $format = "<div class='eme-member-message-error'>".__('Payment failed for your membership signup for #_MEMBERSHIPNAME','events-made-easy')."</div>";
	 }
	 return eme_replace_member_placeholders($format,$membership,$member);
      } else {
         if ($result == 'success') {
            $format = get_option('eme_payment_succes_format');
   	    if (empty($format)) $format = "<div class='eme-rsvp-message-success'>".__('Payment success for your booking for #_EVENTNAME','events-made-easy')."</div>";
         } else {
            $format = get_option('eme_payment_fail_format');
	    if (empty($format)) $format = "<div class='eme-rsvp-message-error'>".__('Payment failed for your booking for #_EVENTNAME','events-made-easy')."</div>";
         }
	 $booking_ids = eme_get_randompayment_booking_ids($payment_randomid);
         if ($booking_ids) {
            // since each booking is for a different event, we can't know which one to show
            // so we show only the first one
            $booking = eme_get_booking($booking_ids[0]);
	    $event = eme_get_event($booking['event_id']);
            return eme_replace_booking_placeholders($format,$event,$booking);
         } else {
	    $format = "<div class='eme-rsvp-message-error'>".__('No bookings linked to this payment id','events-made-easy')."</div>";
            return $format;
         }
      }
   } elseif (get_query_var('eme_pmt_rndid')) {
      $payment_randomid=eme_sanitize_request(get_query_var('eme_pmt_rndid'));
      $payment=eme_get_payment(0,$payment_randomid);
      // the next div is the same one as in eme_rsvp.php and eme_members.php for the payment form
      $page_body = "<div id='div_eme-payment-form' class='eme-payment-form'>";
      $page_body .= eme_payment_form($payment['id']);
      $page_body .= "</div>";
      return $page_body;
   }

   if (get_query_var('eme_city')) {
      $eme_city=eme_sanitize_request(get_query_var('eme_city'));
      $location_ids = join(',',eme_get_city_location_ids($eme_city));
      $stored_format = get_option('eme_event_list_item_format');
      if (count($location_ids)>0) {
         $format_header = get_option('eme_event_list_item_format_header' );
         if (empty($format_header)) $format_header = DEFAULT_EVENT_LIST_HEADER_FORMAT;
         $format_footer = get_option('eme_event_list_item_format_footer' );
         if (empty($format_footer)) $format_footer = DEFAULT_EVENT_LIST_FOOTER_FORMAT;
         $page_body = eme_get_events_list ( get_option('eme_event_list_number_items' ), "future", "ASC", $stored_format, $format_header,$format_footer, 0, '','',0,'','',0,0,$location_ids);
      } else {
         $page_body = "<span id='events-no-events'>" . do_shortcode(get_option('eme_no_events_message')) . "</span>";
      }
      return $page_body;
   }
   if (get_query_var('eme_country')) {
      $eme_country=eme_sanitize_request(get_query_var('eme_country'));
      $location_ids = join(',',eme_get_country_location_ids($eme_country));
      $stored_format = get_option('eme_event_list_item_format');
      if (count($location_ids)>0) {
         $format_header = get_option('eme_event_list_item_format_header' );
         if (empty($format_header)) $format_header = DEFAULT_EVENT_LIST_HEADER_FORMAT;
         $format_footer = get_option('eme_event_list_item_format_footer' );
         if (empty($format_footer)) $format_footer = DEFAULT_EVENT_LIST_FOOTER_FORMAT;
         $page_body = eme_get_events_list ( get_option('eme_event_list_number_items' ), "future", "ASC", $stored_format, $format_header,$format_footer, 0, '','',0,'','',0,0,$location_ids);
      } else {
         $page_body = "<span id='events-no-events'>" . do_shortcode(get_option('eme_no_events_message')) . "</span>";
      }
      return $page_body;
   }
   if (get_query_var('location_id')) {
      $location = eme_get_location ( eme_sanitize_request(get_query_var('location_id')));
      $single_location_format = get_option('eme_single_location_format' );
      $page_body = eme_replace_locations_placeholders ( $single_location_format, $location );
      return $page_body;
   }
   if (!get_query_var('calendar_day') && get_query_var('eme_event_cat')) {
      $format_header = get_option('eme_cat_event_list_item_format_header' );
      if (empty($format_header)) $format_header = DEFAULT_CAT_EVENT_LIST_HEADER_FORMAT;
      $format_footer = get_option('eme_cat_event_list_item_format_footer' );
      if (empty($format_footer)) $format_footer = DEFAULT_CAT_EVENT_LIST_FOOTER_FORMAT;
      $eme_event_cat=eme_sanitize_request(get_query_var('eme_event_cat'));
      $cat_ids = join(',',eme_get_category_ids($eme_event_cat));
      $stored_format = get_option('eme_event_list_item_format');
      if (!empty($cat_ids)) {
         $page_body = eme_get_events_list ( get_option('eme_event_list_number_items' ), "future", "ASC", $stored_format, $format_header,$format_footer, 0, $cat_ids);
      } else {
         $page_body = "<span id='events-no-events'>" . do_shortcode(get_option('eme_no_events_message')) . "</span>";
      }
      return $page_body;
   }

   //if (isset ( $_REQUEST['event_id'] ) && $_REQUEST['event_id'] != '') {
   if (eme_is_single_event_page()) {
      // single event page
      $event_id = eme_sanitize_request(get_query_var('event_id'));
      return eme_display_single_event($event_id);
   } elseif (get_query_var('calendar_day')) {
      // we don't use urldecode on the _GET params, since we pass them the url-way to eme_get_events_list
      $scope = eme_sanitize_request(get_query_var('calendar_day'));
      $location_id = isset( $_GET['location_id'] ) ? $_GET['location_id'] : '';
      $category = isset( $_GET['category'] ) ? $_GET['category'] : '';
      $notcategory = isset( $_GET['notcategory'] ) ? $_GET['notcategory'] : '';
      $author = isset( $_GET['author'] ) ? $_GET['author'] : '';
      $contact_person = isset( $_GET['contact_person'] ) ? $_GET['contact_person'] : '';
      $show_single_event = get_option('eme_cal_show_single')? 1 : 0;
      $page_body = eme_get_events_list ("limit=0&scope=$scope&category=$category&author=$author&contact_person=$contact_person&location_id=$location_id&notcategory=$notcategory&show_single_event=$show_single_event");
      return $page_body;
   } else {
      // Defaults events page
      if (get_option('eme_display_calendar_in_events_page' )) {
         $page_body = eme_get_calendar ('full=1');
      }
      if (get_option('eme_display_events_in_events_page' )) {
         $scope = isset($_GET['scope']) ? eme_sanitize_request($_GET['scope']) : "future";
         $page_body .= eme_get_events_list ("scope=$scope");
      }
      return $page_body;
   }
}

function eme_events_count_for($date) {
   global $wpdb;
   $table_name = $wpdb->prefix . EVENTS_TBNAME;
   $conditions = array ();
   if (!eme_is_admin_request()) {
      if (is_user_logged_in()) {
         $conditions[] = "event_status IN (".STATUS_PUBLIC.",".STATUS_PRIVATE.")";
      } else {
         $conditions[] = "event_status=".STATUS_PUBLIC;
      }
   }
   $conditions[] = "((event_start_date  like '$date') OR (event_start_date <= '$date' AND event_end_date >= '$date'))";
   $where = implode ( " AND ", $conditions );
   if ($where != "")
      $where = " WHERE " . $where;
   $sql = "SELECT COUNT(*) FROM  $table_name $where";
   return $wpdb->get_var ( $sql );
}

// filter function to call the event page when appropriate
function eme_filter_events_page($data) {

   global $wp_current_filter;

   // we need to make sure we do this only once. Reason being: other plugins can call the_content as well
   // Suppose you add a shortcode from another plugin to the detail part of an event and that other plugin
   // calls apply_filter('the_content'), then this would cause recursion since that call would call our filter again
   // If the_content is the current filter definition (last element in the array), when there's more than one
   // (this is possible since one filter can call another, apply_filters does this), we can be in such a loop
   // And since our event content is only meant to be shown as content of a page (the_content is then the only element
   // in the $wp_current_filter array), we can then skip it
   $eme_count_arr=array_count_values($wp_current_filter);
 
   // we change the content of the page only if we're "in the loop",
   // otherwise this filter also gets applied if e.g. a widget calls
   // the_content or the_excerpt to get the content of a page
   if (in_the_loop() && eme_is_events_page() && $eme_count_arr['the_content']==1) {
      return eme_events_page_content ($data);
   } else {
      return $data;
   }
}
add_filter ( 'the_content', 'eme_filter_events_page' );

function eme_page_title($data) {
   $events_page_id = eme_get_events_page_id();
   $events_page = get_page ( $events_page_id );
   $events_page_title = $events_page->post_title;

   // make sure we only replace the title for the events page, not anything
   // from the menu (which is also in the loop ...)
   if (($data == $events_page_title) && in_the_loop() && eme_is_events_page()) {
      if (eme_is_single_event_page()) {
         // single event page
         $event_ID = eme_sanitize_request(get_query_var('event_id'));
         $event = eme_get_event ( $event_ID );
         if (!empty($event['event_page_title_format']))
            $stored_page_title_format = $event['event_page_title_format'];
         elseif ($event['event_properties']['event_page_title_format_tpl']>0)
            $stored_page_title_format = eme_get_template_format_plain($event['event_properties']['event_page_title_format_tpl']);
         else
            $stored_page_title_format = get_option('eme_event_page_title_format' );
         $page_title = eme_replace_placeholders($stored_page_title_format, $event);
         return $page_title;
      } elseif (eme_is_single_location_page()) {
         $location = eme_get_location (eme_sanitize_request(get_query_var('location_id')));
         $stored_page_title_format = get_option('eme_location_page_title_format' );
         $page_title = eme_replace_locations_placeholders($stored_page_title_format, $location);
         return $page_title;
      } elseif (isset($_GET['eme_gdpr_approve']) && isset($_GET['eme_gdpr_nonce'])) {
         return get_option('eme_gdpr_approve_page_title');
      } elseif (isset($_GET['eme_gdpr']) && isset($_GET['eme_gdpr_nonce'])) {
         return get_option('eme_gdpr_page_title');
      } else {
         // Multiple events page
         return get_option('eme_events_page_title' );
      }
   } else {
      return $data;
   }
}

function eme_html_title($data) {
   if (eme_is_events_page()) {
      if (eme_is_single_event_page()) {
         // single event page
         $event_id =eme_sanitize_request(get_query_var('event_id'));
	 if (!eme_check_event_exists($event_id)) {
		 return $data;
	 }
         $event = eme_get_event($event_id);
         $stored_html_title_format = get_option('eme_event_html_title_format');
	 // no html tags or anything weird in the title: we sanitize it, so it already removes all problems
         $html_title = eme_sanitize_request(eme_replace_placeholders($stored_html_title_format, $event));
         return $html_title;
      } elseif (eme_is_single_location_page()) {
         $location_id = eme_sanitize_request(get_query_var('location_id'));
	 if (!eme_check_location_exists($location_id)) {
		 return $data;
	 }
         $location = eme_get_location($location_id);
         $stored_html_title_format = get_option('eme_location_html_title_format');
	 // no html tags or anything weird in the title: we sanitize it, so it already removes all problems
         $html_title = eme_sanitize_request(eme_replace_locations_placeholders($stored_html_title_format, $location));
         return $html_title;
      } elseif (isset($_GET['eme_gdpr_approve']) && isset($_GET['eme_gdpr_nonce'])) {
         return __('GDPR approval','events-made-easy');
      } elseif (isset($_GET['eme_gdpr']) && isset($_GET['eme_gdpr_nonce'])) {
         return __('GDPR','events-made-easy');
      } else {
         // Multiple events page
	 // no html tags or anything weird in the title: we sanitize it, so it already removes all problems
         $html_title = eme_sanitize_request(get_option('eme_events_page_title'));
         return $html_title;
      }
   } else {
      return $data;
   }
}

// the filter single_post_title influences the html header title and the page title
// we want to prevent html tags in the html header title (if you add html in the 'single event title format', it will show)
add_filter ( 'single_post_title', 'eme_html_title' );
add_filter ( 'the_title', 'eme_page_title' );

// let's change the layout of the page if wanted
function eme_single_event_page_template($template) {
   if (eme_is_single_event_page()) {
	   $event=eme_get_event(get_query_var('event_id'));
	   if (!empty($event['event_properties']['wp_page_template'])) {
		   if ( $overridden_template = locate_template( $event['event_properties']['wp_page_template'] ) ) {
			   return $overridden_template;
		   } else {
			   return $template;
		   }
	   } else {
		   return $template;
	   }
   } else {
	   return $template;
   }
}
add_filter('template_include','eme_single_event_page_template',99);

// let's change the edit url used in wp themes for single events and locations
function eme_edit_post_link($data) {
      if (eme_is_single_event_page()) {
         $event_id =eme_sanitize_request(get_query_var('event_id'));
	 return wp_nonce_url(admin_url("admin.php?page=eme-manager&amp;eme_admin_action=edit_event&amp;event_id=".$event_id),'eme_admin','eme_admin_nonce');
      } elseif (eme_is_single_location_page()) {
         $location_id =eme_sanitize_request(get_query_var('location_id'));
	 return wp_nonce_url(admin_url("admin.php?page=eme-locations&amp;eme_admin_action=edit_location&amp;location_id=".$location_id),'eme_admin','eme_admin_nonce');
      } else {
	 return $data;
      }
}
add_filter ('get_edit_post_link', 'eme_edit_post_link');

function eme_template_redir() {
# We need to catch the request as early as possible, but
# since it needs to be working for both permalinks and normal,
# I can't use just any action hook. parse_query seems to do just fine
   if (get_query_var('event_id')) {
      $event_id =eme_sanitize_request(get_query_var('event_id'));
      if (!eme_check_event_exists($event_id)) {
         status_header(404);
         eme_nocache_headers();
         if ('' != get_404_template())
            include( get_404_template() );
         exit;
      }
      $event=eme_get_event(get_query_var('event_id'));
      // if the event is private and not logged in: return
      if ($event['event_status'] == STATUS_PRIVATE && !is_user_logged_in()) {
	      $redir_url=get_option('eme_redir_priv_event_url');
	      if (!empty($redir_url))
		      wp_redirect(esc_url($redir_url));
	      else
		      auth_redirect();
      }
      // if the event is draft and not logged in: return not found
      if ($event['event_status'] == STATUS_DRAFT && !is_user_logged_in()) {
         status_header(404);
         eme_nocache_headers();
         if ('' != get_404_template())
            include( get_404_template() );
         exit;
      }
   }
   if (get_query_var('location_id')) {
      $location_id =eme_sanitize_request(get_query_var('location_id'));
      if (!eme_check_location_exists($location_id)) {
         status_header(404);
         eme_nocache_headers();
         if ('' != get_404_template())
            include( get_404_template() );
         exit;
      }
   }

   // if we want to show a day and it has only 1 event: redir to that event
   if (get_query_var('calendar_day')) {
         $date = eme_sanitize_request(get_query_var('calendar_day'));
         $events_N = eme_events_count_for ( $date );
         if ($events_N == 1) {
            $events = eme_get_events ( 0, eme_sanitize_request(get_query_var('calendar_day')));
            $event = $events[0];
            wp_redirect(eme_event_url($event));
            die;
         }
   }

   if (eme_is_single_event_page() || eme_is_single_location_page()) {
      // remove rel_canonical from the header, EME generates it's own one
      remove_action( 'wp_head', 'rel_canonical' );
      // remove yoast SEO from the header, EME generates it's own one
      global $wpseo_front;
      if (isset($wpseo_front))
         remove_action( 'wp_head', array($wpseo_front, 'head'), 2 );
   }
}

// filter out the events page in the get_pages call
function eme_filter_get_pages($data) {
   $events_page_id = eme_get_events_page_id();
   foreach ($data as $key => $item) {
      if ($item->ID == $events_page_id) {
         unset($data[$key]);
      }
   }
   //return $output;
   return $data;
}
add_filter ( 'get_pages', 'eme_filter_get_pages' );

function eme_replace_generic_placeholders($format, $target="html") {
   global $eme_timezone;
   $eme_date_obj_now=new ExpressiveDate(null,$eme_timezone);
   preg_match_all("/#(ESC|URL)?@?_?[A-Za-z0-9_]+(\{.*?\})?(\{.*?\})?/", $format, $placeholders);

   // make sure we set the largest matched placeholders first, otherwise if you found e.g.
   // #_LOCATION, part of #_LOCATIONPAGEURL would get replaced as well ...
   usort($placeholders[0],'eme_sort_stringlenth');
   foreach($placeholders[0] as $result) {
      $need_escape = 0;
      $need_urlencode = 0;
      $orig_result = $result;
      $found = 1;
      if (strstr($result,'#ESC')) {
         $result = str_replace("#ESC","#",$result);
         $need_escape=1;
      } elseif (strstr($result,'#URL')) {
         $result = str_replace("#URL","#",$result);
         $need_urlencode=1;
      }
      $replacement = "";
      // matches all fields placeholder
      if (preg_match('/#_CURDATE$/', $result)) {
         $replacement = eme_localized_date($eme_date_obj_now->getDateTime()." ".$eme_timezone);
      } elseif (preg_match('/#_CURTIME$/', $result)) {
         $replacement = eme_localized_time($eme_date_obj_now->getDateTime()." ".$eme_timezone);
      } elseif (preg_match('/#_SINGLE_EVENTPAGE_EVENTID/', $result)) {
         // returns the event id of the single event page currently shown
         if (eme_is_single_event_page())
               $replacement = intval(get_query_var('event_id'));
      } elseif (preg_match('/#_CALENDAR_DAY/', $result)) {
         $day_key = get_query_var('calendar_day');
         $replacement=eme_localized_date($day_key." ".$eme_timezone);
         if ($target == "html") {
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = apply_filters('eme_text', $replacement);
         }
      } elseif (preg_match('/^#_USER_HAS_CAP\{(.*?)\}/', $result, $matches)) {
         $cap=$matches[1];
	 if (is_user_logged_in()) {
		 if (current_user_can($cap)) {
			 $replacement = 1;
		 } else {
			 $replacement = 0;
		 }
	 } else {
		 $replacement = 0;
	 }
      } elseif (preg_match('/^#_USER_HAS_ROLE\{(.*?)\}/', $result, $matches)) {
         $role=$matches[1];
	 if (is_user_logged_in()) {
		 $wp_user=get_current_user();
		 if (in_array( $role, (array) $wp_user->roles)) {
			 $replacement = 1;
		 } else {
			 $replacement = 0;
		 }
	 } else {
		 $replacement = 0;
	 }

      } elseif (preg_match('/^#_IS_USER_IN_GROUP\{(.*?)\}/', $result, $matches)) {
         $match=$matches[1];
	 if (is_numeric($match)) {
		 $group=eme_get_group_name($match);
	 } else {
		 $group=$match;
	 }
	 if (is_user_logged_in()) {
		 $wp_id=get_current_user_id();
		 if (in_array($group,eme_get_persongroup_names(0,$wp_id)))
			 $replacement = 1;
		 else
			 $replacement = 0;
	 } else {
		 $replacement = 0;
	 }
      } elseif (preg_match('/^#_IS_USER_MEMBER_OF\{(.*?)\}/', $result, $matches)) {
         $match=$matches[1];
	 if (is_numeric($match)) {
		 $membership=eme_get_membership_name($match);
	 } else {
		 $membership=$match;
	 }
	 if (is_user_logged_in()) {
		 $wp_id=get_current_user_id();
		 if (in_array($membership,eme_get_personmembership_names(0,$wp_id)))
			 $replacement = 1;
		 else
			 $replacement = 0;
	 } else {
		 $replacement = 0;
	 }
      } elseif (preg_match('/#_IS_SINGLE_DAY/', $result)) {
         if (eme_is_single_day_page())
            $replacement = 1;
         else
            $replacement = 0;

      } elseif (preg_match('/#_IS_SINGLE_EVENT/', $result)) {
         if (eme_is_single_event_page())
            $replacement = 1;
         else
            $replacement = 0;

      } elseif (preg_match('/#_IS_LOGGED_IN/', $result)) {
         if (is_user_logged_in())
            $replacement = 1;
         else
            $replacement = 0;

      } elseif (preg_match('/#_IS_ADMIN|#_IS_ADMIN_PAGE/', $result)) {
         if (eme_is_admin_request())
            $replacement = 1;
         else
            $replacement = 0;
      } elseif (preg_match('/#_LOCALE/', $result)) {
         $replacement = get_locale();

      } elseif (preg_match('/#_LANG/', $result)) {
	 if (empty($lang))
	    $replacement=eme_detect_lang();
         else
            $replacement=$lang;

      } elseif (preg_match('/#_UNSUB_URL$/', $result)) {
         $replacement = eme_unsub_url();

      } else {
         $found = 0;
      }

      if ($found) {
         if ($need_escape)
            $replacement = eme_esc_html(preg_replace('/\n|\r/','',$replacement));
         if ($need_urlencode)
            $replacement = rawurlencode($replacement);
         $format = str_replace($orig_result, $replacement ,$format );
      }
   }
   return $format;
}

function eme_replace_placeholders($format, $event, $target="html", $do_shortcode=1, $lang='') {
   global $eme_timezone;

   // an initial filter for the format, in case people want to change anything before the placeholders get replaced
   if (has_filter('eme_events_format_prefilter')) $format=apply_filters('eme_events_format_prefilter',$format, $event);

   // some variables we'll use further down more than once
   $current_userid=get_current_user_id();
   $eme_enable_notes_placeholders = get_option('eme_enable_notes_placeholders'); 
   // for all RSVP related placeholders, we will use linked_event as the variable
   if ($event['event_properties']['rsvp_link'] && is_numeric($event['event_properties']['rsvp_link'])) {
	   $linked_event=eme_get_event($event['event_properties']['rsvp_link']);
	   $total_seats = eme_get_total($linked_event['event_seats']);
   } else {
	   $total_seats = eme_get_total($event['event_seats']);
	   $linked_event = $event;
   }

   // first replace the notes sections, since these can contain other placeholders
   if ($eme_enable_notes_placeholders)
      $format = eme_replace_notes_placeholders ( $format, $event, $target );

   // then we do the custom attributes, since these can contain other placeholders
   preg_match_all("/#(ESC|URL)?_ATT\{.+?\}(\{.+?\})?/", $format, $results);
   foreach($results[0] as $resultKey => $result) {
      $need_escape = 0;
      $need_urlencode = 0;
      $orig_result = $result;
      if (strstr($result,'#ESC')) {
         $result = str_replace("#ESC","#",$result);
         $need_escape=1;
      } elseif (strstr($result,'#URL')) {
         $result = str_replace("#URL","#",$result);
         $need_urlencode=1;
      }
      $replacement = "";
      //Strip string of placeholder and just leave the reference
      $attRef = substr( substr($result, 0, strpos($result, '}')), 6 );
      if (isset($event['event_attributes'][$attRef])) {
         $replacement = $event['event_attributes'][$attRef];
      }
      if( trim($replacement) == ''
         && isset($results[2][$resultKey])
         && $results[2][$resultKey] != '' ) {
         //Check to see if we have a second set of braces;
         $replacement = substr( $results[2][$resultKey], 1, strlen(trim($results[2][$resultKey]))-2 );
      }

      if ($need_escape)
         $replacement = eme_esc_html(preg_replace('/\n|\r/','',$replacement));
      if ($need_urlencode)
         $replacement = rawurlencode($replacement);
      $format = str_replace($orig_result, $replacement ,$format );
   }

   preg_match_all("/#(ESC|URL)?@?_?[A-Za-z0-9_]+(\{.*?\})?(\{.*?\})?/", $format, $placeholders);

   // make sure we set the largest matched placeholders first, otherwise if you found e.g.
   // #_LOCATION, part of #_LOCATIONPAGEURL would get replaced as well ...
   usort($placeholders[0],'eme_sort_stringlenth');

   $eme_date_obj_now=new ExpressiveDate(null,$eme_timezone);
   if (!empty($event) && isset($event['event_id'])) {
	   $answers = eme_get_event_cf_answers($event['event_id']);
   } else {
	   $answers=array();
   }
   foreach($placeholders[0] as $result) {
      $need_escape = 0;
      $need_urlencode = 0;
      $orig_result = $result;
      $found = 1;
      if (strstr($result,'#ESC')) {
         $result = str_replace("#ESC","#",$result);
         $need_escape=1;
      } elseif (strstr($result,'#URL')) {
         $result = str_replace("#URL","#",$result);
         $need_urlencode=1;
      }
      $replacement = "";
      // matches all fields placeholder
      if ($event && preg_match('/#_EDITEVENTLINK/', $result)) { 
         if (current_user_can( get_option('eme_cap_edit_events')) ||
             (current_user_can( get_option('eme_cap_author_event')) && ($event['event_author']==$current_userid || $event['event_contactperson_id']==$current_userid))) {
            $replacement = "<a href=' ".wp_nonce_url(admin_url("admin.php?page=eme-manager&amp;eme_admin_action=edit_event&amp;event_id=".$event['event_id']),'eme_admin','eme_admin_nonce')."'>".__('Edit', 'events-made-easy')."</a>";
         }

      } elseif ($event && preg_match('/#_EDITEVENTURL/', $result)) { 
         if (current_user_can( get_option('eme_cap_edit_events')) ||
             (current_user_can( get_option('eme_cap_author_event')) && ($event['event_author']==$current_userid || $event['event_contactperson_id']==$current_userid))) {
            $replacement = wp_nonce_url(admin_url("admin.php?page=eme-manager&amp;eme_admin_action=edit_event&amp;event_id=".$event['event_id']),'eme_admin','eme_admin_nonce');
         }

      } elseif ($linked_event && preg_match('/#_EVENTPRINTBOOKINGSLINK/', $result)) { 
         if (current_user_can( get_option('eme_cap_edit_events')) || current_user_can( get_option('eme_cap_list_events')) ||
             (current_user_can( get_option('eme_cap_author_event')) && ($event['event_author']==$current_userid || $linked_event['event_contactperson_id']==$current_userid))) {
            $replacement = "<a href=' ".admin_url("admin.php?page=eme-people&amp;eme_admin_action=booking_printable&amp;event_id=".$linked_event['event_id'])."'>".__('Printable view of bookings','events-made-easy')."</a>";
         }

      } elseif ($linked_event && preg_match('/#_EVENTPRINTBOOKINGSURL/', $result)) { 
         if (current_user_can( get_option('eme_cap_edit_events')) || current_user_can( get_option('eme_cap_list_events')) ||
             (current_user_can( get_option('eme_cap_author_event')) && ($event['event_author']==$current_userid || $linked_event['event_contactperson_id']==$current_userid))) {
            $replacement = admin_url("admin.php?page=eme-people&amp;eme_admin_action=booking_printable&amp;event_id=".$linked_event['event_id']);
         }

      } elseif ($linked_event && preg_match('/#_EVENTCSVBOOKINGSLINK/', $result)) { 
         if (current_user_can( get_option('eme_cap_edit_events')) || current_user_can( get_option('eme_cap_list_events')) ||
             (current_user_can( get_option('eme_cap_author_event')) && ($event['event_author']==$current_userid || $linked_event['event_contactperson_id']==$current_userid))) {
            $replacement = "<a href=' ".admin_url("admin.php?page=eme-people&amp;eme_admin_action=booking_csv&amp;event_id=".$linked_event['event_id'])."'>".__('Printable view of bookings','events-made-easy')."</a>";
         }

      } elseif ($linked_event && preg_match('/#_EVENTCSVBOOKINGSURL/', $result)) { 
         if (current_user_can( get_option('eme_cap_edit_events')) || current_user_can( get_option('eme_cap_list_events')) ||
             (current_user_can( get_option('eme_cap_author_event')) && ($event['event_author']==$current_userid || $linked_event['event_contactperson_id']==$current_userid))) {
            $replacement = admin_url("admin.php?page=eme-people&amp;eme_admin_action=booking_csv&amp;event_id=".$linked_event['event_id']);
         }

      } elseif (preg_match('/#_STARTDATE\{(.+)\}/', $result,$matches)) {
         $replacement = eme_localized_date($event['event_start_date']." ".$event['event_start_time']." ".$eme_timezone,$matches[1]);

      } elseif (preg_match('/#_ENDDATE\{(.+)\}/', $result,$matches)) {
         $replacement = eme_localized_date($event['event_end_date']." ".$event['event_end_time']." ".$eme_timezone,$matches[1]);

      } elseif ($event && preg_match('/#_STARTDATE$/', $result)) { 
         $replacement = eme_localized_date($event['event_start_date']." ".$event['event_start_time']." ".$eme_timezone);

      } elseif ($event && preg_match('/#_STARTTIME/', $result)) { 
         $replacement = eme_localized_time($event['event_start_date']." ".$event['event_start_time']." ".$eme_timezone);

      } elseif ($event && preg_match('/#_ENDDATE$/', $result)) { 
         $replacement = eme_localized_date($event['event_end_date']." ".$event['event_end_time']." ".$eme_timezone);

      } elseif ($event && preg_match('/#_ENDTIME/', $result)) { 
         $replacement = eme_localized_time($event['event_end_date']." ".$event['event_end_time']." ".$eme_timezone);

      } elseif ($event && preg_match('/#_24HSTARTTIME/', $result)) { 
         $replacement = substr($event['event_start_time'], 0,5);

      } elseif ($event && preg_match('/#_24HENDTIME$/', $result)) {
         $replacement = substr($event['event_end_time'], 0,5);

      } elseif ($event && preg_match('/#_PAST_FUTURE_CLASS/', $result)) { 
         $eme_start_obj = new ExpressiveDate($event['event_start_date']." ".$event['event_start_time'],$eme_timezone);
         $eme_end_obj = new ExpressiveDate($event['event_end_date']." ".$event['event_end_time'],$eme_timezone);
         if ($eme_start_obj->greaterThan($eme_date_obj_now)) {
            $replacement="eme-future-event";
         } elseif ($eme_start_obj->lessOrEqualTo($eme_date_obj_now) && $eme_end_obj->greaterOrEqualTo($eme_date_obj_now)) {
            $replacement="eme-ongoing-event";
         } else {
            $replacement="eme-past-event";
         }

      } elseif ($event && preg_match('/#_12HSTARTTIME$/', $result)) {
         $replacement = $eme_date_obj_now->copy()->setTimestampFromString($event['event_start_date']." ".$event['event_start_time']." ".$eme_timezone)->format('h:i A');

      } elseif ($event && preg_match('/#_12HENDTIME$/', $result)) {
         $replacement = $eme_date_obj_now->copy()->setTimestampFromString($event['event_end_date']." ".$event['event_end_time']." ".$eme_timezone)->format('h:i A');

      } elseif ($event && preg_match('/#_12HSTARTTIME_NOLEADINGZERO/', $result)) {
         $replacement = $eme_date_obj_now->copy()->setTimestampFromString($event['event_start_date']." ".$event['event_start_time']." ".$eme_timezone)->format('g:i A');
         if (get_option('eme_time_remove_leading_zeros')) {
            $replacement = str_replace(":00","",$replacement);
            $replacement = str_replace(":0",":",$replacement);
         }

      } elseif ($event && preg_match('/#_12HENDTIME_NOLEADINGZERO/', $result)) {
         $replacement = $eme_date_obj_now->copy()->setTimestampFromString($event['event_end_date']." ".$event['event_end_time']." ".$eme_timezone)->format('g:i A');
         if (get_option('eme_time_remove_leading_zeros')) {
            $replacement = str_replace(":00","",$replacement);
            $replacement = str_replace(":0",":",$replacement);
         }

      } elseif ($event && preg_match('/#_EVENTS_FILTERFORM/', $result)) {
         if ($target == "rss" || $target == "text" || eme_is_single_event_page()) {
            $replacement = "";
         } else {
            $replacement = eme_filter_form();
         }

      } elseif ($event && preg_match('/#_ADDBOOKINGFORM$/', $result)) {
         if ($target == "rss" || $target == "text") {
            $replacement = "";
         } else {
	    $replacement = eme_add_booking_form($linked_event['event_id']);
         }

      } elseif ($event && preg_match('/^#_ADDBOOKINGFORM_IF_LOGGED_IN/', $result)) {
	 if (is_user_logged_in()) {
		 if ($target == "rss" || $target == "text") {
			 $replacement = "";
		 } else {
			 $replacement = eme_add_booking_form($linked_event['event_id']);
		 }
	 }

      } elseif ($event && preg_match('/^#_ADDBOOKINGFORM_IF_USER_HAS_CAP\{(.*?)\}/', $result, $matches)) {
         $cap=$matches[1];
	 if (is_user_logged_in()) {
		 if ($target == "rss" || $target == "text") {
			 $replacement = "";
		 } elseif (current_user_can($cap)) {
			 $replacement = eme_add_booking_form($linked_event['event_id']);
		 }
	 }

      } elseif ($event && preg_match('/^#_ADDBOOKINGFORM_IF_USER_HAS_ROLE\{(.*?)\}/', $result, $matches)) {
         $role=$matches[1];
	 if (is_user_logged_in()) {
		 $wp_user=get_current_user();
		 if ($target == "rss" || $target == "text") {
			 $replacement = "";
		 } elseif (in_array( $role, (array) $wp_user->roles)) {
			 $replacement = eme_add_booking_form($linked_event['event_id']);
		 }
	 }

      } elseif ($event && preg_match('/^#_ADDBOOKINGFORM_IF_USER_IN_GROUP\{(.*?)\}/', $result, $matches)) {
         $match=$matches[1];
	 if (is_numeric($match)) {
		 $group=eme_get_group_name($match);
	 } else {
		 $group=$match;
	 }
	 if (is_user_logged_in()) {
		 $wp_id=get_current_user_id();
		 if ($target == "rss" || $target == "text") {
			 $replacement = "";
		 } elseif (in_array($group,eme_get_persongroup_names(0,$wp_id))) {
			 $replacement = eme_add_booking_form($linked_event['event_id']);
		 }
	 }

      } elseif ($event && preg_match('/^#_ADDBOOKINGFORM_IF_USER_IS_MEMBER_OF\{(.*?)\}/', $result, $matches)) {
         $match=$matches[1];
	 if (is_numeric($match)) {
		 $membership=eme_get_membership_name($match);
	 } else {
		 $membership=$match;
	 }
	 if (is_user_logged_in()) {
		 $wp_id=get_current_user_id();
		 if ($target == "rss" || $target == "text") {
			 $replacement = "";
		 } elseif (in_array($membership,eme_get_personmembership_names(0,$wp_id))) {
			 $replacement = eme_add_booking_form($linked_event['event_id']);
		 }
	 }
      } elseif ($event && preg_match('/#_ADDBOOKINGFORM_IF_NOT_REGISTERED/', $result)) {
         if ($target == "rss" || $target == "text") {
            $replacement = "";
         } else {
            $only_if_not_registered=1;
	    $replacement = eme_add_booking_form($linked_event['event_id'],$only_if_not_registered);
         }

      } elseif ($event && preg_match('/#_REMOVEBOOKINGFORM$|#_DELBOOKINGFORM|#_CANCELBOOKINGFORM|#_CANCEL_ALL_BOOKINGS_FORM/', $result)) {
         if ($target == "rss" || $target == "text") {
            $replacement = "";
         } else {
            // when the booking just happened and the user needs to pay, we don't show the remove booking form
            if (isset($_POST['eme_eventAction']) && $_POST['eme_eventAction'] == 'pay_bookings' && isset($_POST['eme_message']) && isset($_POST['eme_payment_id'])) {
               $replacement = "";
	    } else {
	       $replacement = eme_cancel_bookings_form($linked_event['event_id']);
	    }
         }

      } elseif ($event && preg_match('/#_REMOVEBOOKINGFORM_IF_REGISTERED|#_DELBOOKINGFORM_IF_REGISTERED|#_CANCELBOOKINGFORM_IF_REGISTERED|#_CANCEL_ALL_BOOKINGS_FORM_IF_REGISTERED/', $result)) {
         if ($target == "rss" || $target == "text") {
            $replacement = "";
         } elseif (is_user_logged_in() ) {
            // when the booking just happened and the user needs to pay, we don't show the remove booking form
            // also show the form if a delete-message needs to be shown (that will actuallyonly shown the message anyway)
            if (isset($_POST['eme_eventAction']) && $_POST['eme_eventAction'] == 'pay_bookings' && isset($_POST['eme_message']) && isset($_POST['eme_payment_id'])) {
               $replacement = "";
	    } elseif (isset($_POST['eme_eventAction']) && $_POST['eme_eventAction'] == 'delmessage') {
	       $replacement = eme_cancel_bookings_form($linked_event['event_id']);
	    } elseif ($linked_event && eme_get_booking_ids_by_wp_event_id($current_userid,$linked_event['event_id'])) {
	       $replacement = eme_cancel_bookings_form($linked_event['event_id']);
	    }
         }

      } elseif ($event && preg_match('/#_WAITING_LIST_ACTIVATED$/', $result)) {
	 $waitinglist_seats = intval($linked_event['event_properties']['waitinglist_seats']);
	 $avail_seats = eme_get_available_seats($linked_event['event_id']);
	 if ($waitinglist_seats>0 && $avail_seats<=$waitinglist_seats && !eme_is_multi($linked_event['event_seats'])) {
		 $replacement=1;
	 }
      
      } elseif ($event && preg_match('/#_WAITING_LIST_CLOSED$/', $result)) {
	 $waitinglist_seats = intval($linked_event['event_properties']['waitinglist_seats']);
	 $avail_seats = eme_get_available_seats($linked_event['event_id']);
	 if ($waitinglist_seats>0 && $avail_seats<=0 && !eme_is_multi($linked_event['event_seats'])) {
		 $replacement=1;
	 }
      
      } elseif ($event && preg_match('/#_WAITINGLISTSEATS$/', $result)) {
	 $replacement = intval($linked_event['event_properties']['waitinglist_seats']);

      } elseif ($event && preg_match('/#_AVAILABLEWAITINGLISTSEATS$/', $result)) {
	 if ($total_seats==0) {
		 $replacement=0;
	 } else {
		 $replacement = intval($linked_event['event_properties']['waitinglist_seats']);
		 $avail_seats = eme_get_available_seats($linked_event['event_id']);
		 if ($waitinglist_seats>0 && $avail_seats<=$waitinglist_seats && !eme_is_multi($linked_event['event_seats'])) {
			 $replacement=$avail_seats;
		 }
	 }

      } elseif ($event && preg_match('/#_(AVAILABLESPACES|AVAILABLESEATS)$/', $result)) {
	 if ($total_seats==0) {
		 $replacement='&infin;';
	 } else {
		 $avail_seats = eme_get_available_seats($linked_event['event_id']);
		 $waitinglist_seats = $linked_event['event_properties']['waitinglist_seats'];
		 $avail_seats -= $waitinglist_seats;
		 if ($avail_seats<0) $avail_seats=0;
		 $replacement = $avail_seats;
	 }

      } elseif (preg_match('/#_(AVAILABLESPACES|AVAILABLESEATS)\{(\d+)\}/', $result, $matches)) {
	 if ($total_seats==0) {
		 $replacement='&infin;';
	 } else {
		 $field_id = intval($matches[2])-1;
		 if (eme_is_multi($linked_event['event_seats'])) {
			 $seats=eme_get_available_multiseats($linked_event['event_id']);
			 if (array_key_exists($field_id,$seats))
				 $replacement = $seats[$field_id];
		 }
	 }

      } elseif ($event && preg_match('/#_(TOTALSPACES|TOTALSEATS)$/', $result)) {
	 if ($total_seats==0) {
		 $replacement='&infin;';
	 } else {
		 $waitinglist_seats = $linked_event['event_properties']['waitinglist_seats'];
		 $replacement = $total_seats-$waitinglist_seats;
	 }

      } elseif (preg_match('/#_(TOTALSPACES|TOTALSEATS)\{(\d+)\}/', $result, $matches)) {
	 if ($total_seats==0) {
		 $replacement='&infin;';
	 } else {
		 $field_id = intval($matches[2])-1;
		 $replacement = 0;
		 if (eme_is_multi($linked_event['event_seats'])) {
			 $seats = eme_convert_multi2array($linked_event['event_seats']);
			 if (array_key_exists($field_id,$seats))
				 $replacement = $seats[$field_id];
		 }
         }

      } elseif ($event && preg_match('/#_(RESERVEDSPACES|BOOKEDSEATS|RESERVEDSEATS)$/', $result)) {
         $replacement = eme_get_booked_seats($linked_event['event_id']);

      } elseif (preg_match('/#_(RESERVEDSPACES|BOOKEDSEATS|RESERVEDSEATS)\{(\d+)\}/', $result, $matches)) {
         $field_id = intval($matches[2])-1;
         $replacement = 0;
         if (eme_is_multi($linked_event['event_seats'])) {
            $seats=eme_get_booked_multiseats($linked_event['event_id']);
            if (array_key_exists($field_id,$seats))
               $replacement = $seats[$field_id];
         }

      } elseif ($event && preg_match('/#_(PAIDSPACES|PAIDSEATS)$/', $result)) {
         $replacement = eme_get_paid_seats($linked_event['event_id']);

      } elseif ($event && preg_match('/#_(PAIDSPACES|PAIDSEATS)\{(\d+)\}/', $result, $matches)) {
         $field_id = intval($matches[2])-1;
	 $replacement = 0;
         if (eme_is_multi($linked_event['event_price'])) {
            $seats=eme_get_paid_multiseats($linked_event['event_id']);
            if (array_key_exists($field_id,$seats))
               $replacement = $seats[$field_id];
         }

      } elseif ($event && preg_match('/#_(PENDINGSPACES|PENDINGSEATS)$/', $result)) {
         $replacement = eme_get_pending_seats($linked_event['event_id']);

      } elseif ($event && preg_match('/#_(PENDINGSPACES|PENDINGSEATS)\{(\d+)\}/', $result, $matches)) {
         $field_id = intval($matches[2])-1;
	 $replacement = 0;
         if (eme_is_multi($linked_event['event_seats'])) {
            $seats=eme_get_pending_multiseats($linked_event['event_id']);
            if (array_key_exists($field_id,$seats))
               $replacement = $seats[$field_id];
         }

      } elseif ($event && preg_match('/#_(APPROVEDSPACES|APPROVEDSEATS)$/', $result)) {
         $replacement = eme_get_approved_seats($linked_event['event_id']);

      } elseif ($event && preg_match('/#_(APPROVEDSPACES|APPROVEDSEATS)\{(\d+)\}/', $result, $matches)) {
         $field_id = intval($matches[2])-1;
         $replacement = 0;
         if (eme_is_multi($linked_event['event_seats'])) {
            $seats=eme_get_approved_multiseats($linked_event['event_id']);
            if (array_key_exists($field_id,$seats))
               $replacement = $seats[$field_id];
         }

      } elseif ($event && preg_match('/#_USER_(RESERVEDSPACES|BOOKEDSEATS|RESERVEDSEATS)$/', $result)) {
         if (is_user_logged_in()) {
            $replacement = eme_get_booked_seats_by_wp_event_id($current_userid,$linked_event['event_id']);
         }

      } elseif ($event && preg_match('/#_LINKEDNAME/', $result)) {
         $event_link = eme_event_url($event,$lang);
         if ($target == "html") {
		 $replacement="<a href='$event_link' title='".eme_trans_esc_html($event['event_name'],$lang)."'>".eme_trans_esc_html($event['event_name'],$lang)."</a>";
         } else {
            $replacement=eme_translate($event['event_name'],$lang);
         }
         if ($target == "html") {
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif ($event && preg_match('/#_EXTERNALURL/', $result)) {
         if ($event['event_url'] != '')
            $replacement=$event['event_url'];

      } elseif ($event && preg_match('/#_ICALLINK/', $result)) {
         $url = site_url ("/?eme_ical=public_single&amp;event_id=".$event['event_id']);
         $replacement = "<a href='$url'>ICAL</a>";
         if ($target == "html") {
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif ($event && preg_match('/#_ICALURL/', $result)) {
         $replacement = site_url ("/?eme_ical=public_single&amp;event_id=".$event['event_id']);

      } elseif (preg_match('/#_EVENTIMAGETITLE$/', $result)) {
         if (!empty($event['event_image_id'])) {
              $info = eme_get_wp_image($event['event_image_id']);
              $replacement = $info['title'];
              if ($target == "html") {
                      $replacement = apply_filters('eme_general', $replacement);
              } elseif ($target == "rss")  {
                      $replacement = apply_filters('the_content_rss', $replacement);
              } else {
                      $replacement = apply_filters('eme_text', $replacement);
              }
         }
      } elseif (preg_match('/#_EVENTIMAGEALT$/', $result)) {
         if (!empty($event['event_image_id'])) {
              $info = eme_get_wp_image($event['event_image_id']);
              $replacement = $info['alt'];
              if ($target == "html") {
                      $replacement = apply_filters('eme_general', $replacement);
              } elseif ($target == "rss")  {
                      $replacement = apply_filters('the_content_rss', $replacement);
              } else {
                      $replacement = apply_filters('eme_text', $replacement);
              }
         }
      } elseif (preg_match('/#_EVENTIMAGECAPTION$/', $result)) {
         if (!empty($event['event_image_id'])) {
              $info = eme_get_wp_image($event['event_image_id']);
              $replacement = $info['caption'];
              if ($target == "html") {
                      $replacement = apply_filters('eme_general', $replacement);
              } elseif ($target == "rss")  {
                      $replacement = apply_filters('the_content_rss', $replacement);
              } else {
                      $replacement = apply_filters('eme_text', $replacement);
              }
         }
      } elseif (preg_match('/#_EVENTIMAGEDESCRIPTION$/', $result)) {
         if (!empty($event['event_image_id'])) {
              $info = eme_get_wp_image($event['event_image_id']);
              $replacement = $info['description'];
              if ($target == "html") {
                      $replacement = apply_filters('eme_general', $replacement);
              } elseif ($target == "rss")  {
                      $replacement = apply_filters('the_content_rss', $replacement);
              } else {
                      $replacement = apply_filters('eme_text', $replacement);
              }
         }
	 
      } elseif ($event && preg_match('/#_EVENTIMAGE$/', $result)) {
         if (!empty($event['event_image_id'])) {
            $replacement = wp_get_attachment_image($event['event_image_id'], 'full', 0, array('class'=>'eme_event_image') );
	 } elseif(!empty($event['event_image_url'])) {
            $url = esc_url($event['event_image_url']);
            $replacement = "<img src='$url' alt='".eme_trans_esc_html($event['event_name'],$lang)."'/>";
         }
         if(!empty($replacement)) {
            if ($target == "html") {
               $replacement = apply_filters('eme_general', $replacement); 
            } elseif ($target == "rss")  {
               $replacement = apply_filters('the_content_rss', $replacement);
            } else {
               $replacement = apply_filters('eme_text', $replacement);
            }
         }

      } elseif ($event && preg_match('/#_EVENTIMAGEURL$/', $result)) {
         if (!empty($event['event_image_id']))
		 $replacement = esc_url(wp_get_attachment_image_url($event['event_image_id'],'full'));
         elseif(!empty($event['event_image_url']))
		 $replacement = esc_url($event['event_image_url']);

      } elseif ($event && preg_match('/#_EVENTIMAGETHUMB$/', $result)) {
         if (!empty($event['event_image_id'])) {
            $replacement = wp_get_attachment_image($event['event_image_id'], get_option('eme_thumbnail_size'), 0, array('class'=>'eme_event_image') );
            if ($target == "html") {
               $replacement = apply_filters('eme_general', $replacement); 
            } elseif ($target == "rss")  {
               $replacement = apply_filters('the_content_rss', $replacement);
            } else {
               $replacement = apply_filters('eme_text', $replacement);
            }
         }

      } elseif ($event && preg_match('/#_EVENTIMAGETHUMBURL$/', $result)) {
         if (!empty($event['event_image_id'])) {
		 $replacement = esc_url(wp_get_attachment_image_url($event['event_image_id'],get_option('eme_thumbnail_size')));
         }

      } elseif ($event && preg_match('/#_EVENTIMAGETHUMB\{(.+)\}/', $result, $matches)) {
         if (!empty($event['event_image_id'])) {
            $replacement = wp_get_attachment_image($event['event_image_id'], $matches[1], 0, array('class'=>'eme_event_image'));
            if ($target == "html") {
               $replacement = apply_filters('eme_general', $replacement);
            } elseif ($target == "rss")  {
               $replacement = apply_filters('the_content_rss', $replacement);
            } else {
               $replacement = apply_filters('eme_text', $replacement);
            }
         }

      } elseif ($event && preg_match('/#_EVENTIMAGETHUMBURL\{(.+)\}/', $result, $matches)) {
         if (!empty($event['event_image_id'])) {
		 $replacement = esc_url(wp_get_attachment_image_url($event['event_image_id'], $matches[1]));
         }

      } elseif (preg_match('/#_EVENTFIELD\{(.+)\}/', $result, $matches)) {
         $tmp_attkey=$matches[1];
         if (isset($event[$tmp_attkey]) && !is_array($event[$tmp_attkey])) {
            $replacement = $event[$tmp_attkey];
            if ($target == "html") {
               $replacement = eme_trans_esc_html($replacement,$lang);
               $replacement = apply_filters('eme_general', $replacement); 
            } elseif ($target == "rss")  {
               $replacement = eme_translate($replacement,$lang);
               $replacement = apply_filters('the_content_rss', $replacement);
            } else {
               $replacement = eme_translate($replacement,$lang);
               $replacement = apply_filters('eme_text', $replacement);
            }
         }

      } elseif ($event && preg_match('/#_EVENTATT\{(.+)\}\{(.+)\}/', $result, $matches)) {
         $tmp_event_id=intval($matches[1]);
         $tmp_event_attkey=$matches[2];
         $tmp_event = eme_get_event($tmp_event_id);
         if (isset($tmp_event['event_attributes'][$tmp_event_attkey])) {
            $replacement = $tmp_event['event_attributes'][$tmp_event_attkey];
            if ($target == "html") {
               $replacement = eme_trans_esc_html($replacement,$lang);
               $replacement = apply_filters('eme_general', $replacement);
            } elseif ($target == "rss")  {
               $replacement = eme_translate($replacement,$lang);
               $replacement = apply_filters('the_content_rss', $replacement);
            } else {
               $replacement = eme_translate($replacement,$lang);
               $replacement = apply_filters('eme_text', $replacement);
            }
         }

      } elseif (preg_match('/#_FIELDNAME\{(.+)\}/', $result, $matches)) {
         $field_key = $matches[1];
         $formfield = eme_get_formfield($field_key);
	 if ($formfield['field_purpose']=='events') {
		 if ($target == "html") {
			 $replacement = eme_trans_esc_html($formfield['field_name'],$lang);
			 $replacement = apply_filters('eme_general', $replacement); 
		 } else {
			 $replacement = eme_translate($formfield['field_name'],$lang);
			 $replacement = apply_filters('eme_text', $replacement); 
		 }
	 } else {
		 // no event custom field? Then leave it alone
		 $found=0;
	 }
      } elseif (preg_match('/#_FIELD\{(.+?)\}(\{.+?\})?/', $result, $matches)) {
         $field_key = $matches[1];
	 if (isset($matches[2])) {
		 // remove { and } (first and last char of second match)
		 $sep=substr($matches[2], 1, -1);
	 } else {
		 $sep='||';
	 }
         $formfield = eme_get_formfield($field_key);
	 if ($formfield['field_purpose']=='events') {
		 $field_id = $formfield['field_id'];
		 $field_replace = "";
		 foreach ($answers as $answer) {
			 if ($answer['field_id'] == $field_id) {
				 $field_replace=eme_answer2readable($answer['answer'],$formfield,1,$sep,$target);
			 }
		 }
		 $replacement = eme_translate($field_replace,$lang);
		 if ($target == "html") {
			 $replacement = apply_filters('eme_general', $replacement); 
		 } else {
			 $replacement = apply_filters('eme_text', $replacement); 
		 }
	 } else {
		 // no event custom field? Then leave it alone
		 $found=0;
	 }
      } elseif (preg_match('/#_FIELDVALUE\{(.+?)\}(\{.+?\})?/', $result, $matches)) {
         $field_key = $matches[1];
	 if (isset($matches[2])) {
		 // remove { and } (first and last char of second match)
		 $sep=substr($matches[2], 1, -1);
	 } else {
		 $sep='||';
	 }
         $formfield = eme_get_formfield($field_key);
	 if ($formfield['field_purpose']=='events') {
		 $field_id = $formfield['field_id'];
		 $field_replace = "";
		 foreach ($answers as $answer) {
			 if ($answer['field_id'] == $field_id) {
				 $field_replace=eme_answer2readable($answer['answer'],$formfield,0,$sep,$target);
			 }
		 }
		 $replacement = eme_translate($field_replace,$lang);
		 if ($target == "html") {
			 $replacement = apply_filters('eme_general', $replacement); 
		 } else {
			 $replacement = apply_filters('eme_text', $replacement); 
		 }
	 } else {
		 // no event custom field? Then leave it alone
		 $found=0;
	 }
      } elseif ($event && preg_match('/#_EVENTPAGEURL\{(.+)\}/', $result, $matches)) {
         $events_page_link = eme_get_events_page();
         $replacement = add_query_arg(array('event_id'=>intval($matches[1])),$events_page_link);
         if (!empty($lang))
            $replacement = add_query_arg(array('lang'=>$lang),$replacement);

      } elseif ($event && preg_match('/#_EVENTPAGEURL$/', $result)) {
         $replacement = eme_event_url($event,$lang);

      } elseif ($event && preg_match('/#_(NAME|EVENTNAME)$/', $result)) {
         $field = "event_name";
         if (isset($event[$field]))  $replacement = $event[$field];
         if ($target == "html") {
            $replacement = eme_trans_esc_html($replacement,$lang);
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = eme_translate($replacement,$lang);
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = eme_translate($replacement,$lang);
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif ($event && preg_match('/#_EVENTID/', $result)) {
         $field = "event_id";
         $replacement = intval($event[$field]);

      } elseif ($event && preg_match('/#_DAYS_TILL_START/', $result)) {
         $eme_date_obj = new ExpressiveDate($event['event_start_date']." ".$event['event_start_time'],$eme_timezone);
         $replacement = $eme_date_obj_now->getDifferenceInDays($eme_date_obj);

      } elseif ($event && preg_match('/#_DAYS_FROM_START/', $result)) {
         $eme_date_obj = new ExpressiveDate($event['event_start_date']." ".$event['event_start_time'],$eme_timezone);
         $replacement = $eme_date_obj->getDifferenceInDays($eme_date_obj_now);

      } elseif ($event && preg_match('/#_DAYS_TILL_END/', $result)) {
         $eme_date_obj = new ExpressiveDate($event['event_end_date']." ".$event['event_end_time'],$eme_timezone);
         $replacement = $eme_date_obj_now->getDifferenceInDays($eme_date_obj);

      } elseif ($event && preg_match('/#_HOURS_TILL_START/', $result)) {
         $eme_date_obj = new ExpressiveDate($event['event_start_date']." ".$event['event_start_time'],$eme_timezone);
         $replacement = round($eme_date_obj_now->getDifferenceInHours($eme_date_obj));

      } elseif ($event && preg_match('/#_HOURS_FROM_START/', $result)) {
         $eme_date_obj = new ExpressiveDate($event['event_start_date']." ".$event['event_start_time'],$eme_timezone);
         $replacement = round($eme_date_obj->getDifferenceInHours($eme_date_obj_now));

      } elseif ($event && preg_match('/#_HOURS_TILL_END/', $result)) {
         $eme_date_obj = new ExpressiveDate($event['event_end_date']." ".$event['event_end_time'],$eme_timezone);
         $replacement = round($eme_date_obj_now->getDifferenceInHours($eme_date_obj));

      } elseif ($event && preg_match('/#_EVENTPRICE$|#_PRICE$/', $result)) {
         $field = "price";
         if ($linked_event[$field]) {
		 if ($need_escape)
			 $replacement=$linked_event[$field];
		 else
			 $replacement = eme_localized_price($linked_event[$field],$event['currency'],$target);
	 }
         if ($target == "html") {
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif ($event && preg_match('/#_(EVENT)?PRICE\{(\d+)\}/', $result, $matches)) {
         $field_id = intval($matches[2]-1);
         if ($linked_event["price"] && eme_is_multi($linked_event["price"])) {
            $prices = eme_convert_multi2array($linked_event["price"]);
            if (is_array($prices) && array_key_exists($field_id,$prices)) {
	       if ($need_escape)
		       $replacement=$prices[$field_id];
	       else
		       $replacement = eme_localized_price($prices[$field_id],$linked_event['currency'],$target);
               if ($target == "html") {
                  $replacement = apply_filters('eme_general', $replacement);
               } elseif ($target == "rss")  {
                  $replacement = apply_filters('the_content_rss', $replacement);
               } else {
                  $replacement = apply_filters('eme_text', $replacement);
               }
            }
         }

      } elseif ($event && preg_match('/#_CURRENCY$/', $result)) {
         $field = "currency";
         // currency is only important if the price is not empty as well
         if ($linked_event['price'])
            $replacement = $linked_event[$field];
         if ($target == "html") {
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif ($event && preg_match('/#_CURRENCYSYMBOL$/', $result)) {
         $field = "currency";
         // currency is only important if the price is not empty as well
         if ($linked_event['price'])
		 $replacement = eme_localized_currencysymbol($linked_event[$field]);
         if ($target == "html") {
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif ($event && preg_match('/#_ATTENDEES/', $result)) {
         $replacement=eme_get_attendees_list_for($linked_event);
         if ($target == "html") {
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif ($event && preg_match('/#_BOOKINGS/', $result)) {
         $replacement=eme_get_bookings_list_for_event($linked_event);
         if ($target == "html") {
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif ($event && preg_match('/#_(CONTACTNAME|CONTACTPERSON)/', $result)) {
         $contact = eme_get_event_contact($event);
         if ($contact)
            $replacement = $contact->display_name;
         $replacement = eme_trans_esc_html($replacement,$lang);
         if ($target == "html") {
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif ($event && preg_match('/#_(CONTACTEMAIL|PLAIN_CONTACTEMAIL)/', $result)) {
         $contact = eme_get_event_contact($event);
         if ($contact) {
            $replacement = $contact->user_email;
            if ($target == "html") {
               // ascii encode for primitive harvesting protection ...
               $replacement = eme_ascii_encode($replacement);
               $replacement = apply_filters('eme_general', $replacement); 
            } elseif ($target == "rss")  {
               $replacement = apply_filters('the_content_rss', $replacement);
            } else {
               $replacement = apply_filters('eme_text', $replacement);
            }
         }

      } elseif ($event && preg_match('/#_CONTACTPHONE/', $result)) {
         $contact = eme_get_event_contact($event);
         if ($contact) {
            $phone = eme_get_user_phone($contact->ID);
            // ascii encode for primitive harvesting protection ...
            $replacement=eme_ascii_encode($phone);
         }
         if ($target == "html") {
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif ($event && preg_match('/#_AUTHORNAME/', $result)) {
         $author = eme_get_author($event);
         if ($author)
            $replacement = $author->display_name;
         $replacement = eme_trans_esc_html($replacement,$lang);
         if ($target == "html") {
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif ($event && preg_match('/#_AUTHOREMAIL/', $result)) {
         $author = eme_get_author($event);
         if ($author) {
            $replacement = $author->user_email;
            if ($target == "html") {
               // ascii encode for primitive harvesting protection ...
               $replacement = eme_ascii_encode($replacement);
               $replacement = apply_filters('eme_general', $replacement); 
            } elseif ($target == "rss")  {
               $replacement = apply_filters('the_content_rss', $replacement);
            } else {
               $replacement = apply_filters('eme_text', $replacement);
            }
         }

      } elseif ($event && preg_match('/#_AUTHORPHONE/', $result)) {
         $author = eme_get_author($event);
         if ($author) {
            $phone = eme_get_user_phone($author->ID);
            // ascii encode for primitive harvesting protection ...
            $replacement=eme_ascii_encode($phone);
         }
         if ($target == "html") {
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif (preg_match('/#_EVENTCREATIONDATE\{(.+)\}/', $result,$matches)) {
         $replacement = eme_localized_date($event['creation_date']." ".$eme_timezone,$matches[1]);
      } elseif (preg_match('/#_EVENTMODIFDATE\{(.+)\}/', $result,$matches)) {
         $replacement = eme_localized_date($event['modif_date']." ".$eme_timezone,$matches[1]);
      } elseif (preg_match('/#_EVENTCREATIONDATE$/', $result)) {
         $replacement = eme_localized_date($event['creation_date']." ".$eme_timezone);
      } elseif (preg_match('/#_EVENTMODIFDATE$/', $result)) {
         $replacement = eme_localized_date($event['modif_date']." ".$eme_timezone);
      } elseif (preg_match('/#_EVENTCREATIONTIME/', $result)) {
         $replacement = eme_localized_time($event['creation_date']." ".$eme_timezone);
      } elseif (preg_match('/#_EVENTMODIFTIME/', $result)) {
         $replacement = eme_localized_time($event['modif_date']." ".$eme_timezone);

      } elseif ($event && preg_match('/#[A-Za-z]$/', $result)) {
         // matches all PHP date placeholders for startdate-time
         $replacement=eme_localized_date($event['event_start_date']." ".$event['event_start_time']." ".$eme_timezone,ltrim($result,"#"));
         if (get_option('eme_time_remove_leading_zeros') && $result=="#i") {
            $replacement=ltrim($replacement,"0");
         }

      } elseif ($event && preg_match('/#@[A-Za-z]$/', $result)) {
         // matches all PHP time placeholders for enddate-time
         $replacement=eme_localized_date($event['event_end_date']." ".$event['event_end_time']." ".$eme_timezone,ltrim($result,"#@"));
         if (get_option('eme_time_remove_leading_zeros') && $result=="#@i") {
            $replacement=ltrim($replacement,"0");
         }

      } elseif ($event && preg_match('/#_EVENTCATEGORYIDS$/', $result) && get_option('eme_categories_enabled')) {
         $categories = $event['event_category_ids'];
         if ($target == "html") {
            $replacement = eme_trans_esc_html($categories,$lang);
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = eme_translate($categories,$lang);
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = eme_translate($categories,$lang);
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif ($event && preg_match('/#_(EVENT)?CATEGORIES$/', $result) && get_option('eme_categories_enabled')) {
         $categories = eme_get_event_category_names($event['event_id']);
         $cat_names = array();
         foreach ($categories as $cat_name) {
		 if ($target == "html")
			 array_push($cat_names,eme_trans_esc_html($cat_name,$lang));
		 else
			 array_push($cat_names,eme_translate($cat_name,$lang));
         }
	 $sep=get_option('eme_categories_separator');
	 if (has_filter('eme_event_categories_sep_filter')) $sep=apply_filters('eme_event_categories_sep_filter',$sep);
         $replacement = join($sep,$cat_names);
         if ($target == "html") {
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif ($event && preg_match('/#_(EVENT)?CATEGORIES_CSS$/', $result) && get_option('eme_categories_enabled')) {
         $categories = eme_get_event_category_names($event['event_id']);
         if ($target == "html") {
            $replacement = eme_trans_esc_html(join(" ",$categories),$lang);
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = eme_translate(join(" ",$categories),$lang);
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = eme_translate(join(" ",$categories),$lang);
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif ($event && preg_match('/#_(EVENT)?CATEGORYDESCRIPTIONS$/', $result) && get_option('eme_categories_enabled')) {
         $categories = eme_get_event_category_descriptions($event['event_id']);
	 $sep=get_option('eme_categorydescriptions_separator');
	 if (has_filter('eme_event_categorydescriptions_sep_filter')) $sep=apply_filters('eme_event_categorydescriptions_sep_filter',$sep);
	 $replacement = eme_translate(join($sep,$categories),$lang);
         if ($target == "html") {
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif ($event && preg_match('/#_LINKED(EVENT)?CATEGORIES$/', $result) && get_option('eme_categories_enabled')) {
         $categories = eme_get_event_categories($event['event_id']);
         $cat_links = array();
         foreach ($categories as $category) {
            $cat_link=eme_category_url($category);
            $cat_name=$category['category_name'];
            if ($target == "html")
               array_push($cat_links,"<a href='$cat_link' title='".eme_trans_esc_html($cat_name,$lang)."'>".eme_trans_esc_html($cat_name,$lang)."</a>");
            else
               array_push($cat_links,eme_translate($cat_name,$lang));
         }
	 $sep=get_option('eme_linkedcategories_separator');
	 if (has_filter('eme_linked_event_categories_sep_filter')) $sep=apply_filters('eme_linked_event_categories_sep_filter',$sep);
         $replacement = join($sep,$cat_links);
         if ($target == "html") {
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif ($event && preg_match('/^#_(EVENT)?CATEGORIES\{(.*?)\}\{(.*?)\}/', $result, $matches) && get_option('eme_categories_enabled')) {
         $include_cats=$matches[2];
         $exclude_cats=$matches[3];
         $extra_conditions_arr = array();
	 $order_by="";
         if (!empty($include_cats)) {
            array_push($extra_conditions_arr, "category_id IN ($include_cats)");
	    $order_by="FIELD(category_id,$include_cats)";
	 }
         if (!empty($exclude_cats))
            array_push($extra_conditions_arr, "category_id NOT IN ($exclude_cats)");
         $extra_conditions = join(" AND ",$extra_conditions_arr);
         $categories = eme_get_event_category_names($event['event_id'],$extra_conditions,$order_by);
         $cat_names = array();
         foreach ($categories as $cat_name) {
		 if ($target == "html")
			 array_push($cat_names,eme_trans_esc_html($cat_name,$lang));
		 else
			 array_push($cat_names,eme_translate($cat_name,$lang));
         }
	 $sep=get_option('eme_categories_separator');
	 if (has_filter('eme_event_categories_sep_filter')) $sep=apply_filters('eme_event_categories_sep_filter',$sep);
         $replacement = join($sep,$cat_names);
         if ($target == "html") {
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif ($event && preg_match('/^#_(EVENT)?CATEGORIES_CSS\{(.*?)\}\{(.*?)\}/', $result, $matches) && get_option('eme_categories_enabled')) {
         $include_cats=$matches[2];
         $exclude_cats=$matches[3];
         $extra_conditions_arr = array();
	 $order_by="";
         if (!empty($include_cats)) {
            array_push($extra_conditions_arr, "category_id IN ($include_cats)");
	    $order_by="FIELD(category_id,$include_cats)";
	 }
         if (!empty($exclude_cats))
            array_push($extra_conditions_arr, "category_id NOT IN ($exclude_cats)");
         $extra_conditions = join(" AND ",$extra_conditions_arr);
         $categories = eme_get_event_category_names($event['event_id'],$extra_conditions,$order_by);
         if ($target == "html") {
            $replacement = eme_trans_esc_html(join(" ",$categories),$lang);
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = eme_translate(join(" ",$categories),$lang);
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = eme_translate(join(" ",$categories),$lang);
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif ($event && preg_match('/#_(EVENT)?CATEGORYDESCRIPTIONS\{(.*?)\}\{(.*?)\}/', $result, $matches) && get_option('eme_categories_enabled')) {
         $include_cats=$matches[2];
         $exclude_cats=$matches[3];
         $extra_conditions_arr = array();
	 $order_by="";
         if (!empty($include_cats)) {
            array_push($extra_conditions_arr, "category_id IN ($include_cats)");
	    $order_by="FIELD(category_id,$include_cats)";
	 }
         if (!empty($exclude_cats))
            array_push($extra_conditions_arr, "category_id NOT IN ($exclude_cats)");
         $extra_conditions = join(" AND ",$extra_conditions_arr);
         $categories = eme_get_event_category_descriptions($event['event_id'],$extra_conditions,$order_by);
	 $sep=get_option('eme_categorydescriptions_separator');
	 if (has_filter('eme_event_categorydescriptions_sep_filter')) $sep=apply_filters('eme_event_categorydescriptions_sep_filter',$sep);
         $replacement = eme_translate(join($sep,$categories),$lang);
         if ($target == "html") {
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif ($event && preg_match('/#_LINKED(EVENT)?CATEGORIES\{(.*?)\}\{(.*?)\}/', $result, $matches) && get_option('eme_categories_enabled')) {
         $include_cats=$matches[2];
         $exclude_cats=$matches[3];
         $extra_conditions_arr = array();
	 $order_by="";
         if (!empty($include_cats)) {
            array_push($extra_conditions_arr, "category_id IN ($include_cats)");
	    $order_by="FIELD(category_id,$include_cats)";
	 }
         if (!empty($exclude_cats))
            array_push($extra_conditions_arr, "category_id NOT IN ($exclude_cats)");
         $extra_conditions = join(" AND ",$extra_conditions_arr);
         $categories = eme_get_event_categories($event['event_id'],$extra_conditions,$order_by);
         $cat_links = array();
         foreach ($categories as $category) {
            $cat_link=eme_category_url($category);
            $cat_name=$category['category_name'];
            if ($target == "html")
               array_push($cat_links,"<a href='$cat_link' title='".eme_trans_esc_html($cat_name,$lang)."'>".eme_trans_esc_html($cat_name,$lang)."</a>");
            else
               array_push($cat_links,eme_translate($cat_name,$lang));
         }
	 $sep=get_option('eme_linkedcategories_separator');
	 if (has_filter('eme_linked_event_categories_sep_filter')) $sep=apply_filters('eme_linked_event_categories_sep_filter',$sep);
         $replacement = join($sep,$cat_links);
         if ($target == "html") {
            $replacement = apply_filters('eme_general', $replacement); 
         } elseif ($target == "rss")  {
            $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = apply_filters('eme_text', $replacement);
         }

      } elseif ($event && preg_match('/#_RECURRENCE_DESC|#_RECURRENCEDESC/', $result)) {
         if ($event ['recurrence_id']) {
            $replacement = eme_get_recurrence_desc ( $event ['recurrence_id'] );
            if ($target == "html") {
               $replacement = apply_filters('eme_general', $replacement); 
            } elseif ($target == "rss")  {
               $replacement = apply_filters('the_content_rss', $replacement);
            } else {
               $replacement = apply_filters('eme_text', $replacement);
            }
         }

      } elseif ($event && preg_match('/#_RECURRENCE_NBR/', $result)) {
         // returns the sequence number of an event in a recurrence series
         if ($event ['recurrence_id']) {
            $event_ids = eme_get_recurrence_eventids ( $event ['recurrence_id'] );
            $nbr = array_search($event['event_id'],$event_ids);
            if ($nbr !== false) {
               $replacement = $nbr+1;
            }
         }

      } elseif ($event && preg_match('/#_RSVPEND/', $result)) {
         // show the end date+time for which a user can rsvp for an event
         if (eme_is_event_rsvp($linked_event)) {
               $rsvp_number_days=$linked_event['rsvp_number_days'];
               $rsvp_number_hours=$linked_event['rsvp_number_hours'];
               $rsvp_end_obj = new ExpressiveDate($linked_event['event_start_date']." ".$linked_event['event_start_time'],$eme_timezone);
               $rsvp_end_obj->minusDays($rsvp_number_days);
               $rsvp_end_obj->minusHours($rsvp_number_hours);
               $rsvp_end_date = eme_localized_date($rsvp_end_obj->getDateTime()." ".$eme_timezone);
               $rsvp_end_time = eme_localized_time($rsvp_end_obj->getDateTime()." ".$eme_timezone);
               $replacement = $rsvp_end_date." ".$rsvp_end_time;
         }

      } elseif ($event && preg_match('/#_IS_RSVP_ENDED/', $result)) {
         if (eme_is_event_rsvp($linked_event)) {
            $rsvp_number_days=$linked_event['rsvp_number_days'];
            $rsvp_number_hours=$linked_event['rsvp_number_hours'];
            $rsvp_end_obj = new ExpressiveDate($linked_event['event_start_date']." ".$linked_event['event_start_time'],$eme_timezone);
            $rsvp_end_obj->minusDays($rsvp_number_days);
            $rsvp_end_obj->minusHours($rsvp_number_hours);
            if ($rsvp_end_obj->lessThan($eme_date_obj_now))
               $replacement = 1;
            else
               $replacement = 0;
         }

      } elseif ($event && preg_match('/#_EVENT_EXTERNAL_REF/', $result)) {
         if (!empty($event['event_external_ref'])) {
            // remove the 'fb_' prefix
            $replacement=preg_replace('/fb_/','',$event['event_external_ref']);
            if ($target == "html") {
               $replacement = apply_filters('eme_general', $replacement);
            } elseif ($target == "rss")  {
               $replacement = apply_filters('the_content_rss', $replacement);
            } else {
               $replacement = apply_filters('eme_text', $replacement);
            }
         }

      } elseif ($event && preg_match('/#_IS_RSVP_ENABLED/', $result)) {
         if (eme_is_event_rsvp($linked_event))
            $replacement = 1;
         else
            $replacement = 0;

      } elseif ($event && preg_match('/#_IS_PRIVATE_EVENT/', $result)) {
         if ($event ['event_status'] == STATUS_PRIVATE)
            $replacement = 1;
         else
            $replacement = 0;

      } elseif ($event && preg_match('/#_IS_RECURRENT_EVENT/', $result)) {
         if ($event ['recurrence_id'])
            $replacement = 1;
         else
            $replacement = 0;

      } elseif ($event && preg_match('/#_IS_ONGOING_EVENT/', $result)) {
         $eme_start_obj = new ExpressiveDate($event['event_start_date']." ".$event['event_start_time'],$eme_timezone);
         $eme_end_obj = new ExpressiveDate($event['event_end_date']." ".$event['event_end_time'],$eme_timezone);
         if ($eme_start_obj->lessOrEqualTo($eme_date_obj_now) &&
             $eme_end_obj->greaterOrEqualTo($eme_date_obj_now))
            $replacement = 1;
         else
            $replacement = 0;

      } elseif ($event && preg_match('/#_IS_ENDED_EVENT/', $result)) {
         $eme_end_obj = new ExpressiveDate($event['event_end_date']." ".$event['event_end_time'],$eme_timezone);
         if ($eme_end_obj->lessThan($eme_date_obj_now))
            $replacement = 1;
         else
            $replacement = 0;

      } elseif ($event && preg_match('/#_IS_REGISTERED/', $result)) {
         if (is_user_logged_in() && eme_get_booking_ids_by_wp_event_id($current_userid,$linked_event['event_id']))
            $replacement = 1;
         else
            $replacement = 0;

      } elseif ($event && preg_match('/#_IS_MULTIPRICE/', $result)) {
         if (eme_is_multi($linked_event['price']))
            $replacement = 1;
         else
            $replacement = 0;

      } elseif ($event && preg_match('/#_IS_MULTISEAT/', $result)) {
         if (eme_is_multi($linked_event['event_seats']))
            $replacement = 1;
         else
            $replacement = 0;

      } elseif ($event && preg_match('/#_IS_ALLDAY/', $result)) {
         if ($event['event_properties']['all_day'])
            $replacement = 1;
         else
            $replacement = 0;

      } elseif ($event && preg_match('/#_IS_ATTENDANCE/', $result)) {
         if ($linked_event['event_properties']['take_attendance'])
            $replacement = 1;
         else
            $replacement = 0;

      } elseif ($event && preg_match('/#_IS_AUTHOR$/', $result)) {
         if ($event['event_author']==$current_userid)
            $replacement = 1;
         else
            $replacement = 0;

      } elseif ($event && preg_match('/#_IS_CONTACTPERSON/', $result)) {
         if ($event['event_contactperson_id']==$current_userid)
            $replacement = 1;
         else
            $replacement = 0;

      } elseif ($event && preg_match('/#_IS_AUTHOR_OR_CONTACTPERSON/', $result)) {
         if ($event['event_author']==$current_userid || $event['event_contactperson_id']==$current_userid)
            $replacement = 1;
         else
            $replacement = 0;

      } elseif ($event && preg_match('/#_IS_MULTIDAY/', $result)) {
         if ($event['event_start_date'] != $event['event_end_date'])
            $replacement = 1;
         else
            $replacement = 0;

      } elseif ($event && preg_match('/#_IS_FIRST_RECURRENCE/', $result)) {
         // returns 1 if the event is the first event in a recurrence series
         if ($event ['recurrence_id']) {
            $event_ids = eme_get_recurrence_eventids ( $event ['recurrence_id'] );
            $nbr = array_search($event['event_id'],$event_ids);
            if ($nbr !== false && $nbr==0) {
               $replacement = 1;
            }
	 }

      } elseif ($event && preg_match('/#_IS_LAST_RECURRENCE/', $result)) {
         // returns 1 if the event is the last event in a recurrence series
         if ($event ['recurrence_id']) {
            $event_ids = eme_get_recurrence_eventids ( $event ['recurrence_id'] );
            $nbr = array_search($event['event_id'],$event_ids);
            $last_index = count($events)-1;
            if ($nbr !== false && $nbr==$last_index) {
               $replacement = 1;
            }
         }

      } elseif ($event && preg_match('/#_IS_INVITE_ONLY/', $result)) {
         if ($event['event_properties']['invite_only'])
            $replacement = 1;
         else
            $replacement = 0;
      } else {
         $found = 0;
      }

      if ($found) {
         if ($need_escape)
            $replacement = eme_esc_html(preg_replace('/\n|\r/','',$replacement));
         if ($need_urlencode)
            $replacement = rawurlencode($replacement);
         $format = str_replace($orig_result, $replacement ,$format );
      }
   }

   # now handle all possible location placeholders
   # but the eme_replace_locations_placeholders can't do "do_shortcode" at the end, because
   # this would cause [eme_if] tags to be replaced here already, while some placeholders of the
   # event haven't been replaced yet (like time placeholders, and event details)
   $format = eme_replace_event_location_placeholders ( $format, $event, $target, 0, $lang );

  // for extra date formatting, eg. #_{d/m/Y}
   preg_match_all("/#(ESC|URL)?@?_\{.*?\}/", $format, $results);
   // make sure we set the largest matched placeholders first, otherwise if you found e.g.
   // #_LOCATION, part of #_LOCATIONPAGEURL would get replaced as well ...
   usort($results[0],'eme_sort_stringlenth');
   foreach($results[0] as $result) {
      $need_escape = 0;
      $need_urlencode = 0;
      $orig_result = $result;
      if (strstr($result,'#ESC')) {
         $result = str_replace("#ESC","#",$result);
         $need_escape=1;
      } elseif (strstr($result,'#URL')) {
         $result = str_replace("#URL","#",$result);
         $need_urlencode=1;
      }
      $replacement = '';
      if(substr($result, 0, 3 ) == "#@_") {
         $my_date = "event_end_date";
         $my_time = "event_end_time";
         $offset = 4;
      } else {
         $my_date = "event_start_date";
         $my_time = "event_start_time";
         $offset = 3;
      }

      $replacement = eme_localized_date($event[$my_date]." ".$event[$my_time]." ".$eme_timezone,substr($result, $offset, (strlen($result)-($offset+1)) ));

      if ($need_escape)
         $replacement = eme_esc_html(preg_replace('/\n|\r/','',$replacement));
      if ($need_urlencode)
         $replacement = rawurlencode($replacement);
      $format = str_replace($orig_result, $replacement ,$format );
   }

   # we handle NOTES the last, this used to be the default behavior
   # so no placeholder replacement happened accidentaly in possible shortcodes inside #_NOTES
   # but since we have templates to aid in all that ...
   if (!$eme_enable_notes_placeholders)
      $format = eme_replace_notes_placeholders ( $format, $event, $target );

   // now the generic placeholders
   $format = eme_replace_generic_placeholders ( $format, $target );
 
   // now replace any language tags found in the format itself
   $format = eme_translate($format,$lang);

   if ($do_shortcode)
      return do_shortcode($format);
   else
      return $format;
}

function eme_replace_notes_placeholders($format, $event="", $target="html") {
   if ($event && preg_match_all('/#(ESC)?_(DETAILS|NOTES|EXCERPT|EVENTDETAILS|NOEXCERPT)/', $format, $placeholders)) {
      foreach($placeholders[0] as $result) {
         $need_escape = 0;
         $orig_result = $result;
         $found = 1;
         if (strstr($result,'#ESC')) {
            $result = str_replace("#ESC","#",$result);
            $need_escape=1;
         }
         $field = ltrim(strtolower($result), "#_");
         // to catch every alternative (we just need to know if it is an excerpt or not)
         $show_excerpt=0;
         $show_rest=0;
         if ($field == "excerpt")
            $show_excerpt=1;
         if ($field == "noexcerpt")
            $show_rest=1;

         $replacement = "";
         if (isset($event['event_notes'])) {
            // first translate, since for "noexcerpt" the language indication is not there (it is only at the beginning of the notes, not after the separator)
            $event_notes = eme_translate($event['event_notes']);

            // make sure no windows line endings are in
            $event_notes = preg_replace('/\r\n|\n\r/',"\n",$event_notes);
            if ($show_excerpt) {
               // If excerpt, use the part before the more delimiter, removing a possible line ending
               if (preg_match ( '/<\!--more-->/', $event_notes)) {
		       $matches=preg_split('/\n?<\!--more-->/',$event_notes);
		       $replacement = eme_excerpt($matches[0]);
	       } else {
		       $replacement = eme_excerpt($event_notes);
		       $excerpt_length = apply_filters( 'eme_excerpt_length', 55 );
		       $replacement = wp_trim_words($replacement, $excerpt_length);
	       }
            } elseif ($show_rest) {
               // If the rest is wanted, use the part after the more delimiter, removing a possible line ending
               $matches=preg_split('/<\!--more-->\n?/',$event_notes);
               if (isset($matches[1]))
		  $replacement = $matches[1];
	       else
		  $replacement = $event_notes;
            } else {
               if (preg_match ( '/<\!--more-->/', $event_notes)) {
		       // remove the more-delimiter, but if it was on a line by itself, replace by a linefeed
		       $replacement = preg_replace('/\n<\!--more-->\n/', "\n" ,$event_notes );
		       $replacement = preg_replace('/<\!--more-->/', '' ,$replacement );
	       } else {
		       $replacement = $event_notes;
	       }
            }
         }
         if ($target == "html") {
            if ($show_excerpt)
               $replacement = apply_filters('the_excerpt', $replacement);
            else
               $replacement = apply_filters('the_content', $replacement);
         } elseif ($target == "rss") {
            if ($show_excerpt)
               $replacement = apply_filters('the_excerpt_rss', $replacement);
            else
               $replacement = apply_filters('the_content_rss', $replacement);
         } else {
            $replacement = apply_filters('eme_text', $replacement);
         }
         if ($found) {
            if ($need_escape)
               $replacement = eme_esc_html(preg_replace('/\n|\r/','',$replacement));
            $format = str_replace($orig_result, $replacement ,$format );
         }
      }
   }
   return $format;
}

// TEMPLATE TAGS
function eme_get_events_list($limit, $scope = "future", $order = "ASC", $format = '', $format_header='', $format_footer='', $echo = 0, $category = '',$showperiod = '', $long_events = 0, $author = '', $contact_person='', $paging=0, $event_ids="", $location_id = "", $user_registered_only = 0, $show_ongoing=1, $link_showperiod=0, $notcategory = '', $show_recurrent_events_once= 0, $template_id = 0, $template_id_header=0, $template_id_footer=0, $no_events_message="", $template_id_no_events=0, $show_single_event=0) {
   global $post, $eme_timezone;
   if ($limit === "") {
      $limit = get_option('eme_event_list_number_items' );
   }
   if (strpos ( $limit, "=" )) {
      // allows the use of arguments without breaking the legacy code
      $eme_event_list_number_events=get_option('eme_event_list_number_items' );
      $defaults = array ('limit' => $eme_event_list_number_events, 'scope' => $scope, 'order' => $order, 'format' => $format, 'format_header'=>$format_header, 'format_footer'=>$format_footer,'echo' => $echo , 'category' => $category, 'showperiod' => $showperiod, 'author' => $author, 'contact_person' => $contact_person, 'paging'=>$paging, 'long_events' => $long_events, 'event_ids'=>$event_ids, 'location_id' => $location_id, 'show_ongoing' => $show_ongoing=1, 'user_registered_only'=>$user_registered_only, 'link_showperiod' => $link_showperiod, 'notcategory' => $notcategory, 'show_recurrent_events_once' => $show_recurrent_events_once, 'template_id' => $template_id, 'template_id_header' => $template_id_header, 'template_id_footer' => $template_id_footer, 'no_events_message' => $no_events_message, 'template_id_no_events' => $template_id_no_events ,'show_single_event' => $show_single_event);
      $r = wp_parse_args ( $limit, $defaults );
      extract ( $r );
      // for AND categories: the user enters "+" and this gets translated to " " by wp_parse_args
      // so we fix it again
      $category = preg_replace("/ /","+",$category);
      $notcategory = preg_replace("/ /","+",$notcategory);
   }
   $echo = filter_var($echo,FILTER_VALIDATE_BOOLEAN);
   $long_events = filter_var($long_events,FILTER_VALIDATE_BOOLEAN);
   $paging = filter_var($paging,FILTER_VALIDATE_BOOLEAN);
   $show_ongoing = filter_var($show_ongoing,FILTER_VALIDATE_BOOLEAN);

   if ($scope == "")
      $scope = "future";

   if ($template_id) {
      $format = eme_get_template_format($template_id);
   }
   if ($template_id_header) {
      $format_header = eme_get_template_format($template_id_header);
   }
   if ($template_id_footer) {
      $format_footer = eme_get_template_format($template_id_footer);
   }
   if (empty($format)) {
      $format = get_option('eme_event_list_item_format' );
      if (empty($format_header)) {
	      $format_header = get_option('eme_event_list_item_format_header' );
	      if (empty($format_header)) $format_header = DEFAULT_EVENT_LIST_HEADER_FORMAT;
      }
      if (empty($format_footer)) {
	      $format_footer = get_option('eme_event_list_item_format_footer' );
	      if (empty($format_footer)) $format_footer = DEFAULT_EVENT_LIST_FOOTER_FORMAT;
      }
   }

   // for registered users: we'll add a list of event_id's for that user only
   $extra_conditions = "";
   $extra_conditions_arr = array();
   if ($user_registered_only == 1 && is_user_logged_in()) {
      $current_userid=get_current_user_id();
      $list_of_event_ids=join(",",eme_get_event_ids_for($current_userid));
      if (!empty($list_of_event_ids)) {
         $extra_conditions_arr[] = "event_id in ($list_of_event_ids)";
      } else {
         // user has no registered events, then make sure none are shown
         $extra_conditions_arr[] = "event_id = 0";
      }
   }
   if (!empty($event_ids)) {
	   $extra_conditions_arr[] = "event_id in ($event_ids)";
   }
   if (!empty($extra_conditions_arr)) {
	   $extra_conditions="(".join(" AND ",$extra_conditions_arr).")";
   }

   $prev_text = "";
   $next_text = "";
   $limit_start=0;
   $limit_end=0;

   // for browsing: if limit=0,paging=1 and only for this_week,this_month or today
   if ($limit>0 && $paging==1 && isset($_GET['eme_offset'])) {
      $limit_offset=intval($_GET['eme_offset']);
   } else {
      $limit_offset=0;
   }

   if ($paging==1 && $limit==0) {
      $eme_date_obj=new ExpressiveDate(null,$eme_timezone);
      $scope_offset=0;
      $scope_text = "";
      if (isset($_GET['eme_offset']))
         $scope_offset=$_GET['eme_offset'];
      $prev_offset=$scope_offset-1;
      $next_offset=$scope_offset+1;
      if ($scope=="this_week") {
         $start_of_week = get_option('start_of_week');
         $eme_date_obj->setWeekStartDay($start_of_week);
         $eme_date_obj->modifyWeeks($scope_offset);
         $limit_start=$eme_date_obj->startOfWeek()->format('Y-m-d');
         $limit_end=$eme_date_obj->endOfWeek()->format('Y-m-d');
         $scope = "$limit_start--$limit_end";
         $scope_text = eme_localized_date($limit_start." ".$eme_timezone)." -- ".eme_localized_date($limit_end." ".$eme_timezone);
         $prev_text = __('Previous week','events-made-easy');
         $next_text = __('Next week','events-made-easy');

      } elseif ($scope=="this_month") {
         // we first set the current date to the beginning of this month, otherwise the offset flips (e.g. if you're
         // on August 31 and call modifyMonths(1), it will give you October because Sept 31 doesn't exist
         $eme_date_obj->startOfMonth()->modifyMonths($scope_offset);
         $limit_start = $eme_date_obj->startOfMonth()->format('Y-m-d');
         $limit_end   = $eme_date_obj->endOfMonth()->format('Y-m-d');
         $scope = "$limit_start--$limit_end";
         $scope_text = eme_localized_date($limit_start." ".$eme_timezone,get_option('eme_show_period_monthly_dateformat'));
         $prev_text = __('Previous month','events-made-easy');
         $next_text = __('Next month','events-made-easy');

      } elseif ($scope=="this_year") {
         $eme_date_obj->modifyYears($scope_offset);
         $year=$eme_date_obj->getYear();
         $limit_start = "$year-01-01";
         $limit_end   = "$year-12-31";
         $scope = "$limit_start--$limit_end";
         $scope_text = eme_localized_date($limit_start." ".$eme_timezone,get_option('eme_show_period_yearly_dateformat'));
         $prev_text = __('Previous year','events-made-easy');
         $next_text = __('Next year','events-made-easy');

      } elseif ($scope=="today") {
         $scope = $eme_date_obj->modifyDays($scope_offset)->format('Y-m-d');
         $limit_start = $scope;
         $limit_end   = $scope;
         $scope_text = eme_localized_date($limit_start." ".$eme_timezone);
         $prev_text = __('Previous day','events-made-easy');
         $next_text = __('Next day','events-made-easy');

      } elseif ($scope=="tomorrow") {
         $scope_offset++;
         $scope = $eme_date_obj->modifyDays($scope_offset)->format('Y-m-d');
         $limit_start = $scope;
         $limit_end   = $scope;
         $scope_text = eme_localized_date($limit_start." ".$eme_timezone);
         $prev_text = __('Previous day','events-made-easy');
         $next_text = __('Next day','events-made-easy');
      }
   }
   // We request $limit+1 events, so we know if we need to show the pagination link or not.
   if ($limit==0) {
      $events = eme_get_events ( 0, $scope, $order, $limit_offset, $location_id, $category, $author, $contact_person, $show_ongoing, $notcategory, $show_recurrent_events_once, $extra_conditions );
   } else {
      $events = eme_get_events ( $limit+1, $scope, $order, $limit_offset, $location_id, $category, $author, $contact_person, $show_ongoing, $notcategory, $show_recurrent_events_once, $extra_conditions );
   }
   $events_count=count($events);


   // lets's replace some placeholders that only matter in the list
   $format=str_replace('#_EVENTS_COUNT', $events_count ,$format );
   $format_header=str_replace('#_EVENTS_COUNT', $events_count ,$format_header );
   $format_footer=str_replace('#_EVENTS_COUNT', $events_count ,$format_footer );
   
   if ($events_count==1 && $show_single_event) {
      $event = $events[0];
      $output =  eme_display_single_event($event['event_id']);
      return $output;
   }
   // get the paging output ready
   $pagination_top = "<div id='events-pagination-top'> ";
   $nav_hidden_class="style='visibility:hidden;'";
   if ($paging==1 && $limit>0) {
      // for normal paging and there're no events, we go back to offset=0 and try again
      if ($events_count==0) {
         $limit_offset=0;
         $events = eme_get_events ( $limit+1, $scope, $order, $limit_offset, $location_id, $category, $author, $contact_person, $show_ongoing, $notcategory, $show_recurrent_events_once, $extra_conditions );
         $events_count=count($events);
      }
      $prev_text=__('Previous page','events-made-easy');
      $next_text=__('Next page','events-made-easy');
      $page_number = floor($limit_offset/$limit) + 1;
      $this_page_url=get_permalink($post->ID);
      //$this_page_url=$_SERVER['REQUEST_URI'];
      // remove the offset info
      $this_page_url= remove_query_arg('eme_offset',$this_page_url);

      // we add possible fields from the filter section
      $eme_filters["eme_eventAction"]=1;
      $eme_filters["eme_cat_filter"]=1;
      $eme_filters["eme_loc_filter"]=1;
      $eme_filters["eme_city_filter"]=1;
      $eme_filters["eme_country_filter"]=1;
      $eme_filters["eme_scope_filter"]=1;
      foreach ($_REQUEST as $key => $item) {
         if (isset($eme_filters[$key])) {
            # if you selected multiple items, $item is an array, but rawurlencode needs a string
            if (is_array($item)) $item=join(',',eme_sanitize_request($item));
	    if (!empty($item))
		    $this_page_url=add_query_arg(array($key=>$item),$this_page_url);
         }
      }

      // we always provide the text, so everything stays in place (but we just hide it if needed, and change the link to empty
      // to prevent going on indefinitely and thus allowing search bots to go on for ever
      if ($events_count > $limit) {
         $forward = $limit_offset + $limit;
         $backward = $limit_offset - $limit;
         if ($backward < 0)
            $pagination_top.= "<a class='eme_nav_left' $nav_hidden_class href='#'>&lt;&lt; $prev_text</a>";
         else
            $pagination_top.= "<a class='eme_nav_left' href='".add_query_arg(array('eme_offset'=>$backward),$this_page_url)."'>&lt;&lt; $prev_text</a>";
         $pagination_top.= "<a class='eme_nav_right' href='".add_query_arg(array('eme_offset'=>$forward),$this_page_url)."'>$next_text &gt;&gt;</a>";
         $pagination_top.= "<span class='eme_nav_center'>".__('Page ','events-made-easy').$page_number."</span>";
      }
      if ($events_count <= $limit && $limit_offset>0) {
         $forward = 0;
         $backward = $limit_offset - $limit;
         if ($backward < 0)
            $pagination_top.= "<a class='eme_nav_left' $nav_hidden_class href='#'>&lt;&lt; $prev_text</a>";
         else
            $pagination_top.= "<a class='eme_nav_left' href='".add_query_arg(array('eme_offset'=>$backward),$this_page_url)."'>&lt;&lt; $prev_text</a>";
         $pagination_top.= "<a class='eme_nav_right' $nav_hidden_class href='#'>$next_text &gt;&gt;</a>";
         $pagination_top.= "<span class='eme_nav_center'>".__('Page ','events-made-easy').$page_number."</span>";
      }
   }
   if ($paging==1 && $limit==0) {
      $this_page_url=$_SERVER['REQUEST_URI'];
      // remove the offset info
      $this_page_url= remove_query_arg('eme_offset',$this_page_url);

      // we add possible fields from the filter section
      $eme_filters["eme_eventAction"]=1;
      $eme_filters["eme_cat_filter"]=1;
      $eme_filters["eme_loc_filter"]=1;
      $eme_filters["eme_city_filter"]=1;
      $eme_filters["eme_country_filter"]=1;
      $eme_filters["eme_scope_filter"]=1;
      foreach ($_REQUEST as $key => $item) {
         if (isset($eme_filters[$key])) {
            # if you selected multiple items, $item is an array, but rawurlencode needs a string
            if (is_array($item)) $item=join(',',eme_sanitize_request($item));
	    if (!empty($item))
		    $this_page_url=add_query_arg(array($key=>$item),$this_page_url);
         }
      }

      // to prevent going on indefinitely and thus allowing search bots to go on for ever,
      // we stop providing links if there are no more events left
      $older_events=eme_get_events ( 1, "--".$limit_start, $order, 0, $location_id, $category, $author, $contact_person, $show_ongoing, $notcategory, $show_recurrent_events_once, $extra_conditions );
      $newer_events=eme_get_events ( 1, "++".$limit_end, $order, 0, $location_id, $category, $author, $contact_person, $show_ongoing, $notcategory, $show_recurrent_events_once, $extra_conditions );
      if (count($older_events)>0)
         $pagination_top.= "<a class='eme_nav_left' href='".add_query_arg(array('eme_offset'=>$prev_offset),$this_page_url) ."'>&lt;&lt; $prev_text</a>";
      else
         $pagination_top.= "<a class='eme_nav_left' $nav_hidden_class href='#'>&lt;&lt; $prev_text</a>";

      if (count($newer_events)>0)
         $pagination_top.= "<a class='eme_nav_right' href='".add_query_arg(array('eme_offset'=>$next_offset),$this_page_url) ."'>$next_text &gt;&gt;</a>";
      else
         $pagination_top.= "<a class='eme_nav_right' $nav_hidden_class href='#'>$next_text &gt;&gt;</a>";

      $pagination_top.= "<span class='eme_nav_center'>$scope_text</span>";
   }
   $pagination_top.= "</div>";
   $pagination_bottom = str_replace("events-pagination-top","events-pagination-bottom",$pagination_top);

   $output = "";
   if ($events_count>0) {
      # we first need to determine on which days events occur
      # this code is identical to that in eme_calendar.php for "long events"
	   $eventful_days= array();
	   $i=1;
	   foreach ( $events as $event ) {
		   // we requested $limit+1 events, so we need to break at the $limit, if reached
		   if ($limit>0 && $i>$limit)
			   break;
		   $eme_date_obj_tmp=new ExpressiveDate($event['event_start_date']." ".$event['event_start_time'],$eme_timezone);
		   $eme_date_obj_end=new ExpressiveDate($event['event_end_date']." ".$event['event_end_time'],$eme_timezone);
		   if ($eme_date_obj_end->lessThan($eme_date_obj_tmp))
			   $eme_date_obj_end=$eme_date_obj_tmp->copy();
		   if ($long_events) {
			   //Show events on every day that they are still going on
			   while( $eme_date_obj_tmp->lessOrEqualTo($eme_date_obj_end)) {
				   $event_eventful_date = $eme_date_obj_tmp->getDate();
				   if(isset($eventful_days[$event_eventful_date]) &&  is_array($eventful_days[$event_eventful_date]) ) {
					   $eventful_days[$event_eventful_date][] = $event;
				   } else {
					   $eventful_days[$event_eventful_date] = array($event);
				   }
				   $eme_date_obj_tmp->addOneDay();
			   }
		   } else {
			   //Only show events on the day that they start
			   if ( isset($eventful_days[$event['event_start_date']]) && is_array($eventful_days[$event['event_start_date']]) ) {
				   $eventful_days[$event['event_start_date']][] = $event;
			   } else {
				   $eventful_days[$event['event_start_date']] = array($event);
			   }
		   }
		   $i++;
	   }

      if (! empty ( $showperiod )) {
         # now that we now the days on which events occur, loop through them
         $curyear="";
         $curmonth="";
         $curday="";
	 $event_counter=1;
         foreach($eventful_days as $day_key => $day_events) {
            $eme_date_obj=new ExpressiveDate($day_key,$eme_timezone);
            list($theyear, $themonth, $theday) = explode('-', $eme_date_obj->getDate());
            if ($showperiod == "yearly" && $theyear != $curyear) {
               $output .= "<li class='eme_period'>".eme_localized_date ($day_key." ".$eme_timezone,get_option('eme_show_period_yearly_dateformat'))."</li>";
            } elseif ($showperiod == "monthly" && "$theyear$themonth" != "$curyear$curmonth") {
               $output .= "<li class='eme_period'>".eme_localized_date ($day_key." ".$eme_timezone,get_option('eme_show_period_monthly_dateformat'))."</li>";
            } elseif ($showperiod == "daily" && "$theyear$themonth$theday" != "$curyear$curmonth$curday") {
               $output .= "<li class='eme_period'>";
               if ($link_showperiod) {
                   // if there is a specific class filter for the urls, do it
                  $class="";
                  if (has_filter('eme_calday_url_class_filter')) $class=apply_filters('eme_calday_url_class_filter',$class);
                  if (!empty($class)) $class="class='$class'";

                  $eme_link=eme_calendar_day_url($theyear."-".$themonth."-".$theday);
                  $output .= "<a href='$eme_link' $class>".eme_localized_date ($day_key." ".$eme_timezone)."</a>";
               } else {
                  $output .= eme_localized_date ($day_key." ".$eme_timezone);
               }
               $output .= "</li>";
            }
            $curyear=$theyear;
            $curmonth=$themonth;
            $curday=$theday;
            foreach($day_events as $event) {
		    $format=str_replace('#_EVENT_COUNTER', $event_counter ,$format );
		    $output .= eme_replace_placeholders ( $format, $event );
		    $event_counter++;
            }
         }
      } else {
	 $event_counter=1;
         foreach($eventful_days as $day_key => $day_events) {
            foreach($day_events as $event) {
		    $format=str_replace('#_EVENT_COUNTER', $event_counter ,$format );
		    $output .= eme_replace_placeholders ( $format, $event );
		    $event_counter++;
            }
         }
      } // end if (! empty ( $showperiod )) {

      //Add headers and footers to output
      $empty_event = eme_new_event();
      $output =  eme_replace_placeholders($format_header, $empty_event) .  $output . eme_replace_placeholders($format_footer,$empty_event);
   } else {
	   if ($template_id_no_events) {
		   $output = do_shortcode(eme_get_template_format($template_id_no_events));
	   } elseif (empty($no_events_message)) {
		   $no_events_message=do_shortcode(get_option('eme_no_events_message'));
		   $output = "<span id='events-no-events'>" . $no_events_message . "</span>";
	   } 
   }

   // add the pagination if needed
   if ($paging)
   	$output = $pagination_top . $output . $pagination_bottom;
  
   // see how to return the output
   if ($echo)
      echo $output;
   else
      return $output;
}

function eme_get_events_list_shortcode($atts) {
   $eme_event_list_number_events=get_option('eme_event_list_number_items' );
   extract ( shortcode_atts ( array ('limit' => $eme_event_list_number_events, 'scope' => 'future', 'order' => 'ASC', 'format' => '', 'category' => '', 'showperiod' => '', 'author' => '', 'contact_person' => '', 'paging' => 0, 'long_events' => 0, 'location_id' => 0, 'user_registered_only' => 0, 'show_ongoing' => 1, 'link_showperiod' => 0, 'notcategory' => '', 'show_recurrent_events_once' => 0, 'template_id' => 0, 'template_id_header' => 0, 'template_id_footer' => 0, 'no_events_message' => '', 'template_id_no_events' => 0, 'ignore_filter' => 0 ), $atts ) );

   $event_id="";
   $event_id_arr=array();
   $location_id_arr=array();

   // the filter list overrides the settings
   if (!$ignore_filter && isset($_REQUEST['eme_eventAction']) && $_REQUEST['eme_eventAction'] == 'filter') {
      if (!empty($_REQUEST['eme_scope_filter'])) {
         $scope = eme_sanitize_request($_REQUEST['eme_scope_filter']);
      }
      if (!empty($_REQUEST['eme_loc_filter'])) {
         if (is_array($_REQUEST['eme_loc_filter'])) {
	    $arr = eme_array_remove_empty_elements(eme_sanitize_request($_REQUEST['eme_loc_filter']));
            if (!empty($arr))
            	$location_id_arr=$arr;
	 } else {
            $location_id_arr[]=eme_sanitize_request($_REQUEST['eme_loc_filter']);
	 }
      }
      if (!empty($_REQUEST['eme_city_filter'])) {
         $cities=eme_sanitize_request($_REQUEST['eme_city_filter']);
         $tmp_ids=eme_get_city_location_ids($cities);
         if (empty($location_id_arr))
                 $location_id_arr=$tmp_ids;
         else
                 $location_id_arr=array_intersect($location_id_arr,$tmp_ids);
         if (empty($location_id_arr))
                 $location_id=-1;

      }
      if (!empty($_REQUEST['eme_country_filter'])) {
         $countries=eme_sanitize_request($_REQUEST['eme_country_filter']);
         $tmp_ids=eme_get_country_location_ids($countries);
         if (empty($location_id_arr))
                 $location_id_arr=$tmp_ids;
         else
                 $location_id_arr=array_intersect($location_id_arr,$tmp_ids);
         if (empty($location_id_arr))
                 $location_id=-1;
      }
      if (!empty($_REQUEST['eme_cat_filter'])) {
         if (is_array($_REQUEST['eme_cat_filter'])) {
	    $arr = eme_array_remove_empty_elements(eme_sanitize_request($_REQUEST['eme_cat_filter']));
            if (!empty($arr))
		    $category=join(',',$arr);
	 } else {
            $category=eme_sanitize_request($_REQUEST['eme_cat_filter']);
	 }
      }
      foreach($_REQUEST as $key=>$value) {
         if (preg_match('/eme_customfield_filter(\d+)/', eme_sanitize_request($key), $matches)) {
               $field_id = intval($matches[1]);
               $formfield = eme_get_formfield($field_id);
               $is_multi = eme_is_multifield($formfield['field_type']);
               if ($formfield['field_purpose'] == 'events') {
		       $event_id_arr=eme_get_cf_event_ids(eme_sanitize_textarea($value),$field_id,$is_multi);
                       if (empty($event_id_arr))
                               $event_id=-1;
               }
               if ($formfield['field_purpose'] == 'locations') {
		       $tmp_ids=eme_get_cf_location_ids(eme_sanitize_textarea($value),$field_id,$is_multi);
                       if (empty($location_id_arr))
                               $location_id_arr=$tmp_ids;
                       else
                               $location_id_arr=array_intersect($location_id_arr,$tmp_ids);
                       if (empty($location_id_arr))
                               $location_id=-1;
               }
         }
      }
   }
   if ($event_id != -1 && !empty($event_id_arr))
	   $event_id=join(',',$event_id_arr);
   if ($location_id != -1 && !empty($location_id_arr))
	   $location_id=join(',',$location_id_arr);

   // if format is given as argument, sometimes people need url-encoded strings inside so wordpress doesn't get confused, so we decode them here again
   $format = urldecode($format);
   // for format: sometimes people want to give placeholders as options, but when using the shortcode inside
   // another (e.g. when putting[eme_events format="#_EVENTNAME"] inside the "display single event" setting,
   // the replacement of the placeholders happens too soon (placeholders get replaced first, before any other
   // shortcode is interpreted). So we add the option that people can use "#OTHER_", and we replace this with
   // "#_" here
   $format = preg_replace('/#OTHER/', "#", $format);
   $result = eme_get_events_list ( $limit,$scope,$order,$format,'','',0,$category,$showperiod,$long_events,$author,$contact_person,$paging,$event_id,$location_id,$user_registered_only,$show_ongoing,$link_showperiod,$notcategory,$show_recurrent_events_once,$template_id,$template_id_header,$template_id_footer,$no_events_message,$template_id_no_events);
   return $result;
}

function eme_display_single_event($event_id,$template_id=0,$ignore_url=0) {
   $page_body="";
   $event = eme_get_event($event_id);
   // also take into account the generic option for using the external url
   if (!$ignore_url) $ignore_url=!get_option('eme_use_external_url');
   if ($event['event_url'] != '' && !$ignore_url) {
      // url not empty, so we redirect to it
      $page_body = '<script type="text/javascript">window.location.href="'.$event['event_url'].'";</script>';
      return $page_body;
   } elseif ($template_id) {
      $single_event_format= eme_get_template_format($template_id);
   } else {
      if (!empty($event['event_single_event_format']))
         $single_event_format = $event['event_single_event_format'];
      elseif ($event['event_properties']['event_single_event_format_tpl']>0)
         $single_event_format = eme_get_template_format($event['event_properties']['event_single_event_format_tpl']);
      else
         $single_event_format = get_option('eme_single_event_format' );
   }
   $page_body = eme_replace_placeholders ($single_event_format, $event);
   return $page_body;
}

function eme_display_single_event_shortcode($atts) {
   extract ( shortcode_atts ( array ('id'=>'','template_id'=>0,'ignore_url'=>0), $atts ) );
   return eme_display_single_event($id,$template_id,$ignore_url);
}

function eme_get_events_page_shortcode($atts) {
   // we don't want just the url, but the clickable link by default for the shortcode
   extract ( shortcode_atts ( array ('justurl' => 0, 'text' => get_option ( 'eme_events_page_title' ) ), $atts ) );
   $result = eme_get_events_page ( $justurl,$text );
   return $result;
}

// API function
function eme_are_events_available($scope = "future",$order = "ASC", $location_id = "", $category = '', $author = '', $contact_person = '') {
   if ($scope == "")
      $scope = "future";
   $events = eme_get_events ( 1, $scope, $order, 0, $location_id, $category, $author, $contact_person);
   
   if (empty ( $events ))
      return FALSE;
   else
      return TRUE;
}

function eme_search_events($name,$scope="future") {
   global $wpdb, $eme_timezone;
   $table = $wpdb->prefix.EVENTS_TBNAME;
   $eme_date_obj=new ExpressiveDate(null,$eme_timezone);
   $start_of_week = get_option('start_of_week');
   $eme_date_obj->setWeekStartDay($start_of_week);
   $now = $eme_date_obj->getDateTime();
   // the LIKE needs "%", but for prepare to work, we need to escape % using %%
   // and then the prepare is a sprintf, so we need %s for the search string too
   // This results in 3 %-signs, but it is what it is :-)
   if ($scope == 'past')
	   $condition = " AND CONCAT(event_start_date,' ',event_start_time) < '$now'";
   elseif ($scope == 'future')
	   $condition = " AND CONCAT(event_start_date,' ',event_start_time) >= '$now'";
   else
	   $condition="";
   $query = "SELECT * FROM $table WHERE ((event_name LIKE '%%%s%%') OR
           (event_notes LIKE '%%%s%%')) $condition ORDER BY event_start_date";

   $sql=$wpdb->prepare($query,$name,$name);
   return $wpdb->get_results ( $sql, ARRAY_A );
}

// main function querying the database event table
function eme_get_events($o_limit=0, $scope = "future", $order = "ASC", $o_offset = 0, $location_id = "", $category = "", $author = "", $contact_person = "",  $show_ongoing=1, $notcategory = "", $show_recurrent_events_once=0, $extra_conditions = "", $count=0, $include_customformfields=0, $search_customfieldids='',$search_customfields='') {
   global $wpdb, $eme_timezone;

   $events_table = $wpdb->prefix.EVENTS_TBNAME;
   $bookings_table = $wpdb->prefix.BOOKINGS_TBNAME;
   $locations_table = $wpdb->prefix.LOCATIONS_TBNAME;

   if (strpos ( $o_limit, "=" )) {
      // allows the use of arguments
      $defaults = array ('o_limit' => 0, 'scope' => $scope, 'order' => $order, 'o_offset' => $o_offset, 'location_id' => $location_id, 'category' => $category, 'author' => $author, 'contact_person' => $contact_person, 'show_ongoing'=>$show_ongoing, 'notcategory' => $notcategory, 'show_recurrent_events_once'=>$show_recurrent_events_once, 'extra_conditions' => $extra_conditions );
      
      $r = wp_parse_args ( $o_limit, $defaults );
      extract ( $r );
   }
   if ($o_limit === "") {
      $o_limit = get_option('eme_event_list_number_items' );
   }
   if ($o_limit > 0) {
      $event_limit = intval($o_limit);
      $limit = "LIMIT $event_limit";
   } else {
      $limit="";
      $event_limit = 0;
   }
   if ($o_offset >0) {
      if ($o_limit == 0) {
          $limit = "LIMIT ".intval($o_offset);
	  $event_limit=intval($o_offset);
      }
      $offset = "OFFSET ".intval($o_offset);
   } else {
      $offset="";
   }

   // we can provide our own order statements
   $orderby="";
   if ($order == "ASC" || $order=="DESC")
      $orderby= "ORDER BY event_start_date $order, event_start_time $order, event_name $order";
   elseif (!empty($order) && preg_match("/^[\w_\-\, ]+$/",$order))
      $orderby= "ORDER BY $order";

   $eme_date_obj=new ExpressiveDate(null,$eme_timezone);
   $start_of_week = get_option('start_of_week');
   $eme_date_obj->setWeekStartDay($start_of_week);
   $today = $eme_date_obj->getDate();
   $this_time = $eme_date_obj->getTime();
   $this_datetime = $eme_date_obj->getDateTime();
   
   $conditions = array ();
   // extra sql conditions we put in front, most of the time this is the most
   // effective place
   if ($extra_conditions != "") {
      $conditions[] = $extra_conditions;
   }

   // if we're not in the admin itf, we don't want draft events
   if (!eme_is_admin_request()) {
      if (is_user_logged_in()) {
         $conditions[] = "event_status IN (".STATUS_PUBLIC.",".STATUS_PRIVATE.")";
      } else {
         $conditions[] = "event_status=".STATUS_PUBLIC;
      }
      if (get_option('eme_rsvp_hide_full_events')) {
         // COALESCE is used in case the SUM returns NULL
         // this is a correlated subquery, so the FROM clause should specify events_table again, so it will search in the outer query for events_table.event_id
         $conditions[] = "(event_rsvp=0 OR (event_rsvp=1 AND event_seats > (SELECT COALESCE(SUM(booking_seats),0) AS booked_seats FROM $bookings_table WHERE $bookings_table.event_id = $events_table.event_id AND $bookings_table.status = ".RSVP_STATUS_ACTIVE.")))";
      }
      if (get_option('eme_rsvp_hide_rsvp_ended_events')) {
         $conditions[] = "(event_rsvp=0 OR (event_rsvp=1 AND (event_end_date < '$today' OR UNIX_TIMESTAMP(CONCAT(event_start_date,' ',event_start_time))-rsvp_number_days*60*60*24-rsvp_number_hours*60*60 > UNIX_TIMESTAMP()) ))";
      }
   }

   if (preg_match ( "/^[0-9]{4}-[0-9]{2}-[0-9]{2}$/", $scope )) {
      //$conditions[] = " event_start_date like '$scope'";
      if ($show_ongoing)
         $conditions[] = " ((event_start_date LIKE '$scope') OR (event_start_date <= '$scope' AND event_end_date >= '$scope'))";
      else
         $conditions[] = " (event_start_date LIKE '$scope') ";
   } elseif (preg_match ( "/^--([0-9]{4}-[0-9]{2}-[0-9]{2})$/", $scope, $matches )) {
         $limit_start = $matches[1];
         if ($show_ongoing)
            $conditions[] = " (event_start_date < '$limit_start') ";
         else
            $conditions[] = " (event_end_date < '$limit_start') ";
   } elseif (preg_match ( "/^\+\+([0-9]{4}-[0-9]{2}-[0-9]{2})$/", $scope, $matches )) {
         $limit_start = $matches[1];
         $conditions[] = " (event_start_date > '$limit_start') ";
   } elseif (preg_match ( "/^0000-([0-9]{2})$/", $scope, $matches )) {
      $month=$matches[1];
      $eme_date_obj->setMonth($month);
      $year=$eme_date_obj->getYear();
      $number_of_days_month=$eme_date_obj->getDaysInMonth();

      $limit_start = "$year-$month-01";
      $limit_end   = "$year-$month-$number_of_days_month";
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif ($scope == "this_week") {
      // this comes from global wordpress preferences
      $start_of_week = get_option('start_of_week');
      $eme_date_obj->setWeekStartDay($start_of_week);
      $limit_start=$eme_date_obj->startOfWeek()->format('Y-m-d');
      $limit_end=$eme_date_obj->endOfWeek()->format('Y-m-d');
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif ($scope == "next_week") {
      // this comes from global wordpress preferences
      $start_of_week = get_option('start_of_week');
      $eme_date_obj->setWeekStartDay($start_of_week);
      $eme_date_obj->addOneWeek();
      $limit_start=$eme_date_obj->startOfWeek()->format('Y-m-d');
      $limit_end=$eme_date_obj->endOfWeek()->format('Y-m-d');
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif ($scope == "this_month") {
      $limit_start=$eme_date_obj->startOfMonth()->format('Y-m-d');
      $limit_end=$eme_date_obj->endOfMonth()->format('Y-m-d');
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif ($scope == "next_month") {
      $eme_date_obj->startOfMonth()->addOneMonth();
      $limit_start=$eme_date_obj->startOfMonth()->format('Y-m-d');
      $limit_end=$eme_date_obj->endOfMonth()->format('Y-m-d');
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif ($scope == "this_year") {
      $year=$eme_date_obj->getYear();
      $limit_start = "$year-01-01";
      $limit_end = "$year-12-31";
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif ($scope == "next_year") {
      $year=$eme_date_obj->getYear()+1;
      $limit_start = "$year-01-01";
      $limit_end = "$year-12-31";
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif (preg_match ( "/^([0-9]{4}-[0-9]{2}-[0-9]{2})--([0-9]{4}-[0-9]{2}-[0-9]{2})$/", $scope, $matches )) {
      $limit_start=$matches[1];
      $limit_end=$matches[2];
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif (preg_match ( "/^([0-9]{4}-[0-9]{2}-[0-9]{2})--today$/", $scope, $matches )) {
      $limit_start=$matches[1];
      $limit_end=$today;
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif (preg_match ( "/^today--([0-9]{4}-[0-9]{2}-[0-9]{2})$/", $scope, $matches )) {
      $limit_start=$today;
      $limit_end=$matches[1];
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif (preg_match ( "/^\+(\d+)d$/", $scope, $matches )) {
      $days=$matches[1];
      $limit_start = $today;
      $limit_end=$eme_date_obj->addDays($days)->getDate();
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif (preg_match ( "/^\-(\d+)d$/", $scope, $matches )) {
      $days=$matches[1];
      $limit_start=$eme_date_obj->minusDays($days)->getDate();
      $limit_end = $today;
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif (preg_match ( "/^(\-?\+?\d+)d--(\-?\+?\d+)d$/", $scope, $matches )) {
      $day1=$matches[1];
      $day2=$matches[2];
      $limit_start=$eme_date_obj->copy()->modifyDays($day1)->getDate();
      $limit_end=$eme_date_obj->copy()->modifyDays($day2)->getDate();
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif (preg_match ( "/^relative\-(\d+)d--([0-9]{4}-[0-9]{2}-[0-9]{2})$/", $scope, $matches )) {
      $days=$matches[1];
      $limit_end=$matches[2];
      $eme_date_obj->setTimestampFromString($limit_end." ".$eme_timezone);
      $limit_start=$eme_date_obj->minusDays($days)->getDate(). " ".$eme_timezone;
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif (preg_match ( "/^([0-9]{4}-[0-9]{2}-[0-9]{2})--relative\+(\d+)d$/", $scope, $matches )) {
      $limit_start=$matches[1];
      $days=$matches[2];
      $eme_date_obj->setTimestampFromString($limit_start." ".$eme_timezone);
      $limit_end=$eme_date_obj->addDays($days)->getDate(). " ".$eme_timezone;
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif (preg_match ( "/^\+(\d+)m$/", $scope, $matches )) {
      $months_in_future=$matches[1]++;
      $limit_start= $eme_date_obj->startOfMonth()->format('Y-m-d');
      $eme_date_obj->addMonths($months_in_future);
      $limit_end = $eme_date_obj->endOfMonth()->format('Y-m-d');
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif (preg_match ( "/^\-(\d+)m$/", $scope, $matches )) {
      $months_in_past=$matches[1]++;
      $limit_start = $eme_date_obj->startOfMonth()->minusMonths($months_in_past)->startOfMonth()->format('Y-m-d');
      $limit_end = $eme_date_obj->endOfMonth()->format('Y-m-d');
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif (preg_match ( "/^(\-?\+?\d+)m--(\-?\+?\d+)m$/", $scope, $matches )) {
      $months1=$matches[1];
      $months2=$matches[2];
      $limit_start = $eme_date_obj->copy()->startOfMonth()->modifyMonths($months1)->startOfMonth()->format('Y-m-d');
      $limit_end = $eme_date_obj->copy()->startOfMonth()->modifyMonths($months2)->endOfMonth()->format('Y-m-d');
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif ($scope == "today--this_week") {
      $limit_start = $today;
      $limit_end   = $eme_date_obj->endOfWeek()->format('Y-m-d');
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif ($scope == "today--this_week_plus_one") {
      $limit_start = $today;
      $limit_end   = $eme_date_obj->endOfWeek()->addOneDay()->format('Y-m-d');
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
    } elseif ($scope == "today--this_month") {
      $limit_start = $today;
      $limit_end   = $eme_date_obj->endOfMonth()->format('Y-m-d');
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif ($scope == "today--this_year") {
      $year=$eme_date_obj->getYear();
      $limit_start = $today;
      $limit_end = "$year-12-31";
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
    } elseif ($scope == "this_week--today") {
      $limit_start = $eme_date_obj->startOfWeek()->format('Y-m-d');
      $limit_end   = $today;
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif ($scope == "this_month--today") {
      $limit_start = $eme_date_obj->startOfMonth()->format('Y-m-d');
      $limit_end   = $today;
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif ($scope == "this_year--today") {
      $limit_start = "$year-01-01";
      $limit_end = $today;
      if ($show_ongoing)
         $conditions[] = " ((event_start_date BETWEEN '$limit_start' AND '$limit_end') OR (event_end_date BETWEEN '$limit_start' AND '$limit_end') OR (event_start_date <= '$limit_start' AND event_end_date >= '$limit_end'))";
      else
         $conditions[] = " (event_start_date BETWEEN '$limit_start' AND '$limit_end')";
   } elseif ($scope == "today--future") {
      if ($show_ongoing)
         $conditions[] = " (event_start_date >= '$today' OR (CONCAT(event_end_date,' ',event_end_time)>='$this_datetime' AND event_end_date != '0000-00-00' AND event_end_date IS NOT NULL))";
      else
         $conditions[] = " (event_start_date >= '$today')";
   } elseif ($scope == "tomorrow--future") {
      if ($show_ongoing)
         $conditions[] = " (event_start_date > '$today' OR (event_end_date > '$today' AND event_end_date != '0000-00-00' AND event_end_date IS NOT NULL))";
      else
         $conditions[] = " (event_start_date > '$today')";
   } elseif ($scope == "past--yesterday") {
      if ($show_ongoing)
         $conditions[] = " event_end_date < '$today'";
      else
         $conditions[] = " event_start_date < '$today'";
   } elseif ($scope == "past") {
      //$conditions[] = " (event_end_date < '$today' OR (event_end_date = '$today' and event_end_time < '$this_time' )) ";
      // not taking the hour into account until we can enter timezone info as well
      if ($show_ongoing)
         $conditions[] = " CONCAT(event_end_date,' ',event_end_time)<'$this_datetime'";
      else
         $conditions[] = " CONCAT(event_start_date,' ',event_start_time)<'$this_datetime'";
   } elseif ($scope == "today") {
      if ($show_ongoing)
         $conditions[] = " (event_start_date = '$today' OR (event_start_date < '$today' AND event_end_date >= '$today'))";
      else
         $conditions[] = " (event_start_date = '$today')";
   } elseif ($scope == "now--today") {
      if ($show_ongoing)
         $conditions[] = " ((event_start_date = '$today' AND event_start_time>='$this_time') OR (event_start_date <= '$today' AND CONCAT(event_end_date,' ',event_end_time)>='$this_datetime'))";
      else
         $conditions[] = " (event_start_date = '$today' AND event_start_time>='$this_time')";
   } elseif ($scope == "tomorrow") {
      $tomorrow = $eme_date_obj->addOneDay()->getDate();
      if ($show_ongoing)
         $conditions[] = " (event_start_date = '$tomorrow' OR (event_start_date < '$tomorrow' AND event_end_date >= '$tomorrow'))";
      else
         $conditions[] = " (event_start_date = '$tomorrow')";
   } elseif ($scope == "ongoing") {
      // only shows ongoing events, for this we try to use the date and time, but it might be incorrect since there's no user timezone info
      $conditions[] = " (CONCAT(event_start_date,' ',event_start_time)<='$this_datetime' AND CONCAT(event_end_date,' ',event_end_time)>= '$this_datetime')";
   } else {
      if ($scope != "all")
         $scope = "future";
      if ($scope == "future") {
         //$conditions[] = " ((event_start_date = '$today' AND event_start_time >= '$this_time') OR (event_start_date > '$today') OR (event_end_date > '$today' AND event_end_date != '0000-00-00' AND event_end_date IS NOT NULL) OR (event_end_date = '$today' AND event_end_time >= '$this_time'))";
         // not taking the hour into account until we can enter timezone info as well
         if ($show_ongoing)
            $conditions[] = " (CONCAT(event_end_date,' ',event_end_time)>='$this_datetime')";
         else
            $conditions[] = " (CONCAT(event_start_date,' ',event_start_time)>='$this_datetime')";
      }
   }
   
   // when used inside a location description, you can use this_location to indicate the current location being viewed
   if ($location_id == "this_location" && get_query_var('location_id')) {
      $location_id = get_query_var('location_id');
   }

   // since we do a LEFT JOIN with the location table, the column location_id
   // appears 2 times in the sql result, so we need to specify which one to use
   if (is_numeric($location_id)) {
      if ($location_id>0)
         $conditions[] = " $events_table.location_id = $location_id";
   } elseif ($location_id == "none") {
      $conditions[] = " $events_table.location_id = ''";
   } elseif ( preg_match('/,/', $location_id) ) {
      $location_ids=explode(',', $location_id);
      $location_conditions = array();
      foreach ($location_ids as $loc) {
         if (is_numeric($loc) && $loc>0) {
            $location_conditions[] = " $events_table.location_id = $loc";
         } elseif ($loc == "none") {
            $location_conditions[] = " $events_table.location_id = ''";
         }
      }
      $conditions[] = "(".implode(' OR', $location_conditions).")";
   } elseif ( preg_match('/\+/', $location_id) ) {
      $location_ids=explode('+', $location_id);
      $location_conditions = array();
      foreach ($location_ids as $loc) {
         if (is_numeric($loc) && $loc>0)
               $location_conditions[] = " $events_table.location_id = $loc";
         }
         $conditions[] = "(".implode(' AND', $location_conditions).")";
   } elseif ( preg_match('/ /', $location_id) ) {
      // url decoding of '+' is ' '
      $location_ids=explode(' ', $location_id);
      $location_conditions = array();
      foreach ($location_ids as $loc) {
         if (is_numeric($loc) && $loc>0)
               $location_conditions[] = " $events_table.location_id = $loc";
         }
         $conditions[] = "(".implode(' AND', $location_conditions).")";
   }

   if (get_option('eme_categories_enabled')) {
      if (is_numeric($category)) {
         if ($category>0)
            $conditions[] = " FIND_IN_SET($category,event_category_ids)";
      } elseif ($category == "none") {
         $conditions[] = "event_category_ids = ''";
      } elseif ( preg_match('/,/', $category) ) {
         $category = explode(',', $category);
         $category_conditions = array();
         foreach ($category as $cat) {
            if (is_numeric($cat) && $cat>0) {
               $category_conditions[] = " FIND_IN_SET($cat,event_category_ids)";
            } elseif ($cat == "none") {
               $category_conditions[] = " event_category_ids = ''";
            }
         }
         $conditions[] = "(".implode(' OR', $category_conditions).")";
      } elseif ( preg_match('/\+/', $category) ) {
         $category = explode('+', $category);
         $category_conditions = array();
         foreach ($category as $cat) {
            if (is_numeric($cat) && $cat>0)
               $category_conditions[] = " FIND_IN_SET($cat,event_category_ids)";
         }
         $conditions[] = "(".implode(' AND ', $category_conditions).")";
      } elseif ( preg_match('/ /', $category) ) {
         // url decoding of '+' is ' '
         $category = explode(' ', $category);
         $category_conditions = array();
         foreach ($category as $cat) {
            if (is_numeric($cat) && $cat>0)
               $category_conditions[] = " FIND_IN_SET($cat,event_category_ids)";
         }
         $conditions[] = "(".implode(' AND ', $category_conditions).")";
      }
   }

   if (get_option('eme_categories_enabled')) {
      if (is_numeric($notcategory)) {
         if ($notcategory>0)
            $conditions[] = " (NOT FIND_IN_SET($notcategory,event_category_ids) OR event_category_ids IS NULL)";
      } elseif ($notcategory == "none") {
         $conditions[] = "event_category_ids != ''";
      } elseif ( preg_match('/,/', $notcategory) ) {
         $notcategory = explode(',', $notcategory);
         $category_conditions = array();
         foreach ($notcategory as $cat) {
            if (is_numeric($cat) && $cat>0) {
               $category_conditions[] = " (NOT FIND_IN_SET($cat,event_category_ids) OR event_category_ids IS NULL)";
            } elseif ($cat == "none") {
               $category_conditions[] = " event_category_ids != ''";
            }
         }
         $conditions[] = "(".implode(' OR', $category_conditions).")";
      } elseif ( preg_match('/\+/', $notcategory) ) {
         $notcategory = explode('+', $notcategory);
         $category_conditions = array();
         foreach ($notcategory as $cat) {
            if (is_numeric($cat) && $cat>0)
               $category_conditions[] = " (NOT FIND_IN_SET($cat,event_category_ids) OR event_category_ids IS NULL)";
         }
         $conditions[] = "(".implode(' AND ', $category_conditions).")";
      } elseif ( preg_match('/ /', $notcategory) ) {
         // url decoding of '+' is ' '
         $notcategory = explode(' ', $notcategory);
         $category_conditions = array();
         foreach ($notcategory as $cat) {
            if (is_numeric($cat) && $cat>0)
               $category_conditions[] = " (NOT FIND_IN_SET($cat,event_category_ids) OR event_category_ids IS NULL)";
         }
         $conditions[] = "(".implode(' AND ', $category_conditions).")";
      }
   }

   // now filter the author ID
   if ($author != '' && !preg_match('/,/', $author)){
      $authinfo=get_user_by('login', $author);
      $conditions[] = " event_author = ".$authinfo->ID;
   }elseif( preg_match('/,/', $author) ){
      $authors = explode(',', $author);
      $author_conditions = array();
      foreach($authors as $authname) {
            $authinfo=get_user_by('login', $authname);
            $author_conditions[] = " event_author = ".$authinfo->ID;
      }
      $conditions[] = "(".implode(' OR ', $author_conditions).")";
   }

   // now filter the contact ID
   if ($contact_person != '' && !preg_match('/,/', $contact_person)){
      $authinfo=get_user_by('login', $contact_person);
      $conditions[] = " event_contactperson_id = ".$authinfo->ID;
   }elseif( preg_match('/,/', $contact_person) ){
      $contact_persons = explode(',', $contact_person);
      $contact_person_conditions = array();
      foreach($contact_persons as $authname) {
            $authinfo=get_user_by('login', $authname);
            $contact_person_conditions[] = " event_contactperson_id = ".$authinfo->ID;
      }
      $conditions[] = "(".implode(' OR ', $contact_person_conditions).")";
   }

   // extra conditions for authors: if we're in the admin itf, return only the events for which you have the right to change anything
   $current_userid=get_current_user_id();
   if ($current_userid && eme_is_admin_request() && !current_user_can( get_option('eme_cap_edit_events')) && !current_user_can( get_option('eme_cap_list_events')) && current_user_can( get_option('eme_cap_author_event'))) {
      $conditions[] = "(event_author = $current_userid OR event_contactperson_id= $current_userid)";
   }

   // If not counting the rows, we want to return specific columns. Reason: we do left joins on event_id sometimes, and those can return event_id columns=NULL for the rightside table
   // and that can mess up the event_id in the end result of course ...
   if ($count)
      $columns='COUNT(*)';
   else
      $columns="$events_table.*,$locations_table.location_name,$locations_table.location_address1,$locations_table.location_address2,$locations_table.location_zip,$locations_table.location_city,$locations_table.location_state,$locations_table.location_country,$locations_table.location_latitude,$locations_table.location_longitude";

   $where = implode ( " AND ", $conditions );
   $sql_join='';
   if ($show_recurrent_events_once) {
      if ($where != "") {
         $count_where = " WHERE " . $where. " AND $events_table.recurrence_id>0";
      } else {
         $count_where = " WHERE $events_table.recurrence_id>0";
      }
      // for show_recurrent_events_once: first we count the number of recurrent events that match, and then we increase the limit by that number
      // This will allow the sql to show all events relevant
      // Later on we we loop over the events and show only the amount wanted
      if (!empty($limit)) {
	      $count_sql = "SELECT COUNT(*) FROM $events_table $count_where";
	      $t_count = $wpdb->get_var($count_sql);
	      // now increase the $limit with the number of events found
	      // we don't change $event_limit because we need that later on
	      $t_limit = $event_limit + intval($t_count);
	      $limit = "LIMIT $t_limit";
      }
   } elseif ($include_customformfields) {
	   $formfields_searchable= eme_get_formfields($search_customfieldids);
	   $answers_table = $wpdb->prefix.EVENTS_CF_TBNAME;
	   foreach ($formfields_searchable as $formfield) {
		   $field_id=$formfield['field_id'];
	   }
	   if ($search_customfields!="") {
		   $search_customfields=esc_sql($search_customfields);
		   $sql_join="
		   JOIN (SELECT event_id FROM $answers_table
			 WHERE answer LIKE '%$search_customfields%' AND field_id IN ($search_customfieldids)
			 GROUP BY event_id
			) ans
		   ON $events_table.event_id=ans.event_id";
	   } else {
		   $sql_join="
		   LEFT JOIN (SELECT event_id FROM $answers_table
			 GROUP BY event_id
			) ans
		   ON $events_table.event_id=ans.event_id";
	   }
   }

   if ($where != "")
	   $where = " WHERE " . $where;
   $sql = "SELECT $columns FROM $events_table LEFT JOIN $locations_table ON $events_table.location_id=$locations_table.location_id
	   $sql_join $where $orderby $limit $offset";

   if ($count) {
      $count = $wpdb->get_var ($sql);
      return $count;
   } else {
      $events = $wpdb->get_results ( $sql, ARRAY_A );
      $inflated_events = array();
      $seen_recids=array();
      if (! empty($events)) {
	 $event_count=0;
         foreach ( $events as $this_event ) {
		 if ($show_recurrent_events_once && $this_event['recurrence_id']>0 && in_array($this_event['recurrence_id'],$seen_recids))
			 continue;
		 $this_event = eme_get_extra_event_data($this_event);
		 $inflated_events[]=$this_event;
		 if ($this_event['recurrence_id']>0)
			 $seen_recids[]=$this_event['recurrence_id'];
		 $event_count++;
		 // if there's a limit set, let's respect it
		 if ($event_limit && $event_count>=$event_limit) break;
         }
         if (has_filter('eme_event_list_filter')) $inflated_events=apply_filters('eme_event_list_filter',$inflated_events);
      }
      return $inflated_events;
   }
}

function eme_get_event_name($event_id) {
   global $wpdb;

   if (!$event_id) {
      return '';
   }

   $events_table = $wpdb->prefix . EVENTS_TBNAME;
   if (is_numeric($event_id)) {
	   $sql = $wpdb->prepare("SELECT event_name from $events_table WHERE event_id = %d",$event_id);
   } else {
	   $sql = $wpdb->prepare("SELECT event_name from $events_table WHERE event_slug = %s LIMIT 1",$event_id);
   }
   return $wpdb->get_var($sql);
}

function eme_get_event($event_id,$new_if_not_found=1) {
   global $wpdb;

   if (empty($event_id)) {
      if ($new_if_not_found)
	      return eme_new_event();
      else
	      return false;
   }

   $events_table = $wpdb->prefix . EVENTS_TBNAME;
   $conditions = array ();

   if (is_numeric($event_id)) {
	   $sql = $wpdb->prepare("SELECT * from $events_table WHERE event_id = %d",$event_id);
   } else {
	   $sql = $wpdb->prepare("SELECT * from $events_table WHERE event_slug = %s LIMIT 1",$event_id);
   }
   $event = wp_cache_get("event $event_id");
   if ($event === false) {
	   //$wpdb->show_errors(true);
	   $event = $wpdb->get_row ( $sql, ARRAY_A );
	   if ($event) {
		   $event = eme_get_extra_event_data($event);
		   //$wpdb->print_error();
		   wp_cache_add("event $event_id", $event);
	   }
   }

   if (!$event) {
	   if ($new_if_not_found)
		   return eme_new_event();
	   else
		   return false;
   }
   return $event;
}


function eme_get_event_arr($event_ids) {
   global $wpdb;

   // remove possible empty elements
   $event_ids = eme_array_remove_empty_elements($event_ids);
   // empty array or containing something else but integers? Then go away
   if (empty($event_ids) || !eme_array_integers($event_ids)) {
      return;
   }

   // optimize if only 1 event id
   if (count($event_ids)==1) {
	   $events=array();
	   $events[]=eme_get_event($event_ids[0]);
	   return $events;
   }

   $events_table = $wpdb->prefix . EVENTS_TBNAME;
   $conditions = array ();
   $event_ids_joined=join(',',$event_ids);
   $conditions[] = "event_id IN ($event_ids_joined)";

   // in the frontend and not logged in, only show public events
   // since this function is only called from the frontend for the multibooking form, we can drop the is_admin, but hey ...
   if (!eme_is_admin_request()) {
      if (is_user_logged_in()) {
         $conditions[] = "event_status IN (".STATUS_PUBLIC.",".STATUS_PRIVATE.")";
      } else {
         $conditions[] = "event_status=".STATUS_PUBLIC;
      }
   }
   $where = implode ( " AND ", $conditions );
   if ($where != "")
      $where = " WHERE " . $where;

   // the 'order by' is of course only useful if the event_id argument for the function was an array of event id's
   $sql = "SELECT * FROM $events_table
      $where ORDER BY FIELD(event_id,$event_ids_joined)";

   $events = $wpdb->get_results ( $sql, ARRAY_A );
   foreach ( $events as $key=>$event ) {
      $events[$key] = eme_get_extra_event_data($event);
   }
   return $events;
}

function eme_get_extra_event_data($event) {
   if ($event['event_end_date'] == "") {
      $event['event_end_date'] = $event['event_start_date'];
   }
      
   if (is_serialized($event['event_attributes']))
         $event['event_attributes'] = @unserialize($event['event_attributes']);
   $event['event_attributes'] = (!is_array($event['event_attributes'])) ?  array() : $event['event_attributes'] ;

   if (is_serialized($event['event_properties']))
      $event['event_properties'] = @unserialize($event['event_properties']);
   $event['event_properties'] = (!is_array($event['event_properties'])) ?  array() : $event['event_properties'] ;
   $event['event_properties'] = eme_init_event_props($event['event_properties']);

   if (has_filter('eme_event_filter')) $event=apply_filters('eme_event_filter',$event);
   return $event;
}

function eme_import_csv_events() {
	global $wpdb;
	$answers_table = $wpdb->prefix.EVENTS_CF_TBNAME;

	//validate whether uploaded file is a csv file
	$csvMimes = array('text/x-comma-separated-values', 'text/comma-separated-values', 'application/octet-stream', 'application/vnd.ms-excel', 'application/x-csv', 'text/x-csv', 'text/csv', 'application/csv', 'application/excel', 'application/vnd.msexcel', 'text/plain');
	if (empty($_FILES['eme_csv']['name']) || !in_array($_FILES['eme_csv']['type'],$csvMimes)) {
		return sprintf(__('No CSV file detected: %s','events_made_eady'),$_FILES['eme_csv']['type']);
	}
	if (!is_uploaded_file($_FILES['eme_csv']['tmp_name'])) {
		return __('Problem detected while uploading the file','events_made_eady');
		return $result;
	}
	$updated=0;
	$inserted=0;
	$errors=0;
	$error_msg='';
	$handle = fopen($_FILES['eme_csv']['tmp_name'], "r");
	if (!$handle) {
                return __('Problem accessing the uploaded the file, maybe some security issue?','events_made_eady');
        }

	if (isset($_POST['enclosure'])) {
                $enclosure=eme_sanitize_text_field($_POST['enclosure']);
        } else {
                $enclosure='"';
        }
        if (!empty($_POST['delimiter'])) {
                $delimiter=eme_sanitize_text_field($_POST['delimiter']);
        } else {
                $delimiter=',';
        }

	// get the first row as keys and lowercase them
	$headers = array_map('strtolower', fgetcsv($handle,0,$delimiter,$enclosure));

	// check required columns
	if (!in_array('event_name',$headers)) {
		$result = __("Not all required fields present.",'events-made-easy');
	} else {
		$empty_props=array();
                $empty_props=eme_init_event_props($empty_props);
		// now loop over the rest
		while (($row = fgetcsv($handle,0,$delimiter,$enclosure)) !== FALSE) {
			$line = array_combine($headers, $row);
			// remove columns with empty values
			$line = eme_array_remove_empty_elements($line);

			// first we import the mentioned location, then we add that location id to the event
			$location_id=0;
			$event_id=0;
			if (isset($line['location_name']) && isset($line['location_address1']) && isset($line['location_city'])) {
				// if the location already exists: update it 
				if (isset($line['external_ref']))
					$location_id=eme_check_location_external_ref($line['external_ref']);
				if (!$location_id && isset($line['location_latitude']) && isset($line['location_longitude']))
					$location_id=eme_check_location_coord($line['location_latitude'],$line['location_longitude']);
				if (!$location_id)
					$location_id=eme_check_location_name_address($line);

				if ($location_id) {
					// location_id is returned if update is ok, and we use the location id later on
					$location_id=eme_update_location($line,$location_id);
					if (!$location_id) {
						$error_msg.='<br />'.eme_esc_html(sprintf(__('Location not imported: %s','events_made_easy'),implode(',',$row)));
					}
				} else {
					$location_id=eme_insert_location($line);
					if (!$location_id) {
						$errors++;
						$error_msg.='<br />'.eme_esc_html(sprintf(__('Location not imported: %s','events_made_easy'),implode(',',$row)));
					}
				}
				if ($location_id) {
					// now handle all the extra info, in the CSV they need to be named like 'answer_XX' (with 'XX' being either the fieldid or the fieldname, e.g. answer_myfieldname)
					foreach ($line as $key=>$value) {
						if (preg_match('/^answer_(.*)$/', $key, $matches)) {
							$field_name = $matches[1];
							$formfield = eme_get_formfield($field_name);
							if ($formfield && $formfield['field_purpose']=='locations') {
								$field_id=$formfield['field_id'];
								$sql = $wpdb->prepare("DELETE FROM $answers_table WHERE location_id = %d and field_id=%d",$location_id,$field_id);
                                                                $wpdb->query($sql);

								$sql = $wpdb->prepare("INSERT INTO $answers_table (location_id,field_id,answer) VALUES (%d,%d,%s)",$location_id,$field_id,$value);
								$wpdb->query($sql);
							}
						}
					}

				}
			}
			if (isset($line['event_name'])) {
				$line['location_id']=$location_id;
				// also import properties
                                foreach ($line as $key=>$value) {
                                        if (preg_match('/^prop_(.*)$/', $key, $matches)) {
                                                $prop=$matches[1];
                                                if (!isset($line['event_properties'])) {
                                                        $line['event_properties']=array();
                                                }
                                                if (array_key_exists($prop,$empty_props))
                                                        $line['event_properties'][$prop]=$value;
                                        }
                                }

				if (isset($line['external_ref']))
					$event_id=eme_check_event_external_ref($line['external_ref']);

				if ($event_id) {
					// location_id is returned if update is ok, and we use the location id later on
					$event_id=eme_db_update_event($line,$event_id);
					if ($event_id) {
						$updated++;
					} else {
						$errors++;
						$error_msg.='<br />'.eme_esc_html(sprintf(__('Not imported: %s','events_made_easy'),implode(',',$row)));
					}
				} else {
					$event_id=eme_insert_event($line);
					if ($event_id) {
						$inserted++;
					} else {
						$errors++;
						$error_msg.='<br />'.eme_esc_html(sprintf(__('Not imported: %s','events_made_easy'),implode(',',$row)));
					}
				}
				if ($event_id) {
					// now handle all the extra info, in the CSV they need to be named like 'answer_XX' (with 'XX' being either the fieldid or the fieldname, e.g. answer_myfieldname)
					foreach ($line as $key=>$value) {
						if (preg_match('/^answer_(.*)$/', $key, $matches)) {
							$field_name = $matches[1];
							$formfield = eme_get_formfield($field_name);
							if ($formfield && $formfield['field_purpose']=='events') {
								$field_id=$formfield['field_id'];
								$sql = $wpdb->prepare("DELETE FROM $answers_table WHERE event_id = %d and field_id=%d",$event_id,$field_id);
                                                                $wpdb->query($sql);

								$sql = $wpdb->prepare("INSERT INTO $answers_table (event_id,field_id,answer) VALUES (%d,%d,%s)",$event_id,$field_id,$value);
								$wpdb->query($sql);
							}
						}
					}

				}
			} else {
				$errors++;
				$error_msg.='<br />'.eme_esc_html(sprintf(__('Not imported: %s','events_made_easy'),implode(',',$row)));
			}
		}
		$result = sprintf(__('Import finished: %d inserts, %d updates, %d errors','events_made_eady'),$inserted,$updated,$errors);
		if ($errors) $result.='<br />'.$error_msg;
	}
	fclose($handle);
	return $result;
}

function eme_events_table($message="") {
   global $eme_timezone;

   if (empty($message))
           $hidden_style="display:none;";
   else
           $hidden_style="";

   $scope_names = array ();
   $scope_names['past'] = __ ( 'Past events', 'events-made-easy');
   $scope_names['all'] = __ ( 'All events', 'events-made-easy');
   $scope_names['future'] = __ ( 'Future events', 'events-made-easy');

   $event_status_array = eme_status_array ();
   $categories = eme_get_categories();
   $nonce_field = wp_nonce_field('eme_admin','eme_admin_nonce',false,false);

?>

<div class="wrap nosubsub">
<div id="poststuff">
   <div id="icon-edit" class="icon32">
   <br />
   </div>

   <div id="events-message" class="notice is-dismissible" style="background-color: rgb(255, 251, 204); <?php echo $hidden_style; ?>">
               <p><?php echo $message; ?></p>
   </div>

   <h1><?php _e('Add a new event', 'events-made-easy') ?></h1>
   <div class="wrap">
      <form id="locations-filter" method="post" action="<?php echo admin_url("admin.php?page=eme-manager"); ?>">
         <input type="hidden" name="eme_admin_action" value="add_new_event" />
         <input type="submit" class="button-primary" name="submit" value="<?php _e('Add event', 'events-made-easy');?>" />
      </form>
   </div>

   <h1><?php _e('Events', 'events-made-easy') ?></h1>
      <?php if (current_user_can(get_option('eme_cap_cleanup'))) { ?>
      <span class="eme_import_form_img">
      <?php _e('Click on the icon to show the import form','events-made-easy'); ?>
      <img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="div_import" style="cursor: pointer; vertical-align: middle; ">
      </span>
      <div id='div_import' name='div_import' style='display:none;'>
      <form id='event-import' method='post' enctype='multipart/form-data' action='#'>
      <?php echo $nonce_field; ?>
      <input type="file" name="eme_csv" />
      <?php _e('Delimiter:','events-made-easy'); ?>
      <input type="text" size=1 maxlength=1 name="delimiter" value=','/>
      <?php _e('Enclosure:','events-made-easy'); ?>
      <input type="text" size=1 maxlength=1 name="enclosure" value='"'>
      <input type="hidden" name="eme_admin_action" value="import_events" />
      <input type="submit" value="<?php _e ( 'Import','events-made-easy'); ?>" name="doaction" id="doaction" class="button-primary action" />
      <?php _e('If you want, use this to import events into the database', 'events-made-easy'); ?>
      </form>
      </div>
      <?php } ?>
      <br />

   <form method='post' action="#">
   <select id="scope" name="scope">
   <?php
   foreach ( $scope_names as $key => $value ) {
      $selected = "";
      if ($key == 'future')
         $selected = "selected='selected'";
      echo "<option value='$key' $selected>$value</option>  ";
   }
   ?>
   </select>
   <select id="status" name="status">
      <option value="0"><?php _e('Event Status','events-made-easy'); ?></option>
      <?php
      if (isset($_GET['status']))
         $get_status=intval($_GET['status']);
      else
	 $get_status=0;
      foreach($event_status_array as $event_status_key => $event_status_value) {
	 echo "<option value='$event_status_key' ".selected($get_status,$event_status_key)."> $event_status_value</option>";
      }
      ?>
   </select>
   <select id="category" name="category">
   <option value='0'><?php _e('All categories','events-made-easy'); ?></option>
   <option value='none'><?php _e('Events without category','events-made-easy'); ?></option>
   <?php
   foreach ( $categories as $category) {
      echo "<option value='".$category['category_id']."'>".$category['category_name']."</option>";
   }
   ?>
   </select>
   <input type="text" class="clearable" name="search_name" id="search_name" placeholder="<?php _e('Event name','events-made-easy'); ?>" size=10 />
   <input id="eme_localized_search_start_date" type="text" name="eme_localized_search_start_date" value="" style="background: #FCFFAA;" readonly="readonly" placeholder="<?php _e('Filter on startdate','events-made-easy'); ?>" size=15 />
   <input id="search_start_date" type="hidden" name="search_start_date" value="" />
   <input id="eme_localized_search_end_date" type="text" name="eme_localized_search_end_date" value="" style="background: #FCFFAA;" readonly="readonly" placeholder="<?php _e('Filter on enddate','events-made-easy'); ?>" size=15 />
   <input id="search_end_date" type="hidden" name="search_end_date" value="" />
   <?php
   $formfields_searchable=eme_get_searchable_formfields('events');
   if (!empty($formfields_searchable)) {
   	echo '<input type="text" class="clearable" name="search_customfields" id="search_customfields" placeholder="'.__('Custom field value to search','events-made-easy').'" size=20 />';
	echo eme_ui_multiselect_key_value('','search_customfieldids',$formfields_searchable,'field_id','field_name','',5,0,'eme_select2_customfieldids_class');
   }
   ?>
   <button id="EventsLoadRecordsButton" class="button-secondary action"><?php _e('Filter events','events-made-easy'); ?></button>
   <div id="hint">
	<?php _e('Hint: when searching for custom field values, you can optionally limit which custom fields you want to search in the "Custom fields to filter on" select-box shown.','events-made-easy'); ?><br />
        <?php _e('If you can\'t see your custom field in the "Custom fields to filter on" select-box, make sure you marked it as "searchable" in the field definition.','events-made-easy'); ?>
   </div>
   </form>
   <form action="#" method="post">
   <select id="eme_admin_action" name="eme_admin_action">
   <option value="" selected="selected"><?php _e ( 'Bulk Actions' , 'events-made-easy'); ?></option>
   <option value="deleteEvents"><?php _e ( 'Delete selected events','events-made-easy'); ?></option>
   <option value="deleteRecurrence"><?php _e ( 'Delete selected recurrences','events-made-easy'); ?></option>
   <option value="publicEvents"><?php _e ( 'Publish selected events','events-made-easy'); ?></option>
   <option value="privateEvents"><?php _e ( 'Make selected events private','events-made-easy'); ?></option>
   <option value="draftEvents"><?php _e ( 'Make selected events draft','events-made-easy'); ?></option>
   <option value="addCategory"><?php _e ( 'Add selected events to category','events-made-easy'); ?></option>
   </select>
   <span id="span_addtocategory">
   <?php echo eme_ui_select_key_value('',"addtocategory",$categories,'category_id','category_name',__('Please select a category','events-made-easy'),1);?>
   </span>
   <button id="EventsActionsButton" class="button-secondary action"><?php _e ( 'Apply' , 'events-made-easy'); ?></button>
   <span class="rightclickhint">
      <?php _e('Hint: rightclick on the column headers to show/hide columns','events-made-easy'); ?>
   </span>
   <?php
   $formfields=eme_get_formfields('','events');
   $extrafields_arr=array();
   $extrafieldnames_arr=array();
   $extrafieldsearchable_arr=array();
   foreach ($formfields as $formfield) {
           $extrafields_arr[]=$formfield['field_id'];
           $extrafieldnames_arr[]=eme_esc_html($formfield['field_name']);
	   $extrafieldsearchable_arr[]=$formfield['searchable'];
   }
   // these 2 values are used as data-fields to the container-div, and are used by the js to create extra columns
   $extrafields=join(',',$extrafields_arr);
   $extrafieldnames=join(',',$extrafieldnames_arr);
   $extrafieldsearchable=join(',',$extrafieldsearchable_arr);
   ?>
   <div id="EventsTableContainer" data-extrafields='<?php echo $extrafields;?>' data-extrafieldnames='<?php echo $extrafieldnames;?>' data-extrafieldsearchable='<?php echo $extrafieldsearchable;?>'></div>
</div>
</div>
<?php
}

function eme_event_form($event, $info, $edit_recurrence=0) {
   
   global $plugin_page, $eme_timezone;
   $event_status_array = eme_status_array ();
   $currency_array = eme_currency_array();
   $nonce_field = wp_nonce_field('eme_admin','eme_admin_nonce',false,false);
   if (!isset($info['feedback'])) {
           $hidden_style="display:none;";
	   $message="";
   } else {
           $hidden_style="";
	   $message=$info['feedback'];
   }

   // let's determine if it is a new event, handy
   // or, in case of validation errors, $event can already contain info, but no event_id
   // so we create a new event and copy over the info into $event for the elements that do not exist
   if (empty($event['event_id'])) {
      $is_new_event=1;
      $new_event=eme_new_event();
      $event = array_replace_recursive($new_event,$event);
      $event_id=0;
   } else {
      $is_new_event=0;
      $event_id=$event['event_id'];
   }

   // some checks and unserialize if needed
   $event = eme_get_extra_event_data($event);

   $form_destination = "admin.php?page=eme-manager";
   if ($edit_recurrence) {
      $recurrence_id = $event['recurrence_id'];
      $recurrence = eme_get_recurrence($recurrence_id);
      $hidden_fields = "<input type='hidden' name='eme_admin_action' id='eme_admin_action' value='update_recurrence' />
	                <input type='hidden' name='recurrence_id' id='recurrence_id' value='$recurrence_id' />
		       ";
   } else {
      $recurrence = eme_new_recurrence();
      // even for new events, after the 'save' button is clicked, we want to go to the list of events
      // so we use page=eme-manager too, not page=eme-new_event
      if ($is_new_event)
         $hidden_fields = "<input type='hidden' name='eme_admin_action' id='eme_admin_action' value='insert_event' /> ";
      else
         $hidden_fields = "<input type='hidden' name='eme_admin_action' id='eme_admin_action' value='update_event' />
			<input type='hidden' name='event_id' id='event_id' value='$event_id' />
		       ";

      $recurrence['recurrence_start_date'] = $event['event_start_date'];
      $recurrence['recurrence_end_date'] = $event['event_end_date'];
   }
   
   $registration_wp_users_only = ($event['registration_wp_users_only']) ? "checked='checked'" : "";
   $registration_requires_approval = ($event['registration_requires_approval']) ? "checked='checked'" : "";

   $eme_date_obj=new ExpressiveDate(null,$eme_timezone);

// the next javascript will fill in the values for localized-start-date, ... form fields and jquery datepick will fill in also to "to_submit" form fields
   ?>

<script type="text/javascript">
   var loc_start_date = jQuery.datepick.newDate(<?php echo $eme_date_obj->setTimestampFromString($event['event_start_date']." ".$eme_timezone)->format('Y,n,j'); ?>);
   var loc_end_date = jQuery.datepick.newDate(<?php echo $eme_date_obj->setTimestampFromString($event['event_end_date']." ".$eme_timezone)->format('Y,n,j'); ?>);
   <?php if ($edit_recurrence && $recurrence['recurrence_freq'] == 'specific') { ?>
      var mydates = [];
      <?php foreach (explode(',',$recurrence['recurrence_specific_days']) as $specific_day) { ?>
	      mydates.push(jQuery.datepick.newDate(<?php echo $eme_date_obj->setTimestampFromString($specific_day." ".$eme_timezone)->format('Y,n,j'); ?>));
      <?php } ?>
   <?php } else { ?>
      var rec_start_date = jQuery.datepick.newDate(<?php echo $eme_date_obj->setTimestampFromString($recurrence['recurrence_start_date']." ".$eme_timezone)->format('Y,n,j'); ?>);
   <?php } ?>
   var rec_end_date = jQuery.datepick.newDate(<?php echo $eme_date_obj->setTimestampFromString($recurrence['recurrence_end_date']." ".$eme_timezone)->format('Y,n,j'); ?>);
</script>

   <div class="wrap">
   <div id="events-message" class="notice is-dismissible" style="background-color: rgb(255, 251, 204); <?php echo $hidden_style; ?>">
               <p><?php echo $message; ?></p>
   </div>
   <form id="eventForm" name="eventForm" method="post" autocomplete="off" enctype="multipart/form-data" action="<?php echo $form_destination; ?>">
   <?php echo $nonce_field; ?>
   <?php echo $hidden_fields; ?>
         <div id="icon-events" class="icon32"><br /></div>
         <h1><?php echo eme_trans_esc_html($info['title']); ?></h1>
         <?php
         if ($event['recurrence_id']) {
            ?>
         <p id='recurrence_warning'>
            <?php
               if ($edit_recurrence) {
                  _e('WARNING: This is a recurrence.','events-made-easy');
                  echo "<br />";
                  _e('If you change this recurrence, all the events linked to this recurrence will be rescheduled','events-made-easy');
               
               } else {
                  _e('WARNING: This event is part of a recurrence.','events-made-easy');
                  echo "<br />";
                  _e('If you change this event, it will become an independent event and be removed from the recurrence.', 'events-made-easy');
                  echo "<br /> <a href='".wp_nonce_url(admin_url("admin.php?page=eme-manager&amp;eme_admin_action=edit_recurrence&amp;recurrence_id=".$event['recurrence_id']),'eme_admin','eme_admin_nonce')."'>";
                  _e('Edit Recurrence','events-made-easy');
                  echo "</a>";
               }
               ?>
         </p>
         <?php
         }
         ?>
         <div id="poststuff">
         <div id="post-body" class="metabox-holder columns-2">
            <!-- MAIN -->
            <div id="post-body-content">
               <?php 
               $templates_array=eme_get_templates_array_by_id('event');
		?>
<div id="event-tabs" style="display: none;">
  <ul>
    <li><a href="#tab-eventdetails"><?php _e('Event','events-made-easy');?></a></li>
    <li><a href="#tab-locationdetails"><?php _e('Location','events-made-easy');?></a></li>
<?php if(get_option('eme_rsvp_enabled')) : ?>
    <li><a href="#tab-rsvp"><?php _e('RSVP','events-made-easy');?></a></li>
<?php endif; ?>
    <li><a href="#tab-mailformats"><?php _e('Mail formats','events-made-easy');?></a></li>
<?php if(get_option('eme_attributes_enabled')) : ?>
    <li><a href="#tab-eventattributes"><?php _e('Attributes','events-made-easy');?></a></li>
<?php endif; ?>
    <li><a href="#tab-eventcustomfields"><?php _e('Custom fields','events-made-easy');?></a></li>
  </ul>
  <div id="tab-eventdetails">
<?php
eme_meta_box_div_event_name($event);
eme_meta_box_div_event_date($event,$edit_recurrence);
eme_meta_box_div_recurrence_info($recurrence);
eme_meta_box_div_event_page_title_format($event,$templates_array);
eme_meta_box_div_event_single_event_format($event,$templates_array);
eme_meta_box_div_event_notes($event);
eme_meta_box_div_event_image($event);
eme_meta_box_div_event_url($event);
?>
  </div>
  <div id="tab-locationdetails">
<?php
eme_meta_box_div_location_name($event);
?>
  </div>
<?php if(get_option('eme_rsvp_enabled')) : ?>
  <div id="tab-rsvp">
<?php
eme_meta_box_div_event_rsvp($event);
$templates_array=eme_get_templates_array_by_id('rsvpform');
if (isset($event['event_properties']['rsvp_dyndata']))
   $eme_data = $event['event_properties']['rsvp_dyndata'];
else
   $eme_data=array();
eme_dyndata_adminform($eme_data,$templates_array);
eme_meta_box_div_event_registration_form_format($event,$templates_array);
eme_meta_box_div_event_registration_recorded_ok_html($event,$templates_array);
eme_meta_box_div_event_cancel_form_format($event,$templates_array);
?>
  </div>
<?php endif; ?>
  <div id="tab-mailformats">
<?php
$templates_array=eme_get_templates_array_by_id('rsvpmail');
eme_meta_box_div_event_respondent_email_subject($event,$templates_array);
eme_meta_box_div_event_respondent_email_body($event,$templates_array);
eme_meta_box_div_event_contactperson_email_subject($event,$templates_array);
eme_meta_box_div_event_contactperson_email_body($event,$templates_array);
eme_meta_box_div_event_registration_pending_email_subject($event,$templates_array);
eme_meta_box_div_event_registration_pending_email_body($event,$templates_array);
eme_meta_box_div_event_contactperson_pending_email_subject($event,$templates_array);
eme_meta_box_div_event_contactperson_pending_email_body($event,$templates_array);
eme_meta_box_div_event_registration_updated_email_subject($event,$templates_array);
eme_meta_box_div_event_registration_updated_email_body($event,$templates_array);
eme_meta_box_div_event_registration_cancelled_email_subject($event,$templates_array);
eme_meta_box_div_event_registration_cancelled_email_body($event,$templates_array);
eme_meta_box_div_event_contactperson_cancelled_email_subject($event,$templates_array);
eme_meta_box_div_event_contactperson_cancelled_email_body($event,$templates_array);
eme_meta_box_div_event_registration_denied_email_subject($event,$templates_array);
eme_meta_box_div_event_registration_denied_email_body($event,$templates_array);
eme_meta_box_div_event_registration_paid_email_subject($event,$templates_array);
eme_meta_box_div_event_registration_paid_email_body($event,$templates_array);
eme_meta_box_div_event_contactperson_ipn_email_subject($event,$templates_array);
eme_meta_box_div_event_contactperson_ipn_email_body($event,$templates_array);
eme_meta_box_div_event_contactperson_paid_email_subject($event,$templates_array);
eme_meta_box_div_event_contactperson_paid_email_body($event,$templates_array);
?>
  </div>
<?php if(get_option('eme_attributes_enabled')) : ?>
  <div id="tab-eventattributes">
<?php
eme_meta_box_div_event_attributes($event);
?>
  </div>
<?php endif; ?>
  <div id="tab-eventcustomfields">
<?php
eme_meta_box_div_event_customfields($event);
?>
  </div>
</div> <!-- end event-tabs -->

               <p class="submit">
                  <?php if ($is_new_event) { ?>
                     <input type="submit" class="button-primary" id="event_update_button" name="event_update_button" value="<?php _e ( 'Save' , 'events-made-easy'); ?> &raquo;" />
		     <br /><?php _e('If pressing save or update does not seem to be doing anything, then check all other tabs to make sure all required fields are filled out.','events-made-easy');?>
                  <?php } else { 
                     $delete_button_text=__ ( 'Are you sure you want to delete this event?', 'events-made-easy');
                     $deleteRecurrence_button_text=__ ( 'Are you sure you want to delete this recurrence?', 'events-made-easy');
                  ?>
                     <input type="submit" class="button-primary" id="event_update_button" name="event_update_button" value="<?php _e ( 'Update' , 'events-made-easy'); ?> &raquo;" />
                     <?php if (!$edit_recurrence) { ?>
                     <input type="submit" class="button-primary" id="event_delete_button" name="event_delete_button" value="<?php _e ( 'Delete Event', 'events-made-easy'); ?> &raquo;" onclick="return areyousure('<?php echo $delete_button_text; ?>');" />
		     <br /><?php _e('If pressing save or update does not seem to be doing anything, then check all other tabs to make sure all required fields are filled out.','events-made-easy');?>
                     <?php } ?> 
                     <?php if ($edit_recurrence) { ?>
                     <input type="submit" class="button-primary" id="event_deleteRecurrence_button" name="event_deleteRecurrence_button" value="<?php _e ( 'Delete Recurrence', 'events-made-easy'); ?> &raquo;" onclick="return areyousure('<?php echo $deleteRecurrence_button_text; ?>');" />
                     <?php } ?> 
                  <?php } ?>
               </p>
            </div>
            <!-- END OF MAIN -->
            <!-- SIDEBAR -->
            <div id="postbox-container-1" class="postbox-container">
               <div id='side-sortables' class="meta-box-sortables ui-sortable">
                  <?php if (current_user_can(get_option('eme_cap_author_event')) || current_user_can(get_option('eme_cap_edit_events'))) { ?>
                  <!-- status postbox -->
                  <div class="postbox" id="eme_statusdiv">
                     <h2 class='hndle'><span>
                        <?php _e ( 'Event Status', 'events-made-easy'); ?>
                        </span></h2>
                     <div class="inside">
                        <p><?php _e('Status','events-made-easy'); ?>
                        <select id="status" name="event_status">
                        <?php
                           foreach ( $event_status_array as $key=>$value) {
                              if ($event['event_status'] && ($event['event_status']==$key)) {
                                 $selected = "selected='selected'";
                              } else {
                                 $selected = "";
                              }
                              echo "<option value='$key' $selected>$value</option>";
                           }
                        ?>
                        </select><br />
                        <?php
                           _e('Private events are only visible for logged in users, draft events are not visible from the front end.','events-made-easy');
                        ?>
                        </p>
                     </div>
                  </div>
                  <?php } ?>

                  <?php if($event['event_author']) : ?>
                  <!-- author postbox -->
                  <div class="postbox" id="eme_authordiv">
                     <h2 class='hndle'><span>
                        <?php _e ( 'Author', 'events-made-easy'); ?>
                        </span></h2>
                     <div class="inside">
                        <p><?php _e('Author of this event: ','events-made-easy'); ?>
                           <?php
                           $owner_user_info = get_userdata($event['event_author']);
                           echo eme_esc_html($owner_user_info->display_name);
                           ?>
                        </p>
                     </div>
                  </div>
                  <?php endif; ?>

                  <!-- contact postbox -->
                  <div class="postbox" id="eme_contactdiv">
                     <h2 class='hndle'><span>
                        <?php _e ( 'Contact Person', 'events-made-easy'); ?>
                        </span></h2>
                     <div class="inside">
                        <p><?php _e('Contact','events-made-easy'); ?>
                           <?php
                           wp_dropdown_users ( array ('name' => 'event_contactperson_id', 'show_option_none' => __ ( "Event author", 'events-made-easy'), 'selected' => $event['event_contactperson_id'] ) );
                           // if it is not a new event and there's no contact person defined, then the event author becomes contact person
                           // So let's display a warning what this means if there's no author (like when submitting via the frontend submission form)
                           if (!$is_new_event && $event['event_contactperson_id']<1 && $event['event_author']<1)
                              print "<br />". __( 'Since the author is undefined for this event, any reference to the contact person (like when using #_CONTACTPERSON when sending mails), will use the admin user info.', 'events-made-easy');
                           ?>
                        </p>
                     </div>
                  </div>
                  <?php if(get_option('eme_categories_enabled')) :?>
                  <div class="postbox" id="eme_categoriesdiv">
                     <h2 class='hndle'><span>
                        <?php _e ( 'Category', 'events-made-easy'); ?>
                        </span></h2>
                     <div class="inside">
                     <?php
                     $categories = eme_get_categories();
		     if (empty($categories)) {
                     ?>
                        <span><?php _e ( 'No categories defined.', 'events-made-easy'); ?></span>
                     <?php
		     } else {
                        foreach ( $categories as $category) {
                           if ($event['event_category_ids'] && in_array($category['category_id'],explode(",",$event['event_category_ids']))) {
                              $selected = "checked='checked'";
                           } else {
                              $selected = "";
                           }
                     ?>
            <input type="checkbox" name="event_category_ids[]" value="<?php echo $category['category_id']; ?>" <?php echo $selected ?> /><?php echo eme_trans_esc_html($category['category_name']); ?><br />
                     <?php
                        } // end foreach
                     } // end if
                     ?>
                     </div>
                  </div> 
                  <?php endif; ?>
                  <div class="postbox" id="eme_ditev">
                     <h2 class='hndle'><span>
                        <?php _e ( 'Template'); ?>
                        </span></h2>
                     <div class="inside">
                     <?php
                     $templates = get_page_templates();
		     print eme_ui_select_inverted($event['event_properties']['wp_page_template'], 'eme_prop_wp_page_template', $templates, __('Default Template'));
                     ?>
                     </div>
                  </div>
               </div>
            </div>
            <!-- END OF SIDEBAR -->
         </div>
         </div>
   </form>
   </div>
<?php
}

function eme_validate_event($event) {
   $required_fields = array("event_name" => __('The event name', 'events-made-easy'), "start_date" => __('The start date','events-made-easy'));
   $troubles = "";
   if (empty($event['event_start_date']) || $event['event_start_date']=='0000-00-00') {
      $troubles .= "<li>".$required_fields['start_date'].__(" is missing!", 'events-made-easy')."</li>";
   }
   if (empty($event['event_name'])) {
      $troubles .= "<li>".$required_fields['event_name'].__(" is missing!", 'events-made-easy')."</li>";
   }  
   if (isset($_POST['repeated_event']) && $_POST['repeated_event'] == "1" && $_POST['recurrence_freq']!="specific" && (!isset($_POST['recurrence_end_date']) || $_POST['recurrence_end_date'] == ""))
      $troubles .= "<li>".__ ( 'Since the event is repeated, you must specify an event date for the recurrence.', 'events-made-easy')."</li>";

   if (eme_is_multi($event['event_seats']) && !eme_is_multi($event['price']))
      $troubles .= "<li>".__ ( 'Since the event contains multiple seat categories (multiseat), you must specify the price per category (multiprice) as well.', 'events-made-easy')."</li>";
   if (eme_is_multi($event['event_seats']) && eme_is_multi($event['price'])) {
      $count1=count(eme_convert_multi2array($event['event_seats']));
      $count2=count(eme_convert_multi2array($event['price']));
      if ($count1 != $count2)
         $troubles .= "<li>".__ ( 'Since the event contains multiple seat categories (multiseat), you must specify the exact same amount of prices (multiprice) as well.', 'events-made-easy')."</li>";
   }

   if (is_serialized($event['event_properties']))
         $event_properties = unserialize($event['event_properties']);
   else
         $event_properties = $event['event_properties'];
   if (eme_is_multi($event_properties['max_allowed']) && eme_is_multi($event['price'])) {
      $arr1=eme_convert_multi2array($event_properties['max_allowed']);
      $count1=count($arr1);
      $count2=count(eme_convert_multi2array($event['price']));
      if (!eme_array_integers($arr1))
         $troubles .= "<li>".__ ( 'If specified, the max amount of seats to book should consist of integers only.', 'events-made-easy')."</li>";
      if ($count1 != $count2)
         $troubles .= "<li>".__ ( 'Since this is a multiprice event and you decided to limit the max amount of seats to book (for one booking) per price category, you must specify the exact same amount of "max seats to book" as you did for the prices.', 'events-made-easy')."</li>";
   } elseif (!empty($event_properties['max_allowed']) && !is_numeric($event_properties['max_allowed'])) {
         $troubles .= "<li>".__ ( 'If specified, the max amount of seats to book should be an integer.', 'events-made-easy')."</li>";
   }
   if (eme_is_multi($event_properties['min_allowed']) && eme_is_multi($event['price'])) {
      $arr1=eme_convert_multi2array($event_properties['min_allowed']);
      $count1=count($arr1);
      $count2=count(eme_convert_multi2array($event['price']));
      if (!eme_array_integers($arr1))
         $troubles .= "<li>".__ ( 'If specified, the min amount of seats to book should consist of integers only.', 'events-made-easy')."</li>";
      if ($count1 != $count2)
         $troubles .= "<li>".__ ( 'Since this is a multiprice event and you decided to limit the min amount of seats to book (for one booking) per price category, you must specify the exact same amount of "min seats to book" as you did for the prices.', 'events-made-easy')."</li>";
   } elseif (!empty($event_properties['min_allowed']) && !is_numeric($event_properties['min_allowed'])) {
         $troubles .= "<li>".__ ( 'If specified, the min amount of seats to book should be an integer.', 'events-made-easy')."</li>";
   }

   if (empty($troubles)) {
      return "OK";
   } else {
      $message = __('Ach, some problems here:', 'events-made-easy')."<ul>$troubles</ul>";
      return $message; 
   }
}

// General script to make sure hidden fields are shown when containing data
function eme_admin_event_script() {
   // check if the user wants AM/PM or 24 hour notation
   // make sure that escaped characters are filtered out first
   $time_format = preg_replace('/\\\\./','',get_option('time_format'));
   $show24Hours = 'true';
   if (preg_match ( "/g|h/", $time_format ))
      $show24Hours = 'false';
   
   // jquery ui locales are with dashes, not underscores
   $lang = eme_detect_lang();

?>
<script type="text/javascript">
   //<![CDATA[
var show24Hours = <?php echo $show24Hours;?>;

function eme_event_page_title_format(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_event_page_title_format' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_single_event_format(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_single_event_format' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_contactperson_email_subject(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_contactperson_email_subject' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_contactperson_email_body(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_contactperson_email_body' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_contactperson_pending_email_subject(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_contactperson_pending_email_subject' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_contactperson_pending_email_body(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_contactperson_pending_email_body' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_contactperson_cancelled_email_subject(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_contactperson_cancelled_email_subject' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_contactperson_cancelled_email_body(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_contactperson_cancelled_email_body' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_contactperson_ipn_email_subject(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_contactperson_ipn_email_subject' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_contactperson_ipn_email_body(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_contactperson_ipn_email_body' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_contactperson_paid_email_subject(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_contactperson_paid_email_subject' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_contactperson_paid_email_body(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_contactperson_paid_email_body' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_respondent_email_subject(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_respondent_email_subject' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_respondent_email_body(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_respondent_email_body' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_registration_recorded_ok_html(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_registration_recorded_ok_html' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_registration_cancelled_email_subject(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_registration_cancelled_email_subject' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_registration_cancelled_email_body(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_registration_cancelled_email_body' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_registration_denied_email_subject(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_registration_denied_email_subject' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_registration_denied_email_body(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_registration_denied_email_body' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_registration_pending_email_subject(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_registration_pending_email_subject' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_registration_pending_email_body(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_registration_pending_email_body' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_registration_updated_email_subject(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_registration_updated_email_subject' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_registration_updated_email_body(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_registration_updated_email_body' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_registration_paid_email_subject(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_registration_paid_email_subject' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_registration_paid_email_body(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_registration_paid_email_body' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_registration_form_format(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_registration_form_format' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

function eme_cancel_form_format(){
   var tmp_value='<?php echo rawurlencode(get_option('eme_cancel_form_format' )); ?>';
   tmp_value=unescape(tmp_value).replace(/\r\n/g,"\n");
   return tmp_value;
}

//]]>
</script>

<?php
}

function eme_meta_box_div_event_name($event) {
?>
<div id="titlediv">
   <!-- we need title for qtranslate as ID -->
   <input type="text" id="title" name="event_name" required="required" placeholder="<?php _e('Event name','events-made-easy');?>" value="<?php echo eme_esc_html($event['event_name']); ?>" />
   <br />
   <br />
   <?php if (!empty($event['event_id']) && !empty($event['event_name']) != "") {
      echo "<b>". __ ('Permalink: ', 'events-made-easy') . "</b>";
      echo trailingslashit(home_url()).eme_permalink_convert(get_option ( 'eme_permalink_events_prefix'));
      $slug = $event['event_slug'] ? $event['event_slug'] : $event['event_name'];
      $slug = untrailingslashit(eme_permalink_convert($slug));
      ?>
      <input type="text" id="slug" name="event_slug" value="<?php echo $slug; ?>" /><?php echo user_trailingslashit(""); ?>
      <?php
   }
?>
</div>
<?php
}

function eme_meta_box_div_event_date($event,$edit_recurrence) {
   global $eme_timezone;
   // check if the user wants AM/PM or 24 hour notation
   // make sure that escaped characters are filtered out first
   $time_format = preg_replace('/\\\\./','',get_option('time_format'));
   $hours_locale = '24';
   $eme_date_obj=new ExpressiveDate(null,$eme_timezone);
   if (preg_match ( "/g|h/", $time_format )) {
      $event_start_time = $eme_date_obj->setTimestampFromString($event['event_start_time']." ".$eme_timezone)->format('h:iA');
      $event_end_time = $eme_date_obj->setTimestampFromString($event['event_end_time']." ".$eme_timezone)->format('h:iA');
   } else {
      $event_start_time = $event['event_start_time'];
      $event_end_time = $event['event_end_time'];
   }
   $eme_prop_all_day_checked = ($event['event_properties']['all_day']) ? "checked='checked'" : "";
   $eme_recurrence_checked = ($event['recurrence_id']) ? "checked='checked' readonly='readonly'" : "";
   if ($edit_recurrence) {
         $show_recurrent_form = 1;
   } else {
      if (isset($event['recurrence_id']) && $event['recurrence_id']) {
         # editing a single event of an recurrence: don't show the recurrence form
         $show_recurrent_form = 0;
      } else {
         # for single non-recurrent events: we show the form, so we can make it recurrent if we want to
         # Also: in the case that bookings already took place for this event, we don't allow the conversion
         # to a recurrent event, as that would cause the bookings to be lost
	 if (isset($event['event_id']))
            $booking_ids=eme_get_bookingids_for($event['event_id']);
	 else
	    $booking_ids="";
         if (empty($booking_ids))
            $show_recurrent_form = 1;
         else
            $show_recurrent_form = 2;
      }
   }
?>
<div id="div_event_date">
      <br />
      <?php
	echo "<b>". __('Event date', 'events-made-easy') . "</b>";
      ?>
      <input id="localized-start-date" type="text" name="localized_event_start_date" value="" style="background: #FCFFAA;" readonly="readonly" />
      <input id="start-date-to-submit" type="hidden" name="event_start_date" value="" />
      <input id="localized-end-date" type="text" name="localized_event_end_date" value="" style="background: #FCFFAA;" readonly="readonly" />
      <input id="end-date-to-submit" type="hidden" name="event_end_date" value="" />
      <p class="eme_smaller">
      <?php _e ( 'The event beginning and end date.', 'events-made-easy'); ?>
      <span id='event-date-recursive-explanation'>
      <br /><b>
      <?php _e ( 'In case of a recurrent event, use the beginning and end date to just indicate the duration of one event in days. The real start date is determined by the recurrence scheme being used.', 'events-made-easy'); ?>
      </b></span>
      </p>
      <br />
      <div id="time-selector">
      <?php
	echo "<b>". __('Event time', 'events-made-easy') . "</b>";
      ?>
      <input id="start-time" type="text" size="8" maxlength="8" name="event_start_time" value="<?php echo $event_start_time; ?>" />
      -
      <input id="end-time" type="text" size="8" maxlength="8" name="event_end_time" value="<?php echo $event_end_time; ?>" />
      <p class="eme_smaller">
      <?php _e ( 'The time of the event beginning and end', 'events-made-easy')?>
      </p>
      </div>
      <br />
      <input id="eme_prop_all_day" name='eme_prop_all_day' value='1' type='checkbox' <?php echo $eme_prop_all_day_checked; ?> />
      <?php _e ( 'This event lasts all day', 'events-made-easy'); ?>
      <br />
      <?php
          if ($show_recurrent_form==1) {
      ?>
             <input id="event-recurrence" type="checkbox" name="repeated_event" value="1" <?php echo $eme_recurrence_checked; ?> />
      <?php  _e ( 'Check if your event happens more than once.', 'events-made-easy');
          } else { 
             _e ( 'Bookings found for this event, so not possible to convert to a recurring event.', 'events-made-easy');
          }
      ?>
</div>
<?php
}

function eme_meta_box_div_recurrence_info($recurrence) {
   global $wp_locale;
   $freq_options = array ("daily" => __ ( 'Daily', 'events-made-easy'), "weekly" => __ ( 'Weekly', 'events-made-easy'), "monthly" => __ ( 'Monthly', 'events-made-easy'), "specific" => __('Specific days', 'events-made-easy') );
   $days_names = array (1 => $wp_locale->get_weekday_abbrev(__('Monday')), 2 => $wp_locale->get_weekday_abbrev(__('Tuesday')), 3 => $wp_locale->get_weekday_abbrev(__('Wednesday')), 4 => $wp_locale->get_weekday_abbrev(__('Thursday')), 5 => $wp_locale->get_weekday_abbrev(__('Friday')), 6 => $wp_locale->get_weekday_abbrev(__('Saturday')), 7 => $wp_locale->get_weekday_abbrev(__('Sunday')) );
   $saved_bydays = explode ( ",", $recurrence['recurrence_byday'] );
   $weekno_options = array ("1" => __ ( 'first', 'events-made-easy'), '2' => __ ( 'second', 'events-made-easy'), '3' => __ ( 'third', 'events-made-easy'), '4' => __ ( 'fourth', 'events-made-easy'), '5' => __ ( 'fifth', 'events-made-easy'), '-1' => __ ( 'last', 'events-made-easy'), "0" => __('Start day', 'events-made-easy') );
   $holidays_array_by_id=eme_get_holidays_array_by_id();
?>
<div id="div_recurrence_date" style="background-color: lightgrey;">
      <br />
      <?php
	echo "<b>". __('Recurrence dates', 'events-made-easy') . "</b>";
      ?>
   <input id="localized-rec-start-date" type="text" name="localized_recurrence_date" value="" style="background: #FCFFAA;" readonly="readonly" />
   <input id="rec-start-date-to-submit" type="hidden" name="recurrence_start_date" value="" />
   <input id="localized-rec-end-date" type="text" name="localized_recurrence_end_date" value="" style="background: #FCFFAA;" readonly="readonly" />
   <input id="rec-end-date-to-submit" type="hidden" name="recurrence_end_date" value="" />
   <p class="eme_smaller" id='recurrence-dates-explanation'>
   <?php _e ( 'The recurrence beginning and end date.', 'events-made-easy'); ?>
   </p>
   <span id='recurrence-dates-explanation-specificdates'>
   <?php _e ( 'Select all the dates you want the event to begin on.', 'events-made-easy'); ?>
   </span>
   <div id="event_recurrence_pattern">
      <?php _e('Frequency:','events-made-easy'); ?>
      <select id="recurrence-frequency" name="recurrence_freq">
            <?php eme_option_items ( $freq_options, $recurrence['recurrence_freq'] ); ?>
      </select>
	   <div id="recurrence-intervals">
                           <p>
                              <?php _e ( 'Every', 'events-made-easy')?>
                              <input id="recurrence-interval" name='recurrence_interval'
                                size='2' value='<?php if (isset ($recurrence['recurrence_interval'])) echo $recurrence['recurrence_interval']; ?>' />
                              <span class='interval-desc' id="interval-daily-singular">
                              <?php _e ( 'day', 'events-made-easy')?>
                              </span> <span class='interval-desc' id="interval-daily-plural">
                              <?php _e ( 'days', 'events-made-easy') ?>
                              </span> <span class='interval-desc' id="interval-weekly-singular">
                              <?php _e ( 'week', 'events-made-easy')?>
                              </span> <span class='interval-desc' id="interval-weekly-plural">
                              <?php _e ( 'weeks', 'events-made-easy')?>
                              </span> <span class='interval-desc' id="interval-monthly-singular">
                              <?php _e ( 'month', 'events-made-easy')?>
                              </span> <span class='interval-desc' id="interval-monthly-plural">
                              <?php _e ( 'months', 'events-made-easy')?>
                              </span><br />
                           <span class="alternate-selector" id="weekly-selector">
                              <?php eme_checkbox_items ( 'recurrence_bydays[]', $days_names, $saved_bydays ); ?>
                              <br />
                              <?php _e ( 'If you leave this empty, the recurrence start date will be used as a reference.', 'events-made-easy')?>
                           </span>
                           <span class="alternate-selector" id="monthly-selector">
                              <?php _e ( 'Every', 'events-made-easy')?>
                              <select id="monthly-modifier" name="recurrence_byweekno">
                                 <?php eme_option_items ( $weekno_options, $recurrence['recurrence_byweekno'] ); ?>
                              </select>
                              <select id="recurrence-weekday" name="recurrence_byday">
                                 <?php eme_option_items ( $days_names, $recurrence['recurrence_byday'] ); ?>
                              </select>
                              <?php _e ( 'Day of month', 'events-made-easy')?>
                              <br />
                              <?php _e ( 'If you use "Start day" as day of the month, the recurrence start date will be used as a reference.', 'events-made-easy')?>
                              &nbsp;
                          </span>
                          </p>
     </div>
   <?php 
      if (!empty($holidays_array_by_id)) {
         _e('Holidays: ','events-made-easy');
         echo eme_ui_select($recurrence['holidays_id'],'holidays_id',$holidays_array_by_id);
	 ?><p class="eme_smaller"><?php
         _e('No events will be created on days matching an entry in the holidays list','events-made-easy');
	 ?></p><?php
      }
   ?>
  </div>
</div>
<?php
}

function eme_meta_box_div_event_page_title_format($event,$templates_array) {
	if (empty($event['event_page_title_format']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_page_title_format">
      <br />
      <?php
	echo "<b>". __('Single Event Title', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller">
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['event_page_title_format_tpl'],'eme_prop_event_page_title_format_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="event_page_title_format" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <textarea name="event_page_title_format" id="event_page_title_format" rows="6" <?php echo $showhide_style; ?>><?php echo eme_esc_html($event['event_page_title_format']);?></textarea>
</div>
<?php
}

function eme_meta_box_div_event_single_event_format($event,$templates_array) {
	if (empty($event['event_single_event_format']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_single_event_format">
      <br />
      <?php
	echo "<b>". __('Single Event', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller">
   <?php _e ( 'The format of the single event page.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['event_single_event_format_tpl'],'eme_prop_event_single_event_format_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="event_single_event_format" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <textarea name="event_single_event_format" id="event_single_event_format" rows="6" <?php echo $showhide_style; ?>><?php echo eme_esc_html($event['event_single_event_format']);?></textarea>
</div>
<?php
}

function eme_meta_box_div_event_contactperson_email_subject($event,$templates_array) {
	if (empty($event['event_properties']['event_contactperson_email_subject']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_contactperson_email_subject">
      <br />
      <?php
	echo "<b>". __('Contact Person Booking Made Email Subject', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The subject of the email which will be sent to the contact person when a booking is made.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['event_contactperson_email_subject_tpl'],'eme_prop_event_contactperson_email_subject_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="eme_prop_event_contactperson_email_subject" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <input type="text" maxlength="250" name="eme_prop_event_contactperson_email_subject" id="eme_prop_event_contactperson_email_subject" <?php echo $showhide_style; ?> value="<?php echo eme_esc_html($event['event_properties']['event_contactperson_email_subject']);?>" />
</div>
<?php
}
function eme_meta_box_div_event_contactperson_email_body($event,$templates_array) {
	if (empty($event['event_contactperson_email_body']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_contactperson_email_body">
      <br />
      <?php
	echo "<b>". __('Contact Person Booking Made Email Body', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The body of the email which will be sent to the contact person when a booking is made.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['event_contactperson_email_body_tpl'],'eme_prop_event_contactperson_email_body_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="event_contactperson_email_body" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <textarea name="event_contactperson_email_body" id="event_contactperson_email_body" rows="6" <?php echo $showhide_style; ?>><?php echo eme_esc_html($event['event_contactperson_email_body']);?></textarea>
</div>
<?php
}

function eme_meta_box_div_event_contactperson_pending_email_subject($event,$templates_array) {
	if (empty($event['event_properties']['contactperson_registration_pending_email_subject']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_contactperson_email_pending_subject">
      <br />
      <?php
	echo "<b>". __('Contact Person Pending Booking Email Subject', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The subject of the email which will be sent to the contact person if a booking requires approval.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['contactperson_registration_pending_email_subject_tpl'],'eme_prop_contactperson_registration_pending_email_subject_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="eme_prop_contactperson_registration_pending_email_subject" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <input type="text" maxlength="250" name="eme_prop_contactperson_registration_pending_email_subject" id="eme_prop_contactperson_registration_pending_email_subject" <?php echo $showhide_style; ?> value="<?php echo eme_esc_html($event['event_properties']['contactperson_registration_pending_email_subject']);?>" />
</div>
<?php
}

function eme_meta_box_div_event_contactperson_pending_email_body($event,$templates_array) {
	if (empty($event['event_properties']['contactperson_registration_pending_email_body']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_contactperson_email_pending_body">
      <br />
      <?php
	echo "<b>". __('Contact Person Pending Booking Email Body', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The body of the email which will be sent to the contact person if a booking requires approval.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['contactperson_registration_pending_email_body_tpl'],'eme_prop_contactperson_registration_pending_email_body_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="eme_prop_contactperson_registration_pending_email_body" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <textarea name="eme_prop_contactperson_registration_pending_email_body" id="eme_prop_contactperson_registration_pending_email_body" rows="6" <?php echo $showhide_style; ?>><?php echo eme_esc_html($event['event_properties']['contactperson_registration_pending_email_body']);?></textarea>
</div>
<?php
}

function eme_meta_box_div_event_contactperson_cancelled_email_subject($event,$templates_array) {
	if (empty($event['event_properties']['contactperson_registration_cancelled_email_subject']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_contactperson_email_cancelled_subject">
      <br />
      <?php
	echo "<b>". __('Contact Person Cancelled Booking Email Subject', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The subject of the email which will be sent to the contact person when a respondent cancels all his bookings for an event.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['contactperson_registration_cancelled_email_subject_tpl'],'eme_prop_contactperson_registration_cancelled_email_subject_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="eme_prop_contactperson_registration_cancelled_email_subject" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <input type="text" maxlength="250" name="eme_prop_contactperson_registration_cancelled_email_subject" id="eme_prop_contactperson_registration_cancelled_email_subject" <?php echo $showhide_style; ?> value="<?php echo eme_esc_html($event['event_properties']['contactperson_registration_cancelled_email_subject']);?>" />
</div>
<?php
}

function eme_meta_box_div_event_contactperson_cancelled_email_body($event,$templates_array) {
	if (empty($event['event_properties']['contactperson_registration_cancelled_email_body']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_contactperson_email_cancelled_body">
      <br />
      <?php
	echo "<b>". __('Contact Person Cancelled Booking Email Body', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The body of the email which will be sent to the contact person when a respondent cancels all his bookings for an event.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['contactperson_registration_cancelled_email_body_tpl'],'eme_prop_contactperson_registration_cancelled_email_body_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="eme_prop_contactperson_registration_cancelled_email_body" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <textarea name="eme_prop_contactperson_registration_cancelled_email_body" id="eme_prop_contactperson_registration_cancelled_email_body" rows="6" <?php echo $showhide_style; ?>><?php echo eme_esc_html($event['event_properties']['contactperson_registration_cancelled_email_body']);?></textarea>
</div>
<?php
}

function eme_meta_box_div_event_contactperson_ipn_email_subject($event,$templates_array) {
	if (empty($event['event_properties']['contactperson_registration_ipn_email_subject']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_contactperson_email_ipn_subject">
      <br />
      <?php

	echo "<b>". __('Contact Person Payment Gateway Notification Email Subject', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The subject of the email which will be sent to the contact person when a payment notification is received via a payment gateway.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['contactperson_registration_ipn_email_subject_tpl'],'eme_prop_contactperson_registration_ipn_email_subject_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="eme_prop_contactperson_registration_ipn_email_subject" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <input type="text" maxlength="250" name="eme_prop_contactperson_registration_ipn_email_subject" id="eme_prop_contactperson_registration_ipn_email_subject" <?php echo $showhide_style; ?> value="<?php echo eme_esc_html($event['event_properties']['contactperson_registration_ipn_email_subject']);?>" />
</div>
<?php
}

function eme_meta_box_div_event_contactperson_ipn_email_body($event,$templates_array) {
	if (empty($event['event_properties']['contactperson_registration_ipn_email_body']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_contactperson_email_ipn_body">
      <br />
      <?php
	echo "<b>". __('Contact Person Payment Gateway Notification Email Body', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The body of the email which will be sent to the contact person when a payment notification is received via a payment gateway.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['contactperson_registration_ipn_email_body_tpl'],'eme_prop_contactperson_registration_ipn_email_body_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="eme_prop_contactperson_registration_ipn_email_body" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <textarea name="eme_prop_contactperson_registration_ipn_email_body" id="eme_prop_contactperson_registration_ipn_email_body" rows="6" <?php echo $showhide_style; ?>><?php echo eme_esc_html($event['event_properties']['contactperson_registration_ipn_email_body']);?></textarea>
</div>
<?php
}

function eme_meta_box_div_event_contactperson_paid_email_subject($event,$templates_array) {
	if (empty($event['event_properties']['contactperson_registration_paid_email_subject']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_contactperson_email_paid_subject">
      <br />
      <?php

	echo "<b>". __('Contact Person Booking Paid Email Subject', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The subject of the email which will be sent to the contact person when a booking is marked as paid (not via a payment gateway).','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['contactperson_registration_paid_email_subject_tpl'],'eme_prop_contactperson_registration_paid_email_subject_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="eme_prop_contactperson_registration_paid_email_subject" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <input type="text" maxlength="250" name="eme_prop_contactperson_registration_paid_email_subject" id="eme_prop_contactperson_registration_paid_email_subject" <?php echo $showhide_style; ?> value="<?php echo eme_esc_html($event['event_properties']['contactperson_registration_paid_email_subject']);?>" />
</div>
<?php
}

function eme_meta_box_div_event_contactperson_paid_email_body($event,$templates_array) {
	if (empty($event['event_properties']['contactperson_registration_paid_email_body']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_contactperson_email_paid_body">
      <br />
      <?php
	echo "<b>". __('Contact Person Booking Paid Email Body', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The body of the email which will be sent to the contact person when a booking is marked as paid (not via a payment gateway).','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['contactperson_registration_paid_email_body_tpl'],'eme_prop_contactperson_registration_paid_email_body_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="eme_prop_contactperson_registration_paid_email_body" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <textarea name="eme_prop_contactperson_registration_paid_email_body" id="eme_prop_contactperson_registration_paid_email_body" rows="6" <?php echo $showhide_style; ?>><?php echo eme_esc_html($event['event_properties']['contactperson_registration_paid_email_body']);?></textarea>
</div>
<?php
}

function eme_meta_box_div_event_registration_recorded_ok_html($event,$templates_array) {
	if (empty($event['event_registration_recorded_ok_html']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_registration_recorded_ok_html">
      <br />
      <?php
	echo "<b>". __('Booking recorded message', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The text (html allowed) shown to the user when the booking has been made successfully.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['event_registration_recorded_ok_html_tpl'],'eme_prop_event_registration_recorded_ok_html_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="event_registration_recorded_ok_html" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <textarea name="event_registration_recorded_ok_html" id="event_registration_recorded_ok_html" rows="6" <?php echo $showhide_style; ?>><?php echo eme_esc_html($event['event_registration_recorded_ok_html']);?></textarea>
</div>
<?php
}

function eme_meta_box_div_event_respondent_email_subject($event,$templates_array) {
	if (empty($event['event_properties']['event_respondent_email_subject']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_respondent_email_subject">
      <br />
      <?php
	echo "<b>". __('Booking Made Email Subject', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The subject of the email sent to the respondent when a booking is made (not pending) or approved.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['event_respondent_email_subject_tpl'],'eme_prop_event_respondent_email_subject_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="eme_prop_event_respondent_email_subject" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <input type="text" maxlength="250" name="eme_prop_event_respondent_email_subject" id="eme_prop_event_respondent_email_subject" <?php echo $showhide_style; ?> value="<?php echo eme_esc_html($event['event_properties']['event_respondent_email_subject']);?>" />
</div>
<?php
}

function eme_meta_box_div_event_respondent_email_body($event,$templates_array) {
	if (empty($event['event_respondent_email_body']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_respondent_email_body">
      <br />
      <?php
	echo "<b>". __('Booking Made Email Body', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The body of the email sent to the respondent when a booking is made (not pending) or approved.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['event_respondent_email_body_tpl'],'eme_prop_event_respondent_email_body_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="event_respondent_email_body" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <textarea name="event_respondent_email_body" id="event_respondent_email_body" rows="6" <?php echo $showhide_style; ?>><?php echo eme_esc_html($event['event_respondent_email_body']);?></textarea>
</div>
<?php
}

function eme_meta_box_div_event_registration_pending_email_subject($event,$templates_array) {
	if (empty($event['event_properties']['event_registration_pending_email_subject']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_registration_pending_email_subject">
      <br />
      <?php
	echo "<b>". __('Booking Pending Email Subject', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The subject of the email which will be sent to the respondent if the booking requires approval.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['event_registration_pending_email_subject_tpl'],'eme_prop_event_registration_pending_email_subject_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="eme_prop_event_registration_pending_email_subject" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <input type="text" maxlength="250" name="eme_prop_event_registration_pending_email_subject" id="eme_prop_event_registration_pending_email_subject" <?php echo $showhide_style; ?> value="<?php echo eme_esc_html($event['event_properties']['event_registration_pending_email_subject']);?>" />
</div>
<?php
}

function eme_meta_box_div_event_registration_pending_email_body($event,$templates_array) {
	if (empty($event['event_registration_pending_email_body']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_registration_pending_email_body">
      <br />
      <?php
	echo "<b>". __('Booking Pending Email Body', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The body of the email which will be sent to the respondent if the booking requires approval.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['event_registration_pending_email_body_tpl'],'eme_prop_event_registration_pending_email_body_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="event_registration_pending_email_body" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <textarea name="event_registration_pending_email_body" id="event_registration_pending_email_body" rows="6" <?php echo $showhide_style; ?>><?php echo eme_esc_html($event['event_registration_pending_email_body']);?></textarea>
</div>
<?php
}

function eme_meta_box_div_event_registration_updated_email_subject($event,$templates_array) {
	if (empty($event['event_properties']['event_registration_updated_email_subject']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_registration_updated_email_subject">
      <br />
      <?php
	echo "<b>". __('Booking Updated Email Subject', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The subject of the email which will be sent to the respondent if the booking has been updated by an admin.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['event_registration_updated_email_subject_tpl'],'eme_prop_event_registration_updated_email_subject_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="eme_prop_event_registration_updated_email_subject" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <input type="text" maxlength="250" name="eme_prop_event_registration_updated_email_subject" id="eme_prop_event_registration_updated_email_subject" <?php echo $showhide_style; ?> value="<?php echo eme_esc_html($event['event_properties']['event_registration_updated_email_subject']);?>" />
</div>
<?php
}

function eme_meta_box_div_event_registration_updated_email_body($event,$templates_array) {
	if (empty($event['event_registration_updated_email_body']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_registration_updated_email_body">
      <br />
      <?php
	echo "<b>". __('Booking Updated Email Body', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The body of the email which will be sent to the respondent if the booking has been updated by an admin.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['event_registration_updated_email_body_tpl'],'eme_prop_event_registration_updated_email_body_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="event_registration_updated_email_body" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <textarea name="event_registration_updated_email_body" id="event_registration_updated_email_body" rows="6" <?php echo $showhide_style; ?>><?php echo eme_esc_html($event['event_registration_updated_email_body']);?></textarea>
</div>
<?php
}

function eme_meta_box_div_event_registration_cancelled_email_subject($event,$templates_array) {
	if (empty($event['event_properties']['event_registration_cancelled_email_subject']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_registration_cancelled_email_subject">
      <br />
      <?php
	echo "<b>". __('Booking Cancelled Email Subject', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The subject of the email which will be sent to the respondent when he cancels all his bookings for an event.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['event_registration_cancelled_email_subject_tpl'],'eme_prop_event_registration_cancelled_email_subject_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="eme_prop_event_registration_cancelled_email_subject" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <input type="text" maxlength="250" name="eme_prop_event_registration_cancelled_email_subject" id="eme_prop_event_registration_cancelled_email_subject" <?php echo $showhide_style; ?> value="<?php echo eme_esc_html($event['event_properties']['event_registration_cancelled_email_subject']);?>" />
</div>
<?php
}

function eme_meta_box_div_event_registration_cancelled_email_body($event,$templates_array) {
	if (empty($event['event_registration_cancelled_email_body']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_registration_cancelled_email_body">
      <br />
      <?php
	echo "<b>". __('Booking Cancelled Email Body', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The body of the email which will be sent to the respondent when he cancels all his bookings for an event.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['event_registration_cancelled_email_body_tpl'],'eme_prop_event_registration_cancelled_email_body_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="event_registration_cancelled_email_body" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <textarea name="event_registration_cancelled_email_body" id="event_registration_cancelled_email_body" rows="6" <?php echo $showhide_style; ?>><?php echo eme_esc_html($event['event_registration_cancelled_email_body']);?></textarea>
</div>
<?php
}

function eme_meta_box_div_event_registration_paid_email_subject($event,$templates_array) {
	if (empty($event['event_properties']['event_registration_paid_email_subject']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_registration_paid_email_subject">
      <br />
      <?php
	echo "<b>". __('Booking Paid Email Subject', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The subject of the email which will be sent to the respondent when a booking is marked as paid.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['event_registration_paid_email_subject_tpl'],'eme_prop_event_registration_paid_email_subject_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="eme_prop_event_registration_paid_email_subject" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <input type="text" maxlength="250" name="eme_prop_event_registration_paid_email_subject" id="eme_prop_event_registration_paid_email_subject" <?php echo $showhide_style; ?> value="<?php echo eme_esc_html($event['event_properties']['event_registration_paid_email_subject']);?>" />
</div>
<?php
}

function eme_meta_box_div_event_registration_paid_email_body($event,$templates_array) {
	if (empty($event['event_registration_paid_email_body']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_registration_paid_email_body">
      <br />
      <?php
	echo "<b>". __('Booking Paid Email Body', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The body of the email which will be sent to the respondent when a booking is marked as paid.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['event_registration_paid_email_body_tpl'],'eme_prop_event_registration_paid_email_body_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="event_registration_paid_email_body" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <textarea name="event_registration_paid_email_body" id="event_registration_paid_email_body" rows="6" <?php echo $showhide_style; ?>><?php echo eme_esc_html($event['event_registration_paid_email_body']);?></textarea>
</div>
<?php
}

function eme_meta_box_div_event_registration_denied_email_subject($event,$templates_array) {
	if (empty($event['event_properties']['event_registration_denied_email_subject']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_registration_denied_email_subject">
      <br />
      <?php
	echo "<b>". __('Booking Denied Email Subject', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The subject of the email which will be sent to the respondent if the booking is denied by an admin.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['event_registration_denied_email_subject_tpl'],'eme_prop_event_registration_denied_email_subject_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="eme_prop_event_registration_denied_email_subject" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <input type="text" maxlength="250" name="eme_prop_event_registration_denied_email_subject" id="eme_prop_event_registration_denied_email_subject" <?php echo $showhide_style; ?> value="<?php echo eme_esc_html($event['event_properties']['event_registration_denied_email_subject']);?>" />
</div>
<?php
}

function eme_meta_box_div_event_registration_denied_email_body($event,$templates_array) {
	if (empty($event['event_registration_denied_email_body']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_registration_denied_email_body">
      <br />
      <?php
	echo "<b>". __('Booking Denied Email Body', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The body of the email which will be sent to the respondent if the booking is denied by an admin.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['event_registration_denied_email_body_tpl'],'eme_prop_event_registration_denied_email_body_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="event_registration_denied_email_body" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <textarea name="event_registration_denied_email_body" id="event_registration_denied_email_body" rows="6" <?php echo $showhide_style; ?>><?php echo eme_esc_html($event['event_registration_denied_email_body']);?></textarea>
</div>
<?php
}

function eme_meta_box_div_event_registration_form_format($event,$templates_array) {
	if (empty($event['event_registration_form_format']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_registration_form_format">
      <br />
      <?php
	echo "<b>". __('Booking Form', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The booking form format.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['event_registration_form_format_tpl'],'eme_prop_event_registration_form_format_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="event_registration_form_format" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <textarea name="event_registration_form_format" id="event_registration_form_format" rows="6" <?php echo $showhide_style; ?>><?php echo eme_esc_html($event['event_registration_form_format']);?></textarea>
</div>
<?php
}

function eme_meta_box_div_event_cancel_form_format($event,$templates_array) {
	if (empty($event['event_cancel_form_format']))
		$showhide_style='style="display:none; width:100%;"';
	else
		$showhide_style='style="width:100%;"';
?>
<div id="div_event_cancel_form_format">
      <br />
      <?php
	echo "<b>". __('Cancel Booking Form', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'The cancel booking form format.','events-made-easy');?>
   <br />
   <?php _e ('Only fill this in if you want to override the default settings.', 'events-made-easy');?>
   </p>
   <?php _e('Either choose from a template: ','events-made-easy'); echo eme_ui_select($event['event_properties']['event_cancel_form_format_tpl'],'eme_prop_event_cancel_form_format_tpl',$templates_array); ?><br />
   <?php _e('Or enter your own (if anything is entered here, it takes precedence over the selected template): ','events-made-easy');?>
	<img src="<?php echo EME_PLUGIN_URL;?>images/showhide.png" class="showhidebutton" alt="show/hide" data-showhide="event_cancel_form_format" style="cursor: pointer; vertical-align: middle; ">
   <br />
   <textarea name="event_cancel_form_format" id="event_cancel_form_format" rows="6" <?php echo $showhide_style; ?>><?php echo eme_esc_html($event['event_cancel_form_format']);?></textarea>
</div>
<?php
}

function eme_meta_box_div_location_name($event) {
   $use_select_for_locations = get_option('eme_use_select_for_locations');
   // qtranslate there? Then we need the select, otherwise locations will be created again...
   $lang = eme_detect_lang();
   if (!empty($lang)) {
      $use_select_for_locations=1;
   }
   $map_is_active = get_option('eme_map_is_active' );

   // we get the location using the location id from the event, but later down the road
   // we use the location_id from the location
   // Reason: if someone deleted a location and didn't update the corresponding events, the event would
   // point to an nonexisting location. If we passed down that deleted location_id, it would prevent location updates for such an event
   // eme_get_location takes into account removed locations and just gives location_id=0 in case of a removed location
   $location = eme_get_location ( $event['location_id'] );
?>
<div id="div_location_name">
   <table id="eme-location-data">
   <?php
   if($use_select_for_locations) {
      $location_0 = eme_new_location();
      $location_0['location_id']=0;
      // use eme_get_all_locations, eme_get_locations in the backend would only return locations you're entitled to change, but for a select this is a non-issue
      $locations = eme_get_all_locations();
   ?>
      <tr>
      <th><?php _e('Location','events-made-easy') ?></th>
      <td> 
      <select name="location-select-id" id='location-select-id' size="1">
      <option value="<?php echo $location_0['location_id'] ?>" ><?php echo eme_trans_esc_html($location_0['location_name']) ?></option>
      <?php 
      $selected_location=$location_0;
      foreach($locations as $tmp_location) {
         $selected = "";
         if (isset($location['location_id']) && $tmp_location['location_id'] == $location['location_id']) {
            $selected_location=$location;
            $selected = "selected='selected' ";
         }
         ?>
         <option value="<?php echo $tmp_location['location_id'] ?>" <?php echo $selected ?>><?php echo eme_trans_esc_html($tmp_location['location_name']) ?></option>
      <?php
      }
      ?>
      </select>
      <input type='hidden' name='location-select-name' value='<?php echo eme_trans_esc_html($selected_location['location_name'])?>' />
      <input type='hidden' name='location-select-city' value='<?php echo eme_trans_esc_html($selected_location['location_city'])?>' />
      <input type='hidden' name='location-select-address1' value='<?php echo eme_trans_esc_html($selected_location['location_address1'])?>' />
      <input type='hidden' name='location-select-address2' value='<?php echo eme_trans_esc_html($selected_location['location_address2'])?>' />
      <input type='hidden' name='location-select-state' value='<?php echo eme_trans_esc_html($selected_location['location_state'])?>' />
      <input type='hidden' name='location-select-zip' value='<?php echo eme_trans_esc_html($selected_location['location_zip'])?>' />
      <input type='hidden' name='location-select-country' value='<?php echo eme_trans_esc_html($selected_location['location_country'])?>' />
      <input type='hidden' name='location-select-latitude' value='<?php echo eme_trans_esc_html($selected_location['location_latitude'])?>' />
      <input type='hidden' name='location-select-longitude' value='<?php echo eme_trans_esc_html($selected_location['location_longitude'])?>' />
      </td>
      <?php
      if ($map_is_active) {
      ?>
         <td>
         <div id='eme-admin-map-not-found'>
         <p>
         <?php _e ( 'Map not found','events-made-easy'); ?>
         </p>
         </div>
         <div id='eme-admin-location-map'></div></td>
      <?php
      }
      ?>
      </tr>
       <tr >
       <td colspan='2'  rowspan='5' style='vertical-align: top'>
       <?php _e ( 'Select a location for your event', 'events-made-easy')?>
       </td>
       </tr>
   <?php
   } else {
      if (!isset($location['location_id']))
	      $location['location_id']=0;
      $edit_link="<img id='img_edit_location' name='img_edit_location' src='".EME_PLUGIN_URL."images/edit.png' alt='".__('Edit location','events-made-easy')."' title='".__('Edit location','events-made-easy')."' style='cursor: pointer;'>";
   ?>
      <tr>
      <th><?php _e ( 'Name','events-made-easy')?>&nbsp;</th>
      <td>
      <input id="location_id" type="hidden" name="location_id" value="<?php echo intval($location['location_id']); ?>" />
      <input id="location_name" type="text" name="location_name" value="<?php echo eme_trans_esc_html($location['location_name']); ?>" /> <?php echo $edit_link; ?>
      </td>
      <?php
      if ($map_is_active) {
      ?>
         <td rowspan='11'>
         <div id='eme-admin-map-not-found'>
         <p>
         <?php _e ( 'Map not found','events-made-easy'); ?>
         </p>
         </div>
         <div id='eme-admin-location-map'></div></td>
      <?php
      }
      ?>
      </tr>
      <tr>
      <td colspan='2'>
      <?php _e ( 'The name of the location where the event takes place. You can use the name of a venue, a square, etc', 'events-made-easy');?>
      <br />
      <?php _e ( 'If you leave this empty, the map will NOT be shown for this event', 'events-made-easy');?>
      </td>
      </tr>
       <tr>
       <th><?php _e ( 'Address1:', 'events-made-easy')?> &nbsp;</th>
       <td><input id="location_address1" type="text" name="location_address1" value="<?php echo $location['location_address1']; ?>" /></td>
       </tr>
       <tr>
       <th><?php _e ( 'Address2:', 'events-made-easy')?> &nbsp;</th>
       <td><input id="location_address2" type="text" name="location_address2" value="<?php echo $location['location_address2']; ?>" /></td>
       </tr>
       <tr>
       <th><?php _e ( 'City:', 'events-made-easy')?> &nbsp;</th>
       <td><input id="location_city" type="text" name="location_city" value="<?php echo $location['location_city']?>" /></td>
       </tr>
       <tr>
       <th><?php _e ( 'State:', 'events-made-easy')?> &nbsp;</th>
       <td><input id="location_state" type="text" name="location_state" value="<?php echo $location['location_state']; ?>" /></td>
       </tr>
       <tr>
       <th><?php _e ( 'Zip:', 'events-made-easy')?> &nbsp;</th>
       <td><input id="location_zip" type="text" name="location_zip" value="<?php echo $location['location_zip']; ?>" /></td>
       </tr>
       <tr>
       <th><?php _e ( 'Country:', 'events-made-easy')?> &nbsp;</th>
       <td><input id="location_country" type="text" name="location_country" value="<?php echo $location['location_country']; ?>" /></td>
       </tr>
       <tr>
       <td colspan='2'>
       <?php _e ( 'If you\'re using the Map integration and are really serious about the correct place, use these.', 'events-made-easy')?>
       </td>
       </tr>
       <tr>
       <th><?php _e ( 'Latitude:', 'events-made-easy')?> &nbsp;</th>
       <td><input id="location_latitude" type="text" name="location_latitude" value="<?php echo $location['location_latitude']?>" /></td>
       </tr>
       <tr>
       <th><?php _e ( 'Longitude:', 'events-made-easy')?> &nbsp;</th>
       <td><input id="location_longitude" type="text" name="location_longitude" value="<?php echo $location['location_longitude']?>" /></td>
       </tr>
    <?php
    }
    ?>
    </table>
</div>
<?php
}
 
function eme_meta_box_div_event_notes($event) {
   $eme_editor_settings = eme_get_editor_settings(true,true,10);
?>
<div id="div_event_notes">
      <br />
      <?php
	echo "<b>". __('Details', 'events-made-easy') . "</b>";
      ?>
   <p class="eme_smaller"><?php _e ( 'Details about the event', 'events-made-easy')?></p>
   <div id="<?php echo user_can_richedit() ? 'postdivrich' : 'postdiv'; ?>" class="postarea">
   <!-- we need content for qtranslate as ID -->
   <?php wp_editor($event['event_notes'],"content",$eme_editor_settings); ?>
   </div>
</div>
<?php
}

function eme_meta_box_div_event_image($event) {
    if (!empty($event['event_image_id']))
       $event['event_image_url'] = esc_url(wp_get_attachment_image_url($event['event_image_id'],'full'));
?>
<div id="div_event_image">
      <br />
      <?php
	echo "<b>". __('Event image', 'events-made-easy') . "</b>";
      ?>
   <div id="event_no_image" class="postarea">
      <?php _e('No image set','events-made-easy'); ?>
   </div>
   <div id="event_current_image" class="postarea">
   <?php if (!empty($event['event_image_url'])) {
      _e('Current image:', 'events-made-easy');
      echo "<img id='eme_event_image_example' alt='". __('Event image','events-made-easy')."' src='".$event['event_image_url']."' width='200' />";
      echo "<input type='hidden' name='event_image_url' id='event_image_url' value='".$event['event_image_url']."' />";
   } else {
      echo "<img id='eme_event_image_example' src='' alt='". __('Event image','events-made-easy')."' width='200' />";
      echo "<input type='hidden' name='event_image_url' id='event_image_url' />";
   }
   if (!empty($event['event_image_id'])) {
      echo "<input type='hidden' name='event_image_id' id='event_image_id' value='".$event['event_image_id']."' />";
   } else {
      echo "<input type='hidden' name='event_image_id' id='event_image_id' />";
   }
   ?>
   </div>
   <br />

   <div class="uploader">
   <input type="button" name="event_image_button" id="event_image_button" value="<?php _e ( 'Set a featured image', 'events-made-easy')?>" />
   <input type="button" id="event_remove_image_button" name="event_remove_image_button" value=" <?php _e ( 'Unset featured image', 'events-made-easy')?>" />
   </div>
</div>
<?php
}

function eme_meta_box_div_event_attributes($event) {
?>
<div id="div_event_attributes">
      <br />
      <?php
	echo "<b>". __('Attributes', 'events-made-easy') . "</b>";
      ?>
<?php
    eme_attributes_form($event);
?>
</div>
<?php
}

function eme_meta_box_div_event_customfields($event) {
?>
<div id="div_event_customfields">
      <br /><b> <?php echo __('Custom fields', 'events-made-easy'); ?> </b>
      <p><?php echo __("Here custom fields of type 'events' are shown.", 'events-made-easy'); ?>
      <br /><?php echo __("The difference with event attributes is that attributes need to be defined in your format first and can only be text, here you can first create custom fields of any kind which allows more freedom.", 'events-made-easy'); ?>
      </p>
      <table>
<?php
	$formfields=eme_get_formfields('','events');
	if (!empty($event['event_id'])) {
		$answers=eme_get_event_cf_answers($event['event_id']);
	} else {
		$answers=array();
	}
	foreach ($formfields as $formfield) {
		$field_name = eme_trans_esc_html($formfield['field_name']);
		$field_id = $formfield['field_id'];
		$postfield_name="FIELD".$field_id;
		$entered_val='';
		foreach ($answers as $answer) {
			if ($answer['field_id'] == $field_id) {
				$entered_val = $answer['answer'];
			}
		}
		if ($formfield['field_required'])
			$required=1;
		else
			$required=0;
		if ($formfield['field_type'] == 'file') {
			$field_html = __("File upload is not allowed here, use the regular WP media library to upload files or use the 'Add media' button in the event notes.","events-made-easy");
		} elseif ($formfield['field_type'] == 'hidden') {
			$field_html = __("Custom fields of type 'hidden' are useless here and of course won't be shown.","events-made-easy");
		} else {
			$field_html = eme_get_formfield_html($formfield,$postfield_name,$entered_val,$required);
		}
		echo "<tr><td>$field_name</td><td>$field_html</td></tr>";
	}
?>
      </table>
</div>
<?php
}

function eme_meta_box_div_event_url($event) {
?>
<div id="div_event_url">
      <br />
      <?php
	echo "<b>". __('External link', 'events-made-easy') . "</b>";
      ?>
   <input type="text" id="event_url" name="event_url" autocomplete="new-url" value="<?php echo eme_esc_html($event['event_url']); ?>" />
   <br />
   <p class="eme_smaller"><?php _e ( 'If this is filled in, the single event URL will point to this url instead of the standard event page.', 'events-made-easy')?></p>
</div>
<?php
}

function eme_meta_box_div_event_rsvp($event) {
   $currency_array = eme_currency_array();
   $event_number_seats=$event['event_seats'];
   $registration_wp_users_only = ($event['registration_wp_users_only']) ? "checked='checked'" : "";
   $registration_requires_approval = ($event['registration_requires_approval']) ? "checked='checked'" : "";
   $event_RSVP_checked = ($event['event_rsvp']) ? "checked='checked'" : "";

   $use_paypal_checked = ($event['use_paypal']) ? "checked='checked'" : "";
   $use_2co_checked = ($event['use_2co']) ? "checked='checked'" : "";
   $use_webmoney_checked = ($event['use_webmoney']) ? "checked='checked'" : "";
   $use_fdgg_checked = ($event['use_fdgg']) ? "checked='checked'" : "";
   $use_mollie_checked = ($event['use_mollie']) ? "checked='checked'" : "";
   $use_sagepay_checked = ($event['use_sagepay']) ? "checked='checked'" : "";

   // all properties
   $eme_prop_auto_approve_checked = ($event['event_properties']['auto_approve']) ? "checked='checked'" : "";
   $eme_prop_ignore_pending_checked = ($event['event_properties']['ignore_pending']) ? "checked='checked'" : "";
   $eme_prop_email_only_once_checked = ($event['event_properties']['email_only_once']) ? "checked='checked'" : "";
   $eme_prop_create_wp_user_checked = ($event['event_properties']['create_wp_user']) ? "checked='checked'" : "";
   $eme_prop_person_only_once_checked = ($event['event_properties']['person_only_once']) ? "checked='checked'" : "";
   $eme_prop_invite_only_checked = ($event['event_properties']['invite_only']) ? "checked='checked'" : "";
   $eme_prop_take_attendance = ($event['event_properties']['take_attendance']) ? "checked='checked'" : "";
   $eme_prop_all_day_checked = ($event['event_properties']['all_day']) ? "checked='checked'" : "";
   $eme_prop_use_worldpay = ($event['event_properties']['use_worldpay']) ? "checked='checked'" : "";
   $eme_prop_use_legacypaypal = ($event['event_properties']['use_legacypaypal']) ? "checked='checked'" : "";
   $eme_prop_use_stripe = ($event['event_properties']['use_stripe']) ? "checked='checked'" : "";
   $eme_prop_use_braintree = ($event['event_properties']['use_braintree']) ? "checked='checked'" : "";
   $eme_prop_use_paymill = ($event['event_properties']['use_paymill']) ? "checked='checked'" : "";
   $eme_prop_use_instamojo = ($event['event_properties']['use_instamojo']) ? "checked='checked'" : "";
   $eme_prop_use_offline = ($event['event_properties']['use_offline']) ? "checked='checked'" : "";
   $eme_prop_use_captcha = ($event['event_properties']['use_captcha']) ? "checked='checked'" : "";

   $eme_prop_rsvp_discount = ($event['event_properties']['rsvp_discount']) ? $event['event_properties']['rsvp_discount'] : "";
   $eme_prop_rsvp_discountgroup = ($event['event_properties']['rsvp_discountgroup']) ? $event['event_properties']['rsvp_discountgroup'] : "";
   $eme_prop_rsvp_addpersontogroup = ($event['event_properties']['rsvp_addpersontogroup']) ? $event['event_properties']['rsvp_addpersontogroup'] : "";
   $eme_prop_rsvp_password = ($event['event_properties']['rsvp_password']) ? $event['event_properties']['rsvp_password'] : "";
   $eme_prop_waitinglist_seats = ($event['event_properties']['waitinglist_seats']) ? $event['event_properties']['waitinglist_seats'] : 0;
   $eme_prop_cancel_rsvp_days = $event['event_properties']['cancel_rsvp_days'];
   $eme_prop_cancel_rsvp_age = $event['event_properties']['cancel_rsvp_age'];
   $eme_prop_attendance_begin = $event['event_properties']['attendance_begin'];
   $eme_prop_attendance_end = $event['event_properties']['attendance_end'];
   $eme_prop_rsvp_link = $event['event_properties']['rsvp_link'];
   if ($eme_prop_rsvp_link>0) {
	   $eme_prop_rsvp_name = eme_get_event_name($eme_prop_rsvp_link);
   } else {
	   $eme_prop_rsvp_name = '';
   }

   $discount_arr=array();
   $dgroup_arr=array();
   $group_arr=array();
   if (!empty($eme_prop_rsvp_discount))
      $discount_arr=array($eme_prop_rsvp_discount=>eme_get_discount_name($eme_prop_rsvp_discount));
   if (!empty($eme_prop_rsvp_discountgroup))
      $dgroup_arr=array($eme_prop_rsvp_discountgroup=>eme_get_dgroup_name($eme_prop_rsvp_discountgroup));

   $pdftemplates = eme_get_templates('pdf',1);

?>
                     <div class="inside">
                        <p id='p_rsvp'>
                           <input id="rsvp-checkbox" name='event_rsvp' value='1' type='checkbox' <?php echo $event_RSVP_checked; ?> />
                           <label for="rsvp-checkbox"><?php _e ( 'Enable bookings for this event', 'events-made-easy')?></label>
                        </p>
                     </div>

<div id="div_event_rsvp_link">
                           <p id='p_rsvp_link'>
                              <input id="eme_prop_rsvp_link" name='eme_prop_rsvp_link' type="hidden" value="<?php echo $eme_prop_rsvp_link; ?>" />
                              <?php if ($eme_prop_rsvp_name) { ?>
			          <input type="text" id="chooseevent" name="chooseevent" class="clearable x" readonly="readonly" placeholder="<?php _e('Start typing an event name','events-made-easy'); ?>" value="<?php echo eme_trans_esc_html($eme_prop_rsvp_name); ?>">
                              <?php } else { ?>
			          <input type="text" id="chooseevent" name="chooseevent" placeholder="<?php _e('Start typing an event name','events-made-easy'); ?>">
                              <?php } ?>
                              <label for="chooseevent"><?php _e ( 'Link bookings for the current event to the one selected here','events-made-easy'); ?></label>
                              <span class="eme_smaller"><br /><?php _e ( 'This will cause all bookings for this event to be registered to the chosen event, so you can link these together.','events-made-easy'); ?>
                              <br /><?php _e ( 'In other words: #_ADDBOOKINGFORM, #_DELETEBOOKINGFORM and similar placeholders will point to the chosen event.','events-made-easy'); ?>
                              </span>
                           </p>
</div>
<div id="div_event_rsvp">
                           <p id='p_approval_required'>
                              <input id="approval_required-checkbox" name='registration_requires_approval' value='1' type='checkbox' <?php echo $registration_requires_approval; ?> />
                              <label for="approval_required-checkbox"><?php _e ( 'Require booking approval','events-made-easy'); ?></label>
                           </p>
			   <p id='p_auto_approve'>
                              <input id="eme_prop_auto_approve" name='eme_prop_auto_approve' value='1' type='checkbox' <?php echo $eme_prop_auto_approve_checked; ?> />
                              <label for="eme_prop_auto_approve"><?php _e ( 'Auto-approve booking upon payment','events-made-easy'); ?></label>
                           </p>
			   <p id='p_ignore_pending'>
                              <input id="eme_prop_ignore_pending" name='eme_prop_ignore_pending' value='1' type='checkbox' <?php echo $eme_prop_ignore_pending_checked; ?> />
                              <label for="eme_prop_ignore_pending"><?php _e ( 'Consider pending bookings as available seats for new bookings','events-made-easy'); ?></label>
                           </p>
			   <p id='p_wp_member_required'>
                              <input id="wp_member_required-checkbox" name='registration_wp_users_only' value='1' type='checkbox' <?php echo $registration_wp_users_only; ?> />
                              <label for="wp_member_required-checkbox"><?php _e ( 'Require WP membership for booking','events-made-easy'); ?></label>
                              <span class="eme_smaller"><br /><?php _e ( "This will only show the booking form form for logged in users and prefill the form with the personal data from their wordpress profile. That data can't be changed in the form then, so if you don't want this, you can deactivate this option and use #_ADDBOOKINGFORM_IF_LOGGED_IN to show the form to logged in users only.",'events-made-easy'); ?></span>
                           </p>
			   <p id='p_create_wp_user'>
                              <input id="eme_prop_create_wp_user" name='eme_prop_create_wp_user' value='1' type='checkbox' <?php echo $eme_prop_create_wp_user_checked; ?> />
                              <label for="eme_prop_create_wp_user"><?php _e ( 'Create WP user after succesful booking','events-made-easy'); ?></label>
                              <span class="eme_smaller"><br /><?php _e ( "This will create a WP user after the booking is completed, as if the person registered in WP itself. This will only create a user if the booker was not logged in and the email is not yet taken by another WP user.",'events-made-easy'); ?></span>
                           </p>
			   <p id='p_email_only_once'>
                              <input id="eme_prop_email_only_once" name='eme_prop_email_only_once' value='1' type='checkbox' <?php echo $eme_prop_email_only_once_checked; ?> />
                              <label for="eme_prop_email_only_once"><?php _e ( 'Allow only 1 booking per unique email address','events-made-easy'); ?></label>
			   </p>
			   <p id='p_person_only_once'>
                              <input id="eme_prop_person_only_once" name='eme_prop_person_only_once' value='1' type='checkbox' <?php echo $eme_prop_person_only_once_checked; ?> />
                              <label for="eme_prop_person_only_once"><?php _e ( 'Allow only 1 booking per person (combo email/lastname/firstname)','events-made-easy'); ?></label>
			   </p>
			   <p id='p_invite_only'>
                              <input id="eme_prop_invite_only" name='eme_prop_invite_only' value='1' type='checkbox' <?php echo $eme_prop_invite_only_checked; ?> />
                              <label for="eme_prop_invite_only"><?php _e ( 'Require an invitation','events-made-easy'); ?></label>
                              <span class="eme_smaller"><br /><?php _e ( 'Allow only bookings done if someone visits the event via the invite url generated by #_INVITEURL. Since the invite url is generated based on the email address, this implies the setting "Allow only 1 booking per unique email address".','events-made-easy'); ?>
                              </span>
			   </p>
			   <p id='p_take_attendance'>
                              <input id="eme_prop_take_attendance" name='eme_prop_take_attendance' value='1' type='checkbox' <?php echo $eme_prop_take_attendance; ?> />
                              <label for="eme_prop_take_attendance"><?php _e ( 'Only take attendance (0 or 1 seat) for this event','events-made-easy'); ?></label>
			   </p>
			   <p id='p_use_captcha'>
                              <input id="eme_prop_use_captcha" name='eme_prop_use_captcha' value='1' type='checkbox' <?php echo $eme_prop_use_captcha; ?> />
                              <label for="eme_prop_use_captcha"><?php _e ( 'Use captcha on the booking form','events-made-easy'); ?></label>
                              <span class="eme_smaller"><br /><?php _e ( 'If this option is checked, make sure to use #_CAPTCHA in your RSVP form.','events-made-easy'); ?></span>
                           </p>
			   <table class="eme_event_admin_table">
                              <tr id='row_seats'>
                              <td><label for='seats-input'><?php _e ( 'Seats','events-made-easy'); ?> :</label></td>
                              <td><input id="seats-input" type="text" name="event_seats" size='8' maxlength='125' title="<?php echo __('Enter 0 for no limit','events-made-easy')."\n".__('For multiseat events, separate the values by \'||\'','events-made-easy'); ?>" value="<?php echo $event_number_seats; ?>" /></td>
                              </tr>
                              <tr id='row_price'>
                              <td><label for='price'><?php _e ( 'Price: ','events-made-easy'); ?></label></td>
                              <td><input id="price" type="text" name="price" size='8' maxlength='125' title="<?php _e('For multiprice events, separate the values by \'||\'','events-made-easy'); ?>" value="<?php echo $event['price']; ?>" />
                              <select id="currency" name="currency">
                              <?php
                                 foreach ( $currency_array as $key=>$value) {
                                    if ($event['currency'] && ($event['currency']==$key)) {
                                       $selected = "selected='selected'";
                                    } elseif (!$event['currency'] && ($key==get_option('eme_default_currency'))) {
                                       $selected = "selected='selected'";
                                    } else {
                                       $selected = "";
                                    }
                                    echo "<option value='$key' $selected>$value</option>";
                                 }
                              ?>
                              </select></td>
                              </tr>
                              <tr id='row_waitinglist_seats'>
                              <td><label for='eme_prop_waitinglist_seats'><?php _e ( 'Waitinglist seats','events-made-easy'); ?></label></td>
                              <td><input id="eme_prop_waitinglist_seats" type="text" name="eme_prop_waitinglist_seats" maxlength='125' size='8' title="<?php _e('The number of seats considered to be a waiting list.','events-made-easy'); ?>" value="<?php echo $event['event_properties']['waitinglist_seats']; ?>" /></td>
                              </tr>
                              <tr id='row_max_allowed'>
                              <td><label for='eme_prop_max_allowed'><?php _e ( 'Max number of seats to book','events-made-easy'); ?></label></td>
                              <td><input id="eme_prop_max_allowed" type="text" name="eme_prop_max_allowed" maxlength='125' size='8' title="<?php _e('The maximum number of seats a person can book in one go.','events-made-easy').' '._e('(is multi-compatible)','events-made-easy'); ?>" value="<?php echo $event['event_properties']['max_allowed']; ?>" /></td>
                              </tr>
                              <tr id='row_min_allowed'>
                              <td><label for='eme_prop_min_allowed'><?php _e ( 'Min number of seats to book','events-made-easy'); ?></label></td>
                              <td><input id="eme_prop_min_allowed" type="text" name="eme_prop_min_allowed" maxlength='125' size='8' title="<?php echo __('The minimum number of seats a person can book in one go (it can be 0, for e.g. just an attendee list).','events-made-easy').' '.__('(is multi-compatible)','events-made-easy'); ?>" value="<?php echo $event['event_properties']['min_allowed']; ?>" /></td>
                              </tr>
                              <tr id='row_discount'>
                              <td><label for='eme_prop_rsvp_discount'><?php _e ( 'Discount to apply','events-made-easy'); ?></label></td>
			      <td><?php echo eme_ui_select($event['event_properties']['rsvp_discount'], 'eme_prop_rsvp_discount', $discount_arr, '', 0,'eme_select2_discounts_class'); ?><p class="eme_smaller"><?php _e('The discount name you want to apply (is overridden by discount group if used).','events-made-easy'); ?></p></td>
                              </tr>
                              <tr id='row_discountgroup'>
                              <td><label for='eme_prop_rsvp_discountgroup'><?php _e ( 'Discount group to apply','events-made-easy'); ?></label></td>
			      <td><?php echo eme_ui_select($event['event_properties']['rsvp_discountgroup'], 'eme_prop_rsvp_discountgroup', $dgroup_arr, '', 0,'eme_select2_dgroups_class'); ?><p class="eme_smaller"><?php _e('The discount group name you want applied (overrides the discount).','events-made-easy'); ?></p></td>
                              </tr>
                              <tr id='row_addpersontogroup'>
                              <td><label for='eme_prop_rsvp_addpersontogroup'><?php _e ( 'Group to add people to','events-made-easy'); ?></label></td>
                              <td><?php echo eme_ui_select_key_value($event['event_properties']['rsvp_addpersontogroup'], 'eme_prop_rsvp_addpersontogroup', eme_get_static_groups(),'group_id','name','&nbsp;'); ?><p class="eme_smaller"><?php _e('The group you want people to automatically become a member of when they subscribe.','events-made-easy'); ?></p></td>
                              </tr>
                              <tr id='row_rsvppassword'>
                              <td><label for='eme_prop_rsvp_password'><?php _e ( 'RSVP Password','events-made-easy'); ?></label></td>
			      <td><input id="eme_prop_rsvp_password" type="password" autocomplete="new-password" name="eme_prop_rsvp_password" maxlength='20' size='20' value="<?php echo $event['event_properties']['rsvp_password']; ?>" /><p class="eme_smaller"><?php _e('A password required for RSVP submit to succeed. If used, #_PASSWORD is required in the RSVP form too.','events-made-easy'); ?></p></td>
			      </tr>
                              <tr id='row_ticket'>
                              <td><label for='eme_prop_ticket_template_id'><?php _e ( 'Ticket PDF template','events-made-easy'); ?></label></td>
                              <td><?php echo eme_ui_select_key_value($event['event_properties']['ticket_template_id'],"eme_prop_ticket_template_id",$pdftemplates,'id','name','&nbsp;');?>
                                  <p class="eme_smaller"><?php _e ( 'This optional template is used to send a PDF attachment in the mail when the booking is approved or paid (see the next seting to configure when the attachment should be included).','events-made-easy'); ?><br />
                              <?php _e ( 'No template shown in the list? Then go in the section Templates and create a PDF template.','events-made-easy'); ?></p></td>
			      </tr>
                              <tr id='row_ticketmail'>
                              <td><label for='eme_prop_ticket_mail'><?php _e ( 'Ticket mail preference','events-made-easy'); ?></label></td>
                              <td><?php echo eme_ui_select($event['event_properties']['ticket_mail'],"eme_prop_ticket_mail",array('booking'=>__('At booking time','events-made-easy'),'approval'=>__('Upon approval','events-made-easy'),'payment'=>__('Upon payment','events-made-easy'),'always'=>__('All of the above','events-made-easy')));?>
                                  <p class="eme_smaller"><?php _e ( "Configure in which mail you want the optional PDF attachment to be included: when the booking is made, when it is approved or when the booking is paid for.",'events-made-easy'); ?><br />
			      </tr>
                              </table>
			   <p id='span_rsvp_allowed_from'>
                              <?php _e ( 'Allow RSVP from ','events-made-easy'); ?>
                              <input id="eme_prop_rsvp_start_number_days" type="text" name="eme_prop_rsvp_start_number_days" maxlength='3' size='3' value="<?php echo $event['event_properties']['rsvp_start_number_days']; ?>" />
                              <?php _e ( 'days','events-made-easy'); ?>
                              <input id="eme_prop_rsvp_start_number_hours" type="text" name="eme_prop_rsvp_start_number_hours" maxlength='2' size='2' value="<?php echo $event['event_properties']['rsvp_start_number_hours']; ?>" />
                              <?php _e ( 'hours','events-made-easy'); ?>
                              <?php _e ( 'before the event ','events-made-easy');
                                 $eme_rsvp_start_target_list = array('start'=>__('starts','events-made-easy'),'end'=>__('ends','events-made-easy'));
                                 echo eme_ui_select($event['event_properties']['rsvp_start_target'],'eme_prop_rsvp_start_target',$eme_rsvp_start_target_list);
                              ?>
                              &nbsp;<?php _e ('(Leave empty to disable this limit)','events-made-easy'); ?>
			   </p>
			   <p id='span_rsvp_allowed_until'>
                              <?php _e ( 'Allow RSVP until ','events-made-easy'); ?>
                              <input id="rsvp_number_days" type="text" name="rsvp_number_days" maxlength='3' size='3' value="<?php echo $event['rsvp_number_days']; ?>" />
                              <?php _e ( 'days','events-made-easy'); ?>
                              <input id="rsvp_number_hours" type="text" name="rsvp_number_hours" maxlength='2' size='2' value="<?php echo $event['rsvp_number_hours']; ?>" />
                              <?php _e ( 'hours','events-made-easy'); ?>
                              <?php _e ( 'before the event ','events-made-easy');
                                 $eme_rsvp_end_target_list = array('start'=>__('starts','events-made-easy'),'end'=>__('ends','events-made-easy'));
                                 echo eme_ui_select($event['event_properties']['rsvp_end_target'],'eme_prop_rsvp_end_target',$eme_rsvp_end_target_list);
                              ?>
                              &nbsp;<?php _e ('(Leave empty to disable this limit)','events-made-easy'); ?>
			   </p>
			   <p id='span_rsvp_cutoff'>
                              <?php _e ( 'RSVP cancel cutoff before event starts','events-made-easy'); ?>
                              <input id="eme_prop_cancel_rsvp_days" type="text" name="eme_prop_cancel_rsvp_days" maxlength='2' size='2' value="<?php echo $event['event_properties']['cancel_rsvp_days']; ?>" />
                              <span class="eme_smaller"><?php _e ( 'Allow RSVP cancellation until this many days before the event starts.', 'events-made-easy'); ?></span>
			      <br />
                              <?php _e ( 'RSVP cancel cutoff booking age','events-made-easy'); ?>
                              <input id="eme_prop_cancel_rsvp_age" type="text" name="eme_prop_cancel_rsvp_age" maxlength='2' size='2' value="<?php echo $event['event_properties']['cancel_rsvp_age']; ?>" />
                              <span class="eme_smaller"><?php _e ( 'Allow RSVP cancellation until this many days after the booking has been made.', 'events-made-easy'); ?></span>
			   </p>
			   <p id='span_attendance'>
                              <?php _e ( 'Attendance URL (generated by #_ATTENDANCE_URL) is valid from ','events-made-easy'); ?>
			      <input id="eme_prop_attendance_begin" type="text" name="eme_prop_attendance_begin" maxlength='2' size='2' value="<?php echo $event['event_properties']['attendance_begin']; ?>" />
                              <?php _e ( 'hours before the event starts until ','events-made-easy'); ?>
			      <input id="eme_prop_attendance_end" type="text" name="eme_prop_attendance_end" maxlength='2' size='2' value="<?php echo $event['event_properties']['attendance_end']; ?>" />
                              <?php _e ( 'hours after the event ends.','events-made-easy'); ?>
			   </p>
			   <p id='span_payment_methods'>
                              <?php _e ( 'Payment methods','events-made-easy'); ?><br />
                              <input id="paypal-checkbox" name='use_paypal' value='1' type='checkbox' <?php echo $use_paypal_checked; ?> /><?php _e ( 'Paypal','events-made-easy'); ?><br />
                              <input id="eme_prop_use_legacypaypal" name='eme_prop_use_legacypaypal' value='1' type='checkbox' <?php echo $eme_prop_use_legacypaypal; ?> /><?php _e ( 'Legacy Paypal','events-made-easy'); ?><br />
                              <input id="2co-checkbox" name='use_2co' value='1' type='checkbox' <?php echo $use_2co_checked; ?> /><?php _e ( '2Checkout','events-made-easy'); ?><br />
                              <input id="webmoney-checkbox" name='use_webmoney' value='1' type='checkbox' <?php echo $use_webmoney_checked; ?> /><?php _e ( 'Webmoney','events-made-easy'); ?><br />
                              <input id="fdgg-checkbox" name='use_fdgg' value='1' type='checkbox' <?php echo $use_fdgg_checked; ?> /><?php _e ( 'First Data','events-made-easy'); ?><br />
                              <input id="mollie-checkbox" name='use_mollie' value='1' type='checkbox' <?php echo $use_mollie_checked; ?> /><?php _e ( 'Mollie','events-made-easy'); ?><br />
                              <input id="sagepay-checkbox" name='use_sagepay' value='1' type='checkbox' <?php echo $use_sagepay_checked; ?> /><?php _e ( 'Sage Pay','events-made-easy'); ?><br />
                              <input id="eme_prop_use_worldpay" name='eme_prop_use_worldpay' value='1' type='checkbox' <?php echo $eme_prop_use_worldpay; ?> /><?php _e ( 'Worldpay','events-made-easy'); ?><br />
                              <input id="eme_prop_use_stripe" name='eme_prop_use_stripe' value='1' type='checkbox' <?php echo $eme_prop_use_stripe; ?> /><?php _e ( 'Stripe','events-made-easy'); ?><br />
                              <input id="eme_prop_use_braintree" name='eme_prop_use_braintree' value='1' type='checkbox' <?php echo $eme_prop_use_braintree; ?> /><?php _e ( 'Braintree','events-made-easy'); ?><br />
                              <input id="eme_prop_use_paymill" name='eme_prop_use_paymill' value='1' type='checkbox' <?php echo $eme_prop_use_paymill; ?> /><?php _e ( 'Paymill','events-made-easy'); ?><br />
                              <input id="eme_prop_use_instamojo" name='eme_prop_use_instamojo' value='1' type='checkbox' <?php echo $eme_prop_use_instamojo; ?> /><?php _e ( 'Instamojo','events-made-easy'); ?><br />
                              <input id="eme_prop_use_offline" name='eme_prop_use_offline' value='1' type='checkbox' <?php echo $eme_prop_use_offline; ?> /><?php _e ( 'Offline','events-made-easy'); ?><br />
			   </p>
</div>
<?php
}

function eme_rss_link($justurl = 0, $echo = 0, $text = "RSS", $scope="future", $order = "ASC",$show_ongoing=1,$category='',$author='',$contact_person='',$limit=5, $location_id='',$title='') {
   if (strpos ( $justurl, "=" )) {
      // allows the use of arguments without breaking the legacy code
      $defaults = array ('justurl' => 0, 'show_ongoing' => $show_ongoing, 'echo' => $echo, 'text' => $text, 'scope' => $scope, 'order' => $order, 'category' => $category, 'author' => $author, 'contact_person' => $contact_person, 'limit' => $limit, 'location_id' => $location_id, 'title' => $title );
      
      $r = wp_parse_args ( $justurl, $defaults );
      extract ( $r );
      $echo = $r['echo'];
   }
   $echo = filter_var($echo,FILTER_VALIDATE_BOOLEAN);
   if ($text == '')
      $text = "RSS";
   $url = site_url ("/?eme_rss=main&scope=$scope&show_ongoing=$show_ongoing&order=$order&category=$category&author=$author&contact_person=$contact_person&limit=$limit&location_id=$location_id&title=".urlencode($title));
   $link = "<a href='$url'>$text</a>";
   
   if ($justurl)
      $result = $url;
   else
      $result = $link;
   if ($echo)
      echo $result;
   else
      return $result;
}

function eme_rss_link_shortcode($atts) {
   extract ( shortcode_atts ( array ('justurl' => 0, 'show_ongoing' => 1, 'text' => 'RSS', 'scope' => 'future', 'order' => 'ASC', 'category' => '', 'author' => '', 'contact_person' => '', 'limit' => 5, 'location_id' => '', 'title' => '' ), $atts ) );
   $result = eme_rss_link ( "justurl=$justurl&show_ongoing=$show_ongoing&text=$text&limit=$limit&scope=$scope&order=$order&category=$category&author=$author&contact_person=$contact_person&location_id=$location_id&title=".urlencode($title) );
   return $result;
}

function eme_rss() {
      global $eme_timezone;

      if (isset($_GET['limit'])) {
         $limit=intval($_GET['limit']);
      } else {
         $limit=get_option('eme_event_list_number_items' );
      }
      if (isset($_GET['author'])) {
         $author=eme_sanitize_request($_GET['author']);
      } else {
         $author="";
      }
      if (isset($_GET['contact_person'])) {
         $contact_person=eme_sanitize_request($_GET['contact_person']);
      } else {
         $contact_person="";
      }
      if (isset($_GET['order'])) {
         $order=eme_sanitize_request($_GET['order']);
      } else {
         $order="ASC";
      }
      if (isset($_GET['show_ongoing'])) {
         $show_ongoing=intval($_GET['show_ongoing']);
      } else {
         $show_ongoing=0;
      }
      if (isset($_GET['category'])) {
         $category=eme_sanitize_request($_GET['category']);
      } else {
         $category=0;
      }
      if (isset($_GET['location_id'])) {
         $location_id=eme_sanitize_request($_GET['location_id']);
      } else {
         $location_id='';
      }
      if (isset($_GET['scope'])) {
         $scope=eme_sanitize_request($_GET['scope']);
      } else {
         $scope="future";
      }
      if (isset($_GET['title'])) {
         $main_title=eme_sanitize_request($_GET['title']);
      } else {
         $main_title=get_option('eme_rss_main_title' );
      }
      
      header("Content-type: text/xml");
      echo "<?xml version='1.0'?>\n";
      
      ?>
<rss version="2.0">
<channel>
<title><?php
      echo eme_sanitize_rss($main_title);
      ?></title>
<link><?php
      $events_page_link = eme_get_events_page();
      echo eme_sanitize_rss($events_page_link);
      ?></link>
<description><?php
      echo eme_sanitize_rss(get_option('eme_rss_main_description' ));
      ?></description>
<docs>
http://blogs.law.harvard.edu/tech/rss
</docs>
<generator>
Weblog Editor 2.0
</generator>
<?php
      $title_format = get_option('eme_rss_title_format');
      $description_format = get_option('eme_rss_description_format');
      $events = eme_get_events ( $limit, $scope, $order, 0, $location_id, $category, $author, $contact_person, $show_ongoing );

      # some RSS readers don't like it when an empty feed without items is returned, so we add a dummy item then
      if (empty ( $events )) {
         echo "<item>\n";
         echo "<title></title>\n";
         echo "<link></link>\n";
         echo "</item>\n";
      } else {
         foreach ( $events as $event ) {
             $title = eme_sanitize_rss(eme_replace_placeholders ( $title_format, $event, "rss" ));
             $description = eme_sanitize_rss(eme_replace_placeholders ( $description_format, $event, "rss" ));
             $event_link = eme_sanitize_rss(eme_event_url($event));
	     if (!empty($event['event_image_id']))
                $image_url = esc_url(wp_get_attachment_image_url($event['event_image_id'],'full'));
	     elseif(!empty($event['event_image_url']))
                $image_url = esc_url($event['event_image_url']);
	     else
	        $image_url="";
             echo "<item>\n";
             echo "<title>$title</title>\n";
             echo "<link>$event_link</link>\n";
             if (get_option('eme_rss_show_pubdate' )) {
                if (get_option('eme_rss_pubdate_startdate' )) {
                   echo "<pubDate>".eme_rfc822_date($event['event_start_date']." ".$event['event_start_time'],$eme_timezone)."</pubDate>\n";
                } else {
                   echo "<pubDate>".eme_rfc822_date($event['modif_date'],"GMT")."</pubDate>\n";
                }
             }
             echo "<description>$description</description>\n";
             if (get_option('eme_categories_enabled')) {
                $categories = eme_sanitize_rss(eme_replace_placeholders ( "#_CATEGORIES", $event, "rss" ));
                echo "<category>$categories</category>\n";
             }
	     if (!empty($image_url)) {
                // the image title and link should in practice be the same as the event title and link
                echo "<image>\n";
                echo "<url>$image_url</url>\n";
                echo "<title>$title</title>\n";
                echo "<link>$event_link</link>\n";
                echo "</image>\n";
	     }
             echo "</item>\n";
         }
      }
      ?>

</channel>
</rss>

<?php
}

function eme_general_head() {
   $extra_html_header=get_option('eme_html_header');
   $extra_html_header=trim(preg_replace('/\r\n/', "\n", $extra_html_header));
   if (!empty($extra_html_header))
      echo $extra_html_header."\n";

   if (eme_is_single_event_page()) {
      $event_id=eme_sanitize_request(get_query_var('event_id'));
      if (!eme_check_event_exists($event_id)) {
	      return;
      }

      $event=eme_get_event($event_id);
      // I don't know if the canonical rel-link is needed, but since WP adds it by default ...
      $canon_url=eme_event_url($event);
      echo "<link rel=\"canonical\" href=\"$canon_url\" />\n";
      $extra_headers_format=get_option('eme_event_html_headers_format');
      if (!empty($extra_headers_format)) {
         $extra_headers_lines = explode ("\n",$extra_headers_format);
         foreach ($extra_headers_lines as $extra_header_format) {
            # we allow js in the header, so not too much escaping here
	    # but it needs to be text, otherwise html from the event might show in the headers ...
            $extra_header = strip_shortcodes(eme_replace_placeholders ($extra_header_format, $event, "text",0 ));
            $extra_header = trim(preg_replace('/\r/', "", $extra_header));
            if ($extra_header != "")
               echo $extra_header."\n";
         }
      }
   } elseif (eme_is_single_location_page()) {
      $location_id=eme_sanitize_request(get_query_var('location_id'));
      if (!eme_check_location_exists($location_id)) {
	      return;
      }

      $location=eme_get_location($location_id);
      $canon_url=eme_location_url($location);
      echo "<link rel=\"canonical\" href=\"$canon_url\" />\n";
      $extra_headers_format=get_option('eme_location_html_headers_format');
      if (!empty($extra_headers_format)) {
         $extra_headers_lines = explode ("\n",$extra_headers_format);
         foreach ($extra_headers_lines as $extra_header_format) {
            # we allow js in the header, so not too much escaping here
	    # but it needs to be text, otherwise html from the location might show in the headers ...
            $extra_header = strip_shortcodes(eme_replace_locations_placeholders ($extra_header_format, $location, "text", 0 ));
            $extra_header = trim(preg_replace('/\r/', "", $extra_header));
            if (!empty($extra_header))
               echo $extra_header."\n";
         }
      }
   }
}

function eme_general_footer() {
   $extra_html_footer=get_option('eme_html_footer');
   $extra_html_footer=trim(preg_replace('/\r\n/', "\n", $extra_html_footer));
   if (!empty($extra_html_footer))
      echo $extra_html_footer."\n";
}

function eme_sanitize_event($event) {
   global $eme_timezone;
   // remove possible unwanted fields
   if (isset($event['event_id'])) {
      unset($event['event_id']);
   }

   // some sanity checks
   if ($event['event_end_date']<$event['event_start_date']) {
      $event['event_end_date']=$event['event_start_date'];
   }
   if (!is_serialized($event['event_attributes']))
      $event['event_attributes'] = serialize($event['event_attributes']);

   if (!is_serialized($event['event_properties']))
      $event['event_properties'] = serialize($event['event_properties']);

   $event_properties = @unserialize($event['event_properties']);
   if ($event_properties['all_day']) {
      $event['event_start_time']="00:00:00";
      $event['event_end_time']="23:59:59";
   }
   // if the end day/time is lower than the start day/time, then put
   // the end day one day ahead, but only if
   // the end time has been filled in, if it is empty then we keep
   // the end date as it is
   if ($event['event_end_time'] != "00:00:00") {
      $eme_date_obj1=new ExpressiveDate($event['event_start_date']." ".$event['event_start_time'],$eme_timezone);
      $eme_date_obj2=new ExpressiveDate($event['event_end_date']." ".$event['event_end_time'],$eme_timezone);
      if ($eme_date_obj2->lessThan($eme_date_obj1)) {
         $event['event_end_date']=$eme_date_obj1->addOneDay()->format('Y-m-d');
      }
   } elseif ($event['event_end_date']==$event['event_start_date']) {
      $event['event_end_time']="23:59:59";
   }

   if (eme_is_multi($event['event_seats'])) {
	   // waiting list only for simple events (no multiseats)
	   $event_properties['waitinglist_seats']=0;
	   $multiseat=eme_convert_multi2array($event['event_seats']);
	   foreach ($multiseat as $key=>$value) {
		   if (!is_numeric($value)) $multiseat[$key]=0;
	   }
	   $event['event_seats'] = eme_convert_array2multi($multiseat);
   } else {
	   if (!is_numeric($event['event_seats'])) $event['event_seats'] = 0;
	   $event_properties['waitinglist_seats']=intval($event_properties['waitinglist_seats']);
	   if ($event_properties['waitinglist_seats']>=$event['event_seats'])
		   $event_properties['waitinglist_seats']=0;
   }

   if (eme_is_multi($event['price'])) {
	   $multiprice=eme_convert_multi2array($event['price']);
	   foreach ($multiprice as $key=>$value) {
		   if (!is_numeric($value)) $multiprice[$key]=0;
	   }
	   $event['price'] = eme_convert_array2multi($multiprice);
   } else {
	   if (!is_numeric($event['price'])) $event['price'] = 0;
   }

   if (!eme_is_date_valid($event['event_start_date']))
	   $event['event_start_date'] = "";
   if (!eme_is_date_valid($event['event_end_date']))
	   $event['event_end_date'] = "";

   // check all variables that need to be urls
   $url_vars = array('event_url','event_image_url');
   foreach ($url_vars as $url_var) {
      if (!empty($event[$url_var])) {
           //make sure url's have a correct prefix
	   $parsed = parse_url($event[$url_var]);
	   if (empty($parsed['scheme'])) {
              $scheme  = is_ssl() ? 'https://' : 'http://';
              $event[$url_var] = $scheme . ltrim($event[$url_var], '/');
	   }
           //make sure url's are correctly escaped
	   $event[$url_var] = esc_url_raw ( $event[$url_var] ) ;
      }
   }

   if (!empty($event['event_slug']))
	$event['event_slug'] = eme_permalink_convert($event['event_slug'],0);
   else
	$event['event_slug'] = eme_permalink_convert($event['event_name'],0);

   // some things just need to be integers, let's brute-force them
   $int_vars=array('event_contactperson_id','event_rsvp','rsvp_number_days','rsvp_number_hours','registration_requires_approval','registration_wp_users_only','use_paypal','use_2co','use_webmoney','use_fdgg','use_mollie','use_sagepay','event_image_id');
   foreach ($int_vars as $int_var) {
	   $event[$int_var]=intval($event[$int_var]);
   }

   // serialize the props again
   $event['event_properties'] = serialize($event_properties);

   return eme_kses(eme_strip_weird($event));
}

function eme_db_insert_event($line,$event_is_part_of_recurrence=0) {
   global $wpdb, $eme_timezone;
   $current_userid=get_current_user_id();
   $table_name = $wpdb->prefix . EVENTS_TBNAME;

   $line['event_author']=$current_userid;
   if (empty($line['event_slug']))
	$line['event_slug'] = eme_permalink_convert($line['event_name'],0);
   $line['event_slug'] = eme_unique_slug($line['event_slug'],EVENTS_TBNAME,'event_slug','event_id');

   if (has_filter('eme_event_preinsert_filter')) $line=apply_filters('eme_event_preinsert_filter',$line);

   $event=eme_new_event();
   // we only want the columns that interest us
   // we need to do this since this function is also called for csv import
   $keys=array_intersect_key($line,$event);
   $new_line=array_merge($event,$keys);
   if (!is_serialized($new_line['event_attributes']))
           $new_line['event_attributes'] = serialize($new_line['event_attributes']);
   if (!is_serialized($new_line['event_properties']))
           $new_line['event_properties'] = serialize($new_line['event_properties']);
 
   // never try to update a autoincrement value ...
   if (isset($new_line['event_id']))
      unset ($new_line['event_id']);

   $wpdb->show_errors(true);
   if (!$wpdb->insert ( $table_name, $new_line )) {
      $wpdb->print_error();
      return false;
   } else {
      $event_id = $wpdb->insert_id;
      $new_line['event_id']=$event_id;
      // the eme_insert_event_action is only executed for single events, not those part of a recurrence
      if (!$event_is_part_of_recurrence && has_action('eme_insert_event_action')) {
	      $new_line['event_attributes']=unserialize($new_line['event_attributes']);
	      $new_line['event_properties']=unserialize($new_line['event_properties']);
	      do_action('eme_insert_event_action',$new_line);
      }
      return $event_id;
   }
}

function eme_db_update_event($line,$event_id,$event_is_part_of_recurrence=0) {
   global $wpdb, $eme_timezone;
   $table_name = $wpdb->prefix . EVENTS_TBNAME;

   wp_cache_delete("event $event_id");
   if (empty($line['event_slug']))
	$line['event_slug'] = eme_permalink_convert($line['event_name'],0);
   $line['event_slug'] = eme_unique_slug($line['event_slug'],EVENTS_TBNAME,'event_slug','event_id',$event_id);

   if (has_filter('eme_event_preupdate_filter')) $line=apply_filters('eme_event_preupdate_filter',$line);

   $event=eme_new_event();
   // we only want the columns that interest us
   // we need to do this since this function is also called for csv import
   $keys=array_intersect_key($line,$event);
   $new_line=array_merge($event,$keys);
   if (!is_serialized($new_line['event_attributes']))
           $new_line['event_attributes'] = serialize($new_line['event_attributes']);
   if (!is_serialized($new_line['event_properties']))
           $new_line['event_properties'] = serialize($new_line['event_properties']);

   // never try to update a autoincrement value ...
   if (isset($new_line['event_id']))
      unset ($new_line['event_id']);

   $where=array('event_id' => $event_id);
   $wpdb->show_errors(true);
   if ($wpdb->update ( $table_name, $new_line, $where ) === false) {
      $wpdb->print_error();
      $wpdb->show_errors(false);
      return false;
   } else {
      $new_line['event_id']=$event_id;
      // the eme_update_event_action is only executed for single events, not those part of a recurrence
      if (!$event_is_part_of_recurrence && has_action('eme_update_event_action')) {
         // we do this call so all parameters for the event are filled, otherwise for an update this might not be the case
         $new_line = eme_get_event($event_id);
         do_action('eme_update_event_action',$new_line);
      }
      $wpdb->show_errors(false);
      return true;
   }
}

function eme_change_event_status($events,$state) {
   global $wpdb;
   $table_name = $wpdb->prefix . EVENTS_TBNAME;

   if (is_array($events))
      $events_to_change=join(',',$events);
   else
      $event_to_change=$events;

   $sql = "UPDATE $table_name set event_status=$state WHERE event_id in (".$events_to_change.")";
   $wpdb->query($sql);
}

// for GDPR cron
function eme_delete_old_events() {
   global $wpdb,$eme_timezone;
   $events_table = $wpdb->prefix.EVENTS_TBNAME;
   $remove_old_events_days = get_option('eme_gdpr_remove_old_events_days');
   if (empty($remove_old_events_days))
           return;
   else
           $remove_old_events_days=abs($remove_old_events_days);

   $eme_date_obj=new ExpressiveDate(null,$eme_timezone);
   $old_date = $eme_date_obj->minusDays($remove_old_events_days)->getDateTime();

   $query = "SELECT event_id FROM $events_table WHERE CONCAT($events_table.event_end_date,' ',$events_table.event_end_time) <'$old_date'";
   $event_ids=$wpdb->get_col($sql);
   foreach ($event_ids as $event_id) {
	   $event=eme_get_event($event_id);
	   eme_db_delete_event($event);
   }
}

function eme_db_delete_event($event,$event_is_part_of_recurrence=0) {
   global $wpdb;
   $table_name = $wpdb->prefix . EVENTS_TBNAME;
   $wpdb->show_errors(false);
   $sql = $wpdb->prepare("DELETE FROM $table_name WHERE event_id = %d",$event['event_id']);
   if ($wpdb->query($sql)) {
      eme_delete_all_bookings_for_event_id($event['event_id']);
      // the eme_delete_event_action is only executed for single events, not those part of a recurrence
      if (!$event_is_part_of_recurrence && has_action('eme_delete_event_action')) do_action('eme_delete_event_action',$event);
   }
}

function eme_check_event_external_ref($id) {
   global $wpdb;
   $table_name = $wpdb->prefix . EVENTS_TBNAME;
   $sql = $wpdb->prepare("SELECT location_id FROM $table_name WHERE location_external_ref = %s",$id);
   return $wpdb->get_var($sql);
}

function eme_admin_enqueue_js(){
   global $plugin_page, $eme_wp_date_format, $eme_wp_time_format;
   $locale_code = get_locale();
   $locale_code = preg_replace( "/_/","-", $locale_code );

   if (preg_match('/^eme-/',$plugin_page)) {
      // remove some scripts from widgetopts that get loaded everywhere ...
      remove_action( 'admin_enqueue_scripts', 'widgetopts_load_admin_scripts', 100 );
      $translation_array = array(
	      'translate_plugin_url' => EME_PLUGIN_URL,
	      'translate_ajax_url' => admin_url('admin-ajax.php'),
	      'translate_selectstate' => __('State','events-made-easy'),
	      'translate_selectcountry' => __('Country','events-made-easy'),
	      'translate_frontendnonce' => wp_create_nonce( 'eme_frontend' ),
	      'translate_error' => __('An error has occurred','events-made-easy'),
	      'translate_clear' => __('Clear','events-made-easy'),
	      'translate_mailingpreferences' => __("Mailing preferences",'events-made-easy'),
	      'translate_yessure' => __("Yes, I'm sure",'events-made-easy'),
	      'translate_iwantmails' => __('I want to receive mails','events-made-easy'),
	      'translate_dateformat' => eme_wp_date_format_php_to_js($eme_wp_date_format)
      );
      wp_localize_script('eme-basic', 'emebasic',$translation_array);
      wp_enqueue_script('eme-basic');
      $translation_array = array(
	      'translate_areyousuretodeleteselected' => __('Are you sure you want to delete the selected records?','events-made-easy'),
	      'translate_selectpersons' => __('Select one or more persons','events-made-easy'),
	      'translate_selectmembers' => __('Select one or more members','events-made-easy'),
	      'translate_selectcustomfields' => __('Custom fields to filter on','events-made-easy'),
	      'translate_adminnonce' => wp_create_nonce( 'eme_admin' )
      );
      wp_localize_script('eme-admin', 'emeadmin', $translation_array);
      wp_enqueue_script('eme-admin');
      //wp_enqueue_style("wp-jquery-ui-dialog");
      wp_enqueue_style('eme-jquery-ui-css');
      wp_enqueue_style('eme-jquery-jtable-css');
      wp_enqueue_style('eme-jtables-css');
      wp_enqueue_style('eme-jquery-select2-css');
      if (wp_script_is('eme-jtable-locale','registered'))
            wp_enqueue_script('eme-jtable-locale');
   }
   if ($plugin_page == 'eme-new_event' || (in_array( $plugin_page, array('eme-locations', 'eme-manager')) && isset($_REQUEST['eme_admin_action'])) ) {
      // we need this to have the "postbox" javascript loaded, so closing/opening works for those divs
      // wp_enqueue_script('post');
      if (get_option('eme_map_is_active' )) {
        wp_enqueue_style('eme-leaflet-css');
        $translation_array = array(
		'translate_lang' => eme_detect_lang(),
		'translate_js_trans_function' => eme_detect_lang_js_trans_function(),
		'translate_eme_map_zooming' => get_option('eme_map_zooming') ? 'true' : 'false',
		'translate_default_map_icon' => get_option('eme_location_map_icon'),
		'translate_eme_map_is_active' => 'true'
	);
        wp_localize_script('eme-admin-maps', 'emeadmin', $translation_array);
        wp_enqueue_script('eme-admin-maps');
      }
   }
   if ( in_array( $plugin_page, array('eme-new_event', 'eme-manager') ) ) {
      eme_enqueue_datepick();
      wp_enqueue_style('eme-jquery-ui-autocomplete');
      // Now we can localize the script with our data.
      $translation_array = array(
	      'translate_nomatchevent' => __('No matching event found','events-made-easy'),
	      'translate_eme_map_is_active' => get_option('eme_map_is_active')?'true':'false',
	      'translate_events' => __('Events','events-made-easy'),
	      'translate_rsvp' => __('RSVP','events-made-easy'),
	      'translate_id' => __('ID','events-made-easy'),
	      'translate_name' => __('Name','events-made-easy'),
	      'translate_status' => __('Status','events-made-easy'),
	      'translate_copy' => __('Copy','events-made-easy'),
	      'translate_csv' => __('CSV','events-made-easy'),
	      'translate_print' => __('Print','events-made-easy'),
	      'translate_location' => __('Location','events-made-easy'),
	      'translate_recinfo' => __('Recurrence info','events-made-easy'),
	      'translate_date' => __('Date','events-made-easy'),
	      'translate_datetime' => __('Date and time','events-made-easy'),
	      'translate_created_on' => __('Created on','events-made-easy'),
	      'translate_modified_on' => __('Modified on','events-made-easy'),
	      'translate_fields_missing' => __('Some required fields are missing:','events-made-easy'),
	      'translate_pleasewait' => __('Please wait','events-made-easy'),
	      'translate_apply' => __('Apply','events-made-easy'),
	      'translate_selectfeaturedimg' => __('Select the image to be used as featured image','events-made-easy'),
	      'translate_setfeaturedimg' => __('Set featured image','events-made-easy'),
	      'translate_pleaseselectrecords' => __('Please select some records first.','events-made-easy'),
	      'translate_pressdeletetoremove' => __('Press the delete button to remove','events-made-easy'),
	      'translate_areyousuretodeleteselected' => __('Are you sure you want to delete the selected records?','events-made-easy'),
	      'translate_enddate_required' => __('Since the event is repeated, you must specify an end date','events-made-easy'),
	      'translate_startenddate_identical' => __("In a recurrence, start and end date can't be identical",'events-made-easy'),
	      'translate_adminnonce' => wp_create_nonce( 'eme_admin' ),
	      'translate_selectdiscount' => __('Select a discount','events-made-easy'),
	      'translate_selectdiscountgroup' => __('Select a discountgroup','events-made-easy'),
	      'translate_locale_code' => $locale_code,
	      'translate_firstDayOfWeek' => get_option('start_of_week'),
	      'translate_dateformat' => eme_wp_date_format_php_to_js($eme_wp_date_format)
      );
      wp_localize_script( 'eme-events', 'eme', $translation_array );
      wp_enqueue_script( 'eme-events');
       // some inline js that gets shown at the top
      eme_admin_event_script();
   }
   if ( in_array( $plugin_page, array('eme-templates') ) ) {
      $translation_array = array(
	      'translate_id' => __('ID','events-made-easy'),
	      'translate_templates' => __('Templates','events-made-easy'),
	      'translate_name' => __('Name','events-made-easy'),
	      'translate_description' => __('Description','events-made-easy'),
	      'translate_type' => __('Type','events-made-easy'),
	      'translate_edit' => __('Edit','events-made-easy'),
	      'translate_pleasewait' => __('Please wait','events-made-easy'),
	      'translate_apply' => __('Apply','events-made-easy'),
	      'translate_pleaseselectrecords' => __('Please select some records first.','events-made-easy'),
	      'translate_areyousuretodeleteselected' => __('Are you sure to delete the selected records?','events-made-easy'),
	      'translate_pressdeletetoremove' => __('Press the delete button to remove','events-made-easy'),
	      'translate_adminnonce' => wp_create_nonce( 'eme_admin' )
      );
      wp_localize_script('eme-templates', 'emetemplates', $translation_array);
      wp_enqueue_script('eme-templates');
   }
   if ( in_array( $plugin_page, array('eme-formfields') ) ) {
      $translation_array = array(
	      'translate_id' => __('ID','events-made-easy'),
	      'translate_name' => __('Name','events-made-easy'),
	      'translate_type' => __('Type','events-made-easy'),
	      'translate_extracharge' => __('Extra charge','events-made-easy'),
	      'translate_searchable' => __('Searchable','events-made-easy'),
	      'translate_purpose' => __('Purpose','events-made-easy'),
	      'translate_used' => __('Used in replies','events-made-easy'),
	      'translate_required' => __('Required','events-made-easy'),
	      'translate_edit' => __('Edit','events-made-easy'),
	      'translate_pleasewait' => __('Please wait','events-made-easy'),
	      'translate_apply' => __('Apply','events-made-easy'),
	      'translate_pleaseselectrecords' => __('Please select some records first.','events-made-easy'),
	      'translate_areyousuretodeleteselected' => __('Are you sure to delete the selected records?','events-made-easy'),
	      'translate_pressdeletetoremove' => __('Press the delete button to remove','events-made-easy'),
	      'translate_adminnonce' => wp_create_nonce( 'eme_admin' )
      );
      wp_localize_script('eme-formfields', 'emeformfields', $translation_array);
      wp_enqueue_script('eme-formfields');
   }
   if ( in_array( $plugin_page, array('eme-options') ) ) {
      $translation_array = array(
	      'translate_addatachments' => __('Add attachments','events-made-easy')
      );
      wp_localize_script( 'eme-options', 'emeoptions', $translation_array );
      wp_enqueue_script('eme-options');
   }
   if ( in_array( $plugin_page, array('eme-discounts') ) ) {
      $translation_array = array(
	      'translate_discounts' => __('Discounts','events-made-easy'),
	      'translate_name' => __('Name','events-made-easy'),
	      'translate_description' => __('Description','events-made-easy'),
	      'translate_discountgroups' => __('Discount groups','events-made-easy'),
	      'translate_coupon' => __('Coupon','events-made-easy'),
	      'translate_casesensitive' => __('Case sensitive','events-made-easy'),
	      'translate_use_per_seat' => __('Track discount usage per booked seat','events-made-easy'),
	      'translate_value' => __('Value','events-made-easy'),
	      'translate_type' => __('Type','events-made-easy'),
	      'translate_maxusage' => __('Max Usage','events-made-easy'),
	      'translate_usage' => __('Usage','events-made-easy'),
	      'translate_expiration' => __('Expiration','events-made-easy'),
	      'translate_maxdiscounts' => __('Max Discounts','events-made-easy'),
	      'translate_edit' => __('Edit','events-made-easy'),
	      'translate_added' => __('Record added','events-made-easy'),
	      'translate_updated' => __('Record updated','events-made-easy'),
	      'translate_deleted' => __('Records deleted','events-made-easy'),
	      'translate_fixed' => __('Fixed','events-made-easy'),
	      'translate_fixed_per_seat' => __('Fixed per seat','events-made-easy'),
	      'translate_percentage' => __('Percentage','events-made-easy'),
	      'translate_code' => __('Code','events-made-easy'),
	      'translate_pleasewait' => __('Please wait','events-made-easy'),
	      'translate_apply' => __('Apply','events-made-easy'),
	      'translate_pleaseselectrecords' => __('Please select some records first.','events-made-easy'),
	      'translate_areyousuretodeleteselected' => __('Are you sure to delete the selected records?','events-made-easy'),
	      'translate_pressdeletetoremove' => __('Press the delete button to remove','events-made-easy'),
	      'translate_adminnonce' => wp_create_nonce( 'eme_admin' )
      );
      wp_localize_script( 'eme-discounts', 'emediscounts', $translation_array );
      wp_enqueue_script('eme-discounts');
   }
   if ( in_array( $plugin_page, array('eme-countries') ) ) {
      $translation_array = array(
	      'translate_countries' => __('Countries','events-made-easy'),
	      'translate_id' => __('ID','events-made-easy'),
	      'translate_name' => __('Name','events-made-easy'),
	      'translate_country_id' => __('Country ID','events-made-easy'),
	      'translate_states' => __('States','events-made-easy'),
	      'translate_country' => __('Country','events-made-easy'),
	      'translate_state' => __('State','events-made-easy'),
	      'translate_locale' => __('Locale','events-made-easy'),
	      'translate_edit' => __('Edit','events-made-easy'),
	      'translate_missingcountry' => "<img style='vertical-align: middle;' src='".EME_PLUGIN_URL."images/warning.png' alt='warning' title='".__('No country associated with this state, it will not show up in dropdown lists. Please edit this state and correct the country info.','events-made-easy')."'>",
	      'translate_added' => __('Record added','events-made-easy'),
	      'translate_updated' => __('Record updated','events-made-easy'),
	      'translate_deleted' => __('Records deleted','events-made-easy'),
	      'translate_code' => __('Code','events-made-easy'),
	      'translate_alpha_2' => __('Alpha-2','events-made-easy'),
	      'translate_alpha_3' => __('Alpha-3','events-made-easy'),
	      'translate_num_3' => __('Num-3','events-made-easy'),
	      'translate_pleasewait' => __('Please wait','events-made-easy'),
	      'translate_apply' => __('Apply','events-made-easy'),
	      'translate_pleaseselectrecords' => __('Please select some records first.','events-made-easy'),
	      'translate_areyousuretodeleteselected' => __('Are you sure to delete the selected records?','events-made-easy'),
	      'translate_adminnonce' => wp_create_nonce( 'eme_admin' )
      );
      wp_localize_script( 'eme-countries', 'emecountries', $translation_array );
      wp_enqueue_script('eme-countries');
   }
   if ( in_array( $plugin_page, array('eme-locations') ) ) {
      $translation_array = array(
	      'translate_nomatchlocation' => __('No matching location found','events-made-easy'),
	      'translate_locations' => __('Locations','events-made-easy'),
	      'translate_id' => __('ID','events-made-easy'),
	      'translate_name' => __('Name','events-made-easy'),
	      'translate_copy' => __('Copy','events-made-easy'),
	      'translate_view' => __('View','events-made-easy'),
	      'translate_address1' => __('Address1','events-made-easy'),
	      'translate_address2' => __('Address2','events-made-easy'),
	      'translate_city' => __('City','events-made-easy'),
	      'translate_zip' => __('Zip','events-made-easy'),
	      'translate_state' => __('State','events-made-easy'),
	      'translate_country' => __('Country','events-made-easy'),
	      'translate_latitude' => __('Latitude','events-made-easy'),
	      'translate_longitude' => __('Longitude','events-made-easy'),
	      'translate_pleasewait' => __('Please wait','events-made-easy'),
	      'translate_apply' => __('Apply','events-made-easy'),
	      'translate_pleaseselectrecords' => __('Please select some records first.','events-made-easy'),
	      'translate_areyousuretodeleteselected' => __('Are you sure you want to delete the selected records?','events-made-easy'),
	      'translate_csv' => __('CSV','events-made-easy'),
	      'translate_print' => __('Print','events-made-easy'),
	      'translate_selectfeaturedimage' => __('Select the image to be used as featured image','events-made-easy'),
	      'translate_setfeaturedimage' => __('Set featured image','events-made-easy')
      );
      wp_localize_script( 'eme-locations', 'eme', $translation_array );
      wp_enqueue_script('eme-locations');
   }
   if ( in_array( $plugin_page, array('eme-people','eme-groups') ) ) {
	   wp_enqueue_media();
	   $translation_array = array(
		   'translate_nomatchperson' => __('No matching person found','events-made-easy'),
		   'translate_plugin_url' => EME_PLUGIN_URL,
		   'translate_id' => __('ID','events-made-easy'),
		   'translate_personid' => __('Person ID','events-made-easy'),
		   'translate_people' => __('People','events-made-easy'),
		   'translate_groups' => __('Groups','events-made-easy'),
		   'translate_description' => __('Description','events-made-easy'),
		   'translate_name' => __('Name','events-made-easy'),
		   'translate_lastname' => __('Last Name','events-made-easy'),
		   'translate_firstname' => __('First Name','events-made-easy'),
		   'translate_address1' => __('Address1','events-made-easy'),
		   'translate_address2' => __('Address2','events-made-easy'),
		   'translate_city' => __('City','events-made-easy'),
		   'translate_zip' => __('Zip','events-made-easy'),
		   'translate_state' => __('State','events-made-easy'),
		   'translate_country' => __('Country','events-made-easy'),
		   'translate_email' => __('E-mail','events-made-easy'),
		   'translate_phone' => __('Phone number','events-made-easy'),
		   'translate_lang' => __('Language','events-made-easy'),
		   'translate_wpid' => __('WP ID','events-made-easy'),
		   'translate_pleasewait' => __('Please wait','events-made-easy'),
		   'translate_apply' => __('Apply','events-made-easy'),
		   'translate_clear' => __('Clear','events-made-easy'),
		   'translate_pleaseselectrecords' => __('Please select some records first.','events-made-easy'),
		   'translate_areyousuretodeleteselected' => __('Are you sure to delete the selected records?','events-made-easy'),
		   'translate_showallbookings' => __('Show all bookings','events-made-easy'),
		   'translate_bookingsmade' => __('Bookings made','events-made-easy'),
		   'translate_selectimg' => __('Select the image to be used as person image','events-made-easy'),
		   'translate_setimg' => __('Set image','events-made-easy'),
		   'translate_csv' => __('CSV','events-made-easy'),
		   'translate_print' => __('Print','events-made-easy'),
		   'translate_answers' => __('Answers','events-made-easy'),
		   'translate_added' => __('Record added','events-made-easy'),
		   'translate_updated' => __('Record updated','events-made-easy'),
		   'translate_gdpr' => __('GDPR','events-made-easy'),
		   'translate_gdpr_date' => __('GDPR approval date','events-made-easy'),
		   'translate_massmail' => __('MassMail','events-made-easy'),
		   'translate_mailonly' => __('Mail Only','events-made-easy'),
		   'translate_groupcount' => __('Nbr People','events-made-easy'),
		   'translate_adminnonce' => wp_create_nonce( 'eme_admin' ),
		   'translate_anygroup' => __('Any group','events-made-easy'),
		   'translate_selectmemberships' => __('Filter on membership','events-made-easy'),
		   'translate_selectmemberstatus' => __('Filter on member status','events-made-easy'),
		   'translate_admin_sendmails_url' => admin_url("admin.php?page=eme-send-mails"),
		   'translate_dateformat' => eme_wp_date_format_php_to_js($eme_wp_date_format)
	   );
	   wp_localize_script( 'eme-people', 'eme', $translation_array );
	   wp_enqueue_script('eme-people');
   }
   if ( in_array( $plugin_page, array('eme-members','eme-memberships') ) ) {
	   wp_enqueue_media();
	   $translation_array = array(
		   'translate_nomatchperson' => __('No matching person found','events-made-easy'),
		   'translate_plugin_url' => EME_PLUGIN_URL,
		   'translate_members' => __('Members','events-made-easy'),
		   'translate_memberships' => __('Memberships','events-made-easy'),
		   'translate_membership' => __('Membership','events-made-easy'),
		   'translate_description' => __('Description','events-made-easy'),
		   'translate_id' => __('ID','events-made-easy'),
		   'translate_memberid' => __('Member ID','events-made-easy'),
		   'translate_personid' => __('Person ID','events-made-easy'),
		   'translate_contact' => __('Contact','events-made-easy'),
		   'translate_name' => __('Name','events-made-easy'),
		   'translate_lastname' => __('Last Name','events-made-easy'),
		   'translate_firstname' => __('First Name','events-made-easy'),
		   'translate_email' => __('E-mail','events-made-easy'),
		   'translate_pleasewait' => __('Please wait','events-made-easy'),
		   'translate_apply' => __('Apply','events-made-easy'),
		   'translate_clear' => __('Clear','events-made-easy'),
		   'translate_pleaseselectrecords' => __('Please select some records first.','events-made-easy'),
		   'translate_areyousuretodeleteselected' => __('Are you sure to delete the selected records?','events-made-easy'),
		   'translate_csv' => __('CSV','events-made-easy'),
		   'translate_print' => __('Print','events-made-easy'),
		   'translate_answers' => __('Answers','events-made-easy'),
		   'translate_edit' => __('Edit','events-made-easy'),
		   'translate_membercount' => __('Nbr Active Members','events-made-easy'),
		   'translate_startdate' => __('Start','events-made-easy'),
		   'translate_enddate' => __('End','events-made-easy'),
		   'translate_registrationdate' => __('Booked on','events-made-easy'),
		   'translate_paymentdate' => __('Paid on','events-made-easy'),
		   'translate_paid' => __('Paid','events-made-easy'),
		   'translate_pg' => __('Payment GW','events-made-easy'),
		   'translate_pg_pid' => __('Payment GW ID','events-made-easy'),
		   'translate_lastreminder' => __('Last reminder','events-made-easy'),
		   'translate_nbrreminder' => __('Reminders sent','events-made-easy'),
		   'translate_status' => __('Status','events-made-easy'),
		   'translate_adminnonce' => wp_create_nonce( 'eme_admin' ),
		   'translate_selectmemberships' => __('Filter on membership','events-made-easy'),
		   'translate_selectmemberstatus' => __('Filter on member status','events-made-easy'),
		   'translate_admin_sendmails_url' => admin_url("admin.php?page=eme-send-mails"),
		   'translate_addatachments' => __('Add attachments','events-made-easy')
	   );
	   wp_localize_script( 'eme-members', 'eme', $translation_array );
	   wp_enqueue_script('eme-members');
   }
   if ( in_array( $plugin_page, array('eme-registration-approval','eme-registration-seats') ) ) {
      $translation_array = array(
	      'translate_nomatchevent' => __('No matching event found','events-made-easy'),
	      'translate_bookings' => __('Bookings','events-made-easy'),
	      'translate_id' => __('ID','events-made-easy'),
	      'translate_rsvp' => __('RSVP','events-made-easy'),
	      'translate_eventinfo' => __('Event info','events-made-easy'),
	      'translate_datetime' => __('Date and time','events-made-easy'),
	      'translate_booker' => __('Booker','events-made-easy'),
	      'translate_bookingdate' => __('Booking date','events-made-easy'),
	      'translate_seats' => __('Seats','events-made-easy'),
	      'translate_eventprice' => __('Event price','events-made-easy'),
	      'translate_totalprice' => __('Total price','events-made-easy'),
	      'translate_uniquenbr' => __('Unique nbr','events-made-easy'),
	      'translate_paymentid' => __('Payment ID','events-made-easy'),
	      'translate_paid' => __('Paid','events-made-easy'),
	      'translate_pg' => __('Payment GW','events-made-easy'),
	      'translate_pg_pid' => __('Payment GW ID','events-made-easy'),
	      'translate_paymentdate' => __('Payment date','events-made-easy'),
	      'translate_paidandapprove' => __('Mark paid and approve','events-made-easy'),
	      'translate_edit' => __('Edit','events-made-easy'),
	      'translate_csv' => __('CSV','events-made-easy'),
	      'translate_print' => __('Print','events-made-easy'),
	      'translate_lastreminder' => __('Last reminder','events-made-easy'),
	      'translate_discount' => __('Discount','events-made-easy'),
	      'translate_pleasewait' => __('Please wait','events-made-easy'),
	      'translate_apply' => __('Apply','events-made-easy'),
	      'translate_pleaseselectrecords' => __('Please select some records first.','events-made-easy'),
	      'translate_areyousuretodeleteselected' => __('Are you sure to delete the selected records?','events-made-easy'),
	      'translate_locale_code' => $locale_code,
	      'translate_adminnonce' => wp_create_nonce( 'eme_admin' ),
	      'translate_firstDayOfWeek' => get_option('start_of_week'),
	      'translate_admin_sendmails_url' => admin_url("admin.php?page=eme-send-mails"),
	      'translate_dateformat' => eme_wp_date_format_php_to_js($eme_wp_date_format)
      );
      wp_localize_script( 'eme-rsvp', 'eme', $translation_array );
      wp_enqueue_script('eme-rsvp');
   }
   if ( in_array( $plugin_page, array('eme-send-mails') ) ) {
      wp_enqueue_style('eme-jquery-ui-timepicker-css');
      wp_enqueue_style('eme-jquery-ui-autocomplete');
      // if html mails are disabled, this is needed
      wp_enqueue_media();
      $translation_array = array(
	      'translate_pleasewait' => __('Please wait','events-made-easy'),
	      'translate_sendmail' => __('Send Mail','events-made-easy'),
	      'translate_sentdatetime' => __('Sent on','events-made-easy'),
	      'translate_readdatetime' => __('Read on','events-made-easy'),
	      'translate_readcount' => __('Read count','events-made-easy'),
	      'translate_errormessage' => __('Error message','events-made-easy'),
	      'translate_nomatchperson' => __('No matching person found','events-made-easy'),
	      'translate_name' => __('Name','events-made-easy'),
	      'translate_email' => __('E-mail','events-made-easy'),
	      'translate_status' => __('Status','events-made-easy'),
	      'translate_action' => __('Action','events-made-easy'),
	      'translate_mailingreport' => __('Mailing report','events-made-easy'),
	      'translate_selectgroups' => __('Select one or more groups','events-made-easy'),
	      'translate_selectmemberships' => __('Select one or more memberships','events-made-easy'),
	      'translate_selectevents' => __('Select one or more events','events-made-easy'),
	      'translate_htmlmail' => get_option('eme_rsvp_send_html')? "yes":"no",
	      'translate_dateformat' => eme_wp_date_format_php_to_js($eme_wp_date_format),
	      'translate_timeformat' => eme_wp_time_format_php_to_js($eme_wp_time_format),
	      'translate_addatachments' => __('Add attachments','events-made-easy')
      );
      wp_localize_script( 'eme-sendmails', 'eme', $translation_array );
      wp_enqueue_script('eme-sendmails');
      wp_enqueue_script('eme-jquery-ui-datetimepicker');
   }

   if (preg_match('/^eme-/',$plugin_page)) {
      wp_enqueue_style('eme_stylesheet');
      wp_enqueue_style('eme_stylesheet_extra');
   }
}

# return number of days until next event or until the specified event
function eme_countdown($atts) {
   global $eme_timezone;
   extract ( shortcode_atts ( array ('id'=>''), $atts ) );

   if ($id!="") {
      $event=eme_get_event($id);
   } else {
      $newest_event_array=eme_get_events(1);
      $event=$newest_event_array[0];
   }
   $eme_date_obj = new ExpressiveDate($event['event_start_date']." ".$event['event_start_time'],$eme_timezone);
   $eme_date_obj_now=new ExpressiveDate(null,$eme_timezone);
   return intval($eme_date_obj_now->getDifferenceInDays($eme_date_obj));
}

function eme_ajax_events_search() {
   global $wpdb, $eme_timezone;
   $table_name = $wpdb->prefix . EVENTS_TBNAME;
   $return = array();
   if (isset($_REQUEST['q']))
      $q = strtolower($_REQUEST['q']);
   header("Content-type: application/json; charset=utf-8");
   if (empty($q)) {
      echo json_encode($return);
      return;
   }

   $where=array();
   $where[]="event_name LIKE '%".esc_sql($q)."%'";
   // if the event id is set, we exclude it
   if (isset($_REQUEST['not_event_id']))
      $where[]="event_id != ".intval($_REQUEST['not_event_id']);
   if (isset($_REQUEST['event_rsvp']))
      $where[]="event_rsvp = ".intval($_REQUEST['event_rsvp']);
   $where = " WHERE ".implode(" AND ",$where);
   $sql = "SELECT event_id,event_name,event_start_date,event_start_time from $table_name $where ORDER BY event_start_date ASC, event_start_time ASC LIMIT 500";
   $events=$wpdb->get_results ( $sql, ARRAY_A );
   foreach($events as $event) {
      $record = array();
      $record['event_id'] = $event['event_id'];
      $record['eventinfo'] = esc_html($event['event_name']." (".eme_localized_date($event['event_start_date']." ".$event['event_start_time']." ".$eme_timezone).")");
      $return[] = $record;
   }
   echo json_encode($return);
   wp_die();
}
add_action( 'wp_ajax_eme_events_list', 'eme_ajax_events_list' );
add_action( 'wp_ajax_eme_manage_events', 'eme_ajax_manage_events' );
add_action( 'wp_ajax_eme_autocomplete_event', 'eme_ajax_events_search' );

function eme_ajax_events_list() {
   global $eme_timezone;

   $jtStartIndex= (isset($_REQUEST['jtStartIndex'])) ? intval($_REQUEST['jtStartIndex']) : 0;
   $jtPageSize= (isset($_REQUEST['jtPageSize'])) ? intval($_REQUEST['jtPageSize']) : 10;
   $jtSorting = (isset($_REQUEST['jtSorting'])) ? eme_sanitize_request($_REQUEST['jtSorting']) : 'ASC';
   $scope = (isset($_REQUEST['scope'])) ? eme_sanitize_request($_REQUEST['scope']) : 'future';
   $category = isset($_REQUEST['category']) ? $_REQUEST['category'] : '';
   $status = isset($_REQUEST['status']) ? intval($_REQUEST['status']) : '';
   $search_name = isset($_REQUEST['search_name']) ? eme_sanitize_request($_REQUEST['search_name']) : '';
   $search_start_date = isset($_REQUEST['search_start_date']) ? esc_sql($_REQUEST['search_start_date']) : '';
   $search_end_date = isset($_REQUEST['search_end_date']) ? esc_sql($_REQUEST['search_end_date']) : '';
   $where ='';
   $where_arr = array();
   if(!empty($search_name)) {
      $where_arr[] = "event_name like '%".$search_name."%'";
   }
   if (!empty($search_start_date) && eme_validateDate($search_start_date,'Y-m-d') &&
       !empty($search_end_date) && eme_validateDate($search_end_date,'Y-m-d')) {
      $where_arr[] = "event_start_date >= '$search_start_date'";
      $where_arr[] = "event_end_date <= '$search_end_date'";
      $scope='all';
   } elseif (!empty($search_start_date) && eme_validateDate($search_start_date,'Y-m-d')) {
      $where_arr[] = "event_start_date = '$search_start_date'";
      $scope='all';
   } elseif (!empty($search_end_date) && eme_validateDate($search_end_date,'Y-m-d')) {
      $where_arr[] = "event_end_date = '$search_end_date'";
      $scope='all';
   }
   if(!empty($status)) {
      $where_arr[] = 'event_status = '.$status;
   }
   if ($where_arr)
      $where = implode(" AND ",$where_arr);

   // we ask only for the event_id column here, more efficient
   $count_only=1;
   $formfields_searchable = eme_get_searchable_formfields('events');
   $field_ids_arr=array();
   foreach ($formfields_searchable as $formfield) {
      $field_id=$formfield['field_id'];
      $field_ids_arr[]=$field_id;
   }
   if (!empty($_REQUEST['search_customfieldids'])) {
      $field_ids=join(',',$_REQUEST['search_customfieldids']);
   } else {
      $field_ids=join(',',$field_ids_arr);
   }
   if (isset($_REQUEST['search_customfields']) && $_REQUEST['search_customfields']!="") {
      $search_customfields=eme_sanitize_request($_REQUEST['search_customfields']);
   } else {
      $search_customfields='';
   }
 
   $events_count = eme_get_events ( 0, $scope, '', 0, "", $category, '', '', 1, '', 0, $where, $count_only, 1, $field_ids, $search_customfields);

   // datetime is a column in the javascript definition of the events jtable, but of course the db doesn't know this
   // so we need to change this into something known, but since eme_get_events can work with "ASC/DESC" only and
   // then sorts on date/time, we just remove the word here
   $jtSorting = str_replace("datetime ","",$jtSorting);
   $events = eme_get_events ( $jtPageSize, $scope, $jtSorting, $jtStartIndex, "", $category, '', '', 1, '', 0, $where, 0, 1, $field_ids, $search_customfields);
   $event_status_array = eme_status_array ();
   $eme_date_obj_now=new ExpressiveDate(null,$eme_timezone);

   // no searchable formfields yet, so we use eme_get_formfields here
   $formfields=eme_get_formfields('','events');
   $rows=array();
   foreach ($events as $event) {
      $record=array();
      $record['event_id'] = $event['event_id'];
      $date_obj = new ExpressiveDate($event['event_start_date']." ".$event['event_start_time'],$eme_timezone);

      $record['event_name_simple'] = "<strong><a href='".wp_nonce_url(admin_url("admin.php?page=eme-manager&amp;eme_admin_action=edit_event&amp;event_id=".$event['event_id']),'eme_admin','eme_admin_nonce')."' title='".__('Edit event','events-made-easy')."'>".eme_trans_esc_html($event['event_name'])."</a></strong>";
      $record['event_name'] = $record['event_name_simple'];
         if (!empty($event['event_category_ids'])) {
            $categories = explode(',', $event['event_category_ids']);
            $record['event_name'] .= "<br /><span class='eme_categories_small' title='".__('Category','events-made-easy')."'>";
            $cat_names=array();
            foreach($categories as $cat){
               $category = eme_get_category($cat);
               if($category)
                  $cat_names[] = eme_trans_esc_html($category['category_name']);
            }
            $record['event_name'] .= implode(', ',$cat_names);
            $record['event_name'] .= "</span>";
         }
         if ($event['event_rsvp']) {
	    if ($event['event_properties']['rsvp_link'] && is_numeric($event['event_properties']['rsvp_link']) && $event['event_properties']['rsvp_link']!=$event['event_id']) {
		    $rsvp_event=eme_get_event(intval($event['event_properties']['rsvp_link']));
		    $record['event_name'] .= "<br />".__('Linked RSVP Info: ','events-made-easy');
	    } else {
		    $rsvp_event=$event;
		    $record['event_name'] .= "<br />".__('RSVP Info: ','events-made-easy');
	    }
            $booked_seats = eme_get_booked_seats($rsvp_event['event_id']);
            $pending_seats = eme_get_pending_seats($rsvp_event['event_id']);
            $total_seats = eme_get_total($rsvp_event['event_seats']);
            if (eme_is_multi($rsvp_event['event_seats'])) {
	       if ($pending_seats>0)
		       $pending_seats_string = $pending_seats.' ('.eme_convert_array2multi(eme_get_pending_multiseats($rsvp_event['event_id'])).')';
	       else
		       $pending_seats_string = $pending_seats;
               $total_seats_string = $total_seats.' ('.$rsvp_event['event_seats'].')';
	       if ($booked_seats>0)
		       $booked_seats_string = $booked_seats.' ('.eme_convert_array2multi(eme_get_booked_multiseats($rsvp_event['event_id'])).')';
	       else
		       $booked_seats_string = $booked_seats;
            } else {
               $pending_seats_string = $pending_seats;
               $total_seats_string = $total_seats;
               $booked_seats_string = $booked_seats;
            }
            if ($total_seats>0) {
                    $available_seats = eme_get_available_seats($rsvp_event['event_id']);
                    if (eme_is_multi($rsvp_event['event_seats']))
                            $available_seats_string = $available_seats.' ('.eme_convert_array2multi(eme_get_available_multiseats($rsvp_event['event_id'])).')';
                    else
                            $available_seats_string = $available_seats;
                    $record['event_name'] .= __('Free: ','events-made-easy').$available_seats_string.", ".__('Booked: ','events-made-easy').$booked_seats_string;
            } else {
                    $total_seats_string = '&infin;';
                    $record['event_name'] .= __('Booked: ','events-made-easy').$booked_seats_string;
            }

            if ($pending_seats >0)
               $record['event_name'] .= ', '."<a href='".admin_url("admin.php?page=eme-registration-approval&amp;event_id=".$rsvp_event['event_id'])."'>".__('Pending: ','events-made-easy')."$pending_seats_string</a>";
            $record['event_name'] .= ', '.__('Max: ','events-made-easy').$total_seats_string;
            if ($booked_seats>0 || $pending_seats >0) {
               $printable_address = admin_url("admin.php?page=eme-people&amp;eme_admin_action=booking_printable&amp;event_id=".$rsvp_event['event_id']);
               $csv_address = admin_url("admin.php?page=eme-people&amp;eme_admin_action=booking_csv&amp;event_id=".$rsvp_event['event_id']);
               $record['event_name'] .= " <br />(<a id='booking_printable_".$rsvp_event['event_id']."' href='$printable_address'>".__('Printable view','events-made-easy')."</a>)";
               $record['event_name'] .= " (<a id='booking_csv_".$rsvp_event['event_id']."' href='$csv_address'>".__('CSV export','events-made-easy')."</a>)";
            }
         }

      if (empty($event['location_name'])) {
	      $record['location_name']="";
      } else {
	      $record['location_name']= "<a href='".wp_nonce_url(admin_url("admin.php?page=eme-locations&amp;eme_admin_action=edit_location&amp;location_id=".$event['location_id']),'eme_admin','eme_admin_nonce')."' title='".__('Edit location','events-made-easy')."'>".eme_trans_esc_html($event['location_name'])."</a>";
	      if (!$event['location_latitude'] && !$event['location_longitude'] && get_option('eme_map_is_active') ) {
		      $record['location_name'] .= "&nbsp;<img style='vertical-align: middle;' src='".EME_PLUGIN_URL."images/warning.png' alt='warning' title='".__('Location map coordinates are empty! Please edit the location to correct this, otherwise it will not show correctly on your website.','events-made-easy')."'>";
	      }
      }

      if (!empty($event['location_address1']) || !empty($event['location_address2']))
         $record['location_name'] .= "<br />". eme_trans_esc_html($event['location_address1']) ." ".eme_trans_esc_html($event['location_address2']);
      if (!empty($event['location_city']) || !empty($event['location_state']) || !empty($event['location_zip']) || !empty($event['location_country']))
         $record['location_name'] .= "<br />". eme_trans_esc_html($event['location_city']) ." ".eme_trans_esc_html($event['location_state'])." ".eme_trans_esc_html($event['location_zip'])." ".eme_trans_esc_html($event['location_country']);

      if (isset ($event_status_array[$event['event_status']])) {
         $record['event_status'] = $event_status_array[$event['event_status']];
         $event_url = eme_event_url($event);
         if ($event['event_status'] == STATUS_DRAFT)
            $record['event_status'] .= "<br /> <a href='$event_url'>".__('Preview event','events-made-easy')."</a>";
         else
            $record['event_status'] .= "<br /> <a href='$event_url'>".__('View event','events-made-easy')."</a>";
      }

      $record['copy'] = "<a href='".wp_nonce_url(admin_url("admin.php?page=eme-manager&amp;eme_admin_action=duplicate_event&amp;event_id=".$event['event_id']),'eme_admin','eme_admin_nonce')."' title='".__('Duplicate this event','events-made-easy')."'><img src='".EME_PLUGIN_URL."images/copy_24.png'/></a>";

      if ($event['event_rsvp']) {
         if ($event['registration_requires_approval'])
            $page="eme-registration-approval";
         else
            $page="eme-registration-seats";

	 if ($event['event_properties']['rsvp_link'] && is_numeric($event['event_properties']['rsvp_link'])) {
		 $record['rsvp'] = "<a href='".wp_nonce_url(admin_url("admin.php?page=$page&amp;eme_admin_action=newBooking&amp;event_id=".intval($event['event_properties']['rsvp_link'])),'eme_admin','eme_admin_nonce')."' title='".__('Add booking for this event','events-made-easy')."'>".__('RSVP','events-made-easy')."</a>";
	 } else {
		 $record['rsvp'] = "<a href='".wp_nonce_url(admin_url("admin.php?page=$page&amp;eme_admin_action=newBooking&amp;event_id=".$event['event_id']),'eme_admin','eme_admin_nonce')."' title='".__('Add booking for this event','events-made-easy')."'>".__('RSVP','events-made-easy')."</a>";
	 }
	 if (!empty($event['event_properties']['rsvp_password'])) {
		 $record['rsvp'] .= "<br />(".__('Password protected','events-made-easy').")";
	 }
      } else {
         $record['rsvp'] = "";
      }

      $localized_start_date = eme_localized_date($event['event_start_date']." ".$event['event_start_time']." ".$eme_timezone);
      $localized_start_time = eme_localized_time($event['event_start_date']." ".$event['event_start_time']." ".$eme_timezone);
      $localized_end_date = eme_localized_date($event['event_end_date']." ".$event['event_end_time']." ".$eme_timezone);
      $localized_end_time = eme_localized_time($event['event_end_date']." ".$event['event_end_time']." ".$eme_timezone);
      $record['creation_date'] = eme_localized_db_datetime($event['creation_date']." ".$eme_timezone);
      $record['modif_date'] = eme_localized_db_datetime($event['modif_date']." ".$eme_timezone);
      $record['datetime']= $localized_start_date;
      if ($localized_end_date !='' && $localized_end_date!=$localized_start_date)
         $record['datetime'] .=" - " . $localized_end_date;
      $record['datetime'] .= "<br />";
      if ($event['event_properties']['all_day']==1)
         $record['datetime'] .=__('All day','events-made-easy');
      else
         $record['datetime'] .= "$localized_start_time - $localized_end_time";
      if ($date_obj->lessThan($eme_date_obj_now)) {
         $record['datetime'] = "<span style='text-decoration: line-through;'>".$record['datetime']."</span>";
      }

      if ($event['recurrence_id']) {
         $recurrence_desc = eme_get_recurrence_desc ( $event['recurrence_id'] );
         $record['recinfo'] = "$recurrence_desc <br /> <a href='".wp_nonce_url(admin_url("admin.php?page=eme-manager&amp;eme_admin_action=edit_recurrence&amp;recurrence_id=".$event['recurrence_id']),'eme_admin','eme_admin_nonce')."'>";
         $record['recinfo'] .= __('Edit Recurrence','events-made-easy');
         $record['recinfo'] .= "</a>";
      }
      $event_cf_values=eme_get_event_cf_answers($event['event_id']);
      foreach ($formfields as $formfield) {
	      foreach ($event_cf_values as $val) {
		      if ($val['field_id']==$formfield['field_id'] && $val['answer']!='') {
			      $tmp_answer=eme_answer2readable($val['answer'],$formfield,1,",","text");
			      // the 'FIELD_' value is used by the container-js
			      $key='FIELD_'.$val['field_id'];
			      if (isset($record[$key])) {
				      $record[$key].="<br />$tmp_answer";
			      } else {
				      $record[$key]=$tmp_answer;
			      }
		      }
	      }
      }
      $rows[]=$record;
   }

   $ajaxResult=array();
   $ajaxResult['Result'] = "OK";
   $ajaxResult['TotalRecordCount'] = $events_count;
   $ajaxResult['Records'] = $rows; 
   print json_encode($ajaxResult);
   wp_die();

}

function eme_ajax_manage_events() {
   check_ajax_referer('eme_admin','eme_admin_nonce');
   $ajaxResult=array();
   if (isset($_REQUEST['do_action'])) {
     $do_action=eme_sanitize_request($_REQUEST['do_action']);
     $ids=$_REQUEST['event_id'];
     $ids_arr=explode(',',$ids);
     if (!eme_array_integers($ids_arr) || !current_user_can( get_option('eme_cap_edit_events'))) {
          $ajaxResult['Result'] = "Error";
          $ajaxResult['Message'] = __('Access denied!','events-made-easy');
	  print json_encode($ajaxResult);
          wp_die();
     }

     switch ($do_action) {
         case 'deleteEvents':
              eme_ajax_action_events_delete($ids_arr);
              break;
         case 'deleteRecurrence':
              eme_ajax_action_recurrences_delete($ids_arr);
              break;
         case 'publicEvents':
              eme_ajax_action_events_status($ids_arr,STATUS_PUBLIC);
              break;
         case 'privateEvents':
              eme_ajax_action_events_status($ids_arr,STATUS_PRIVATE);
              break;
         case 'draftEvents':
              eme_ajax_action_events_status($ids_arr,STATUS_DRAFT);
              break;
         case 'addCategory':
	      $category_id=intval($_REQUEST['addtocategory']);
              eme_ajax_action_events_addcat($ids,$category_id);
              break;
     }
   } else {
      $ajaxResult['Result'] = "Error";
      $ajaxResult['Message'] = __('No action defined!','events-made-easy');
      print json_encode($ajaxResult);
   }
   wp_die();
}
   
function eme_ajax_action_events_delete($ids_arr) {
   $ajaxResult=array();
   eme_delete_events($ids_arr);
   $ajaxResult['Result'] = "OK";
   $ajaxResult['htmlmessage'] = __('Events deleted','events-made-easy');
   print json_encode($ajaxResult);
}

function eme_ajax_action_recurrences_delete($ids_arr) {
   $ajaxResult=array();
   eme_delete_recurrences($ids_arr);
   $ajaxResult['Result'] = "OK";
   $ajaxResult['htmlmessage'] = __('Recurrences deleted','events-made-easy');
   print json_encode($ajaxResult);
}

function eme_ajax_action_events_status($ids_arr,$status) {
   $ajaxResult=array();
   eme_change_event_status($ids_arr,$status);
   $ajaxResult['Result'] = "OK";
   $ajaxResult['htmlmessage'] = __('Events status updated','events-made-easy');
   print json_encode($ajaxResult);
}

function eme_ajax_action_events_addcat($ids,$category_id) {
   global $wpdb;
   $table_name = $wpdb->prefix . EVENTS_TBNAME;
   $sql = "UPDATE $table_name SET event_category_ids = CONCAT_WS(',',event_category_ids,$category_id)
	   WHERE event_id IN ($ids) AND (NOT FIND_IN_SET($category_id,event_category_ids) OR event_category_ids IS NULL)";
   $wpdb->query($sql);
   $ajaxResult['Result'] = "OK";
   $ajaxResult['htmlmessage'] = __('Events added to category','events-made-easy');
   print json_encode($ajaxResult);
}

function eme_delete_events($ids_arr) {
      foreach ( $ids_arr as $event_id ) {
         $tmp_event = array();
         $tmp_event = eme_get_event ( $event_id );
         if ($tmp_event['recurrence_id']>0) {
            # if the event is part of a recurrence and it is the last event of the recurrence, delete the recurrence
            # else just delete the singe event
            if (eme_recurrence_count($tmp_event['recurrence_id'])==1) {
               eme_db_delete_recurrence ($tmp_event['recurrence_id']);
            } else {
               eme_db_delete_event($tmp_event);
            }
         } else {
            eme_db_delete_event($tmp_event);
         }
      }
}

function eme_delete_recurrences($ids_arr) {
      foreach ( $ids_arr as $event_id ) {
         $tmp_event = array();
         $tmp_event = eme_get_event($event_id);
         if ($tmp_event['recurrence_id']>0) {
            eme_db_delete_recurrence ($tmp_event['recurrence_id']);
         }
      }
}

function eme_get_event_post_cfs() {
   $answers=array();
   foreach($_POST as $key =>$value) {
   if (preg_match('/^FIELD(\d+)$/', $key, $matches)) {
         $field_id = intval($matches[1]);
         $formfield = eme_get_formfield($field_id);
         if ($formfield && $formfield['field_purpose']=='events') {
                 // for multivalue fields like checkbox, the value is in fact an array
                 // to store it, we make it a simple "multi" string using eme_convert_array2multi, so later on when we need to parse the values
                 // (when editing), we can re-convert it to an array with eme_convert_multi2array (see eme_formfields.php)
                 if (is_array($value)) $value=eme_convert_array2multi($value);
                 if ($formfield['field_type']=='textarea')
                         $value=eme_sanitize_textarea($value);
                 else
                         $value=eme_sanitize_text_field($value);
                 $answer=array('field_name'=>$formfield['field_name'],'field_id'=>$field_id,'extra_charge'=>$formfield['extra_charge'],'answer'=>$value);
                 $answers[]=$answer;
         }
      }
   }
   return $answers;
}

function eme_get_event_cf_answers($event_id) {
   global $wpdb;
   $answers_table = $wpdb->prefix.EVENTS_CF_TBNAME; 
   $cf = wp_cache_get("event_cf $event_id");
   if ($cf === false) {
	   $sql = $wpdb->prepare("SELECT * FROM $answers_table WHERE event_id=%d",$event_id);
	   $cf = $wpdb->get_results($sql, ARRAY_A);
	   if ($cf)
		   wp_cache_add("event_cf $event_id", $cf);
   }
   return $cf;
}

function eme_event_store_cf_answers($event_id) {
   global $wpdb;
   $answers_table = $wpdb->prefix.EVENTS_CF_TBNAME; 
   $answer_ids_seen=array();

   $all_answers=eme_get_event_cf_answers($event_id);
   wp_cache_delete("event_cf $event_id");
   $found_answers=eme_get_event_post_cfs();
   foreach ($found_answers as $answer) {
	   $answer_id=eme_return_events_cf_id($all_answers,$event_id,$answer['field_id']);
	   if ($answer_id) {
		   $sql = $wpdb->prepare("UPDATE $answers_table SET answer=%s WHERE answer_id=%d",$answer['answer'],$answer_id);
		   $answer_ids_seen[]=$answer_id;
	   } else {
		   $sql = $wpdb->prepare("INSERT INTO $answers_table (event_id,field_id,answer) VALUES (%d,%d,%s)",$event_id,$answer['field_id'],$answer['answer']);
	   }
	   $wpdb->query($sql);
   }

   // delete old answer_ids
   foreach ($all_answers as $answer) {
	   if (!in_array($answer['answer_id'],$answer_ids_seen)) {
		   $sql = $wpdb->prepare("DELETE FROM $answers_table WHERE answer_id=%d",$answer['answer_id']);
		   $wpdb->query($sql);
	   }
   }
}

function eme_get_cf_event_ids($val,$field_id,$is_multi=0) {
   global $wpdb;
   $table = $wpdb->prefix.EVENTS_CF_TBNAME;
   $conditions=array();
   $val=eme_kses(eme_strip_weird($val));

   if (is_array($val)) {
           foreach ($val as $tmpval) {
		   $tmpval=esc_sql($tmpval);
                   if ($is_multi) {
                           $conditions[]="answer REGEXP '^".$tmpval.'|\\\\|'.$tmpval.'\\\\||\\\\|'.$tmpval.'$'."'";
                   } else {
                           $conditions[]="answer LIKE '%$tmpval%'";
                   }
           }
   } else {
	   $val=esc_sql($val);
           if ($is_multi) {
                   $conditions[]="answer REGEXP '^".$val.'|\\\\|'.$val.'\\\\||\\\\|'.$val.'$'."'";
           } else {
                   $conditions[]="answer LIKE '%$val%'";
           }
   }
   $condition="";
   if (!empty($conditions)) {
      $condition =  'AND ('.join(" OR ",$conditions).')';
   }
   $sql = "SELECT DISTINCT event_id FROM $table WHERE field_id=$field_id $condition";

   return $wpdb->get_col($sql);
}

?>
